EESchema Schematic File Version 4
EELAYER 30 0
EELAYER END
$Descr A4 11693 8268
encoding utf-8
Sheet 5 7
Title "SAMD21 uC"
Date "2019-10-28"
Rev "0.2p"
Comp "CERN, European Organization for Nuclear Research, CH-1211 Genève 23 - Switzerland"
Comment1 ""
Comment2 "Last modification: C. Gentsos (11.03.2020)"
Comment3 "Reviewed by: G. Daniluk (13.08.2019)"
Comment4 "Designer: C. Gentsos"
$EndDescr
Text HLabel 2850 2550 0    50   BiDi ~ 0
m_scl
Text Notes 600  1050 0    50   ~ 0
Copyright CERN 2019-2020.\nThis documentation describes Open Hardware and is licensed under the CERN OHL v.1.2.\nYou may redistribute and modify this under the terms of the CERN OHL v.1.2. (http://ohwr.org/CERNOHL).\nThis documentation is distributed ANY EXPRESS OR IMPLIED WARRANTY,\nINCLUDING OF MERCHANTABILITY, SATISFACTORY AND FITNESS FOR A PARTICULAR PURPOSE.\nPlease see the CERN OHL v.1.2 for applicable conditions.
Wire Notes Line
	4750 550  550  550 
Wire Notes Line
	550  550  550  1100
Wire Notes Line
	550  1100 4750 1100
Wire Notes Line
	4750 550  4750 1100
Wire Notes Line
	2450 2300 1050 2300
Wire Notes Line
	2450 2700 2450 2300
Wire Notes Line
	1050 2700 2450 2700
Wire Notes Line
	1050 2300 1050 2700
Text Notes 1100 2650 0    50   ~ 0
In case the system board ground\nhas an offset of more than a few\ntens of mV, we can use 20Ohm\nresistors here to protect the I/Os.
$Comp
L Logic:ATSAMD21G18A-AF IC4
U 2 1 5DB86EA8
P 3300 5850
F 0 "IC4" H 3900 5923 50  0000 C CNN
F 1 "ATSAMD21G18A-AF" H 3300 2675 50  0000 L CNN
F 2 "ICs And Semiconductors SMD:QFP50P900X900X120-48N" H 3300 2600 50  0001 L CNN
F 3 " " H 3300 2525 50  0001 L CNN
F 4 "ATSAMD21G18A-AF" H 3300 2450 50  0001 L CNN "Part Number"
F 5 "ATSAMD21G18A-AF" H 3300 2375 50  0001 L CNN "Library Ref"
F 6 "SchLib\\Logic.SchLib" H 3300 2300 50  0001 L CNN "Library Path"
F 7 "ATSAMD21G18A-AF" H 3300 2225 50  0001 L CNN "Comment"
F 8 "Standard" H 3300 2150 50  0001 L CNN "Component Kind"
F 9 "Standard" H 3300 2075 50  0001 L CNN "Component Type"
F 10 "ATSAMD21G18A-AF" H 3300 2000 50  0001 L CNN "Device"
F 11 "QFP, 0.50mm Pitch, Square, 12 pin X 12 Pin, 7.00mm X 7.00mm X 1.20mm Body, IPC Medium Density" H 3300 1925 50  0001 L CNN "PackageDescription"
F 12 " " H 3300 1850 50  0001 L CNN "Status"
F 13 "32-bit ARM®-based Cortex®-M0+ core Microcontroller, 1.62V to 3.6V, 48MHz, 256KB Flash, 32KB SRAM, 48 QFP, Temperature Range -40°C to 125°C" H 3300 1775 50  0001 L CNN "Part Description"
F 14 "MICROCHIP" H 3300 1700 50  0001 L CNN "Manufacturer"
F 15 "ATSAMD21G18A-AF" H 3300 1625 50  0001 L CNN "Manufacturer Part Number"
F 16 "48" H 3300 1550 50  0001 L CNN "Pin Count"
F 17 "QFP48" H 3300 1475 50  0001 L CNN "Case"
F 18 "Yes" H 3300 1400 50  0001 L CNN "Mounted"
F 19 "No" H 3300 1325 50  0001 L CNN "Socket"
F 20 "Yes" H 3300 1250 50  0001 L CNN "SMD"
F 21 "No" H 3300 1175 50  0001 L CNN "PressFit"
F 22 "No" H 3300 1100 50  0001 L CNN "Sense"
F 23 "No" H 3300 1025 50  0001 L CNN "Bonding"
F 24 " " H 3300 950 50  0001 L CNN "Sense Comment"
F 25 " " H 3300 875 50  0001 L CNN "Status Comment"
F 26 "1.2mm" H 3300 800 50  0001 L CNN "ComponentHeight"
F 27 "PcbLib\\ICs And Semiconductors SMD.PcbLib" H 3300 725 50  0001 L CNN "Footprint Path"
F 28 "QFP50P900X900X120-48N" H 3300 650 50  0001 L CNN "Footprint Ref"
F 29 " " H 3300 575 50  0001 L CNN "ComponentLink1Description"
F 30 " " H 3300 500 50  0001 L CNN "ComponentLink2Description"
F 31 "CERN DEM JK" H 3300 425 50  0001 L CNN "Author"
F 32 "05/03/19 00:00:00" H 3300 350 50  0001 L CNN "CreateDate"
F 33 "05/03/19 00:00:00" H 3300 275 50  0001 L CNN "LatestRevisionDate"
F 34 " " H 3300 200 50  0001 L CNN "SCEM"
F 35 "Logic" H 3300 125 50  0001 L CNN "Database Table Name"
F 36 "ICs And Semiconductors.DbLib" H 3300 50  50  0001 L CNN "Library Name"
F 37 "ICs And Semiconductors SMD" H 3300 -25 50  0001 L CNN "Footprint Library"
F 38 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 3300 -100 50  0001 L CNN "License"
	2    3300 5850
	1    0    0    -1  
$EndComp
Wire Wire Line
	2450 5850 2450 5950
Wire Wire Line
	2950 6050 3100 6050
Connection ~ 2950 5950
Wire Wire Line
	2950 5950 3100 5950
Wire Wire Line
	2950 6050 2950 6350
Connection ~ 2950 6050
Wire Wire Line
	2950 6350 3100 6350
Wire Wire Line
	4850 7150 4850 6850
Wire Wire Line
	4850 6650 4700 6650
Wire Wire Line
	4700 6750 4850 6750
Connection ~ 4850 6750
Wire Wire Line
	4850 6750 4850 6650
Wire Wire Line
	4700 6850 4850 6850
Connection ~ 4850 6850
Wire Wire Line
	4850 6850 4850 6750
Wire Wire Line
	2950 6950 3100 6950
Wire Wire Line
	2950 5950 2950 6050
Wire Wire Line
	2000 6650 2000 6700
Wire Wire Line
	2000 7000 2000 7050
Wire Wire Line
	1650 7000 1650 7050
Wire Wire Line
	1650 7050 2000 7050
Connection ~ 1650 7050
Wire Wire Line
	1650 6650 1650 6700
Wire Notes Line
	2800 6600 2800 7100
Wire Notes Line
	1150 7100 1150 6600
Text Notes 1150 6500 0    50   ~ 0
place close\nto the uC
Wire Wire Line
	1650 6650 2000 6650
Connection ~ 1650 6650
Wire Wire Line
	1650 7050 1650 7150
Wire Wire Line
	2950 6950 2950 7050
Wire Notes Line
	1150 6600 2800 6600
Wire Notes Line
	1150 7100 2800 7100
Wire Wire Line
	2450 7050 2450 7000
Wire Wire Line
	2450 6550 2450 6650
Wire Wire Line
	2450 7050 2950 7050
Connection ~ 2950 7050
Wire Wire Line
	2950 7050 2950 7150
Wire Wire Line
	2450 6650 3100 6650
Connection ~ 2450 6650
Wire Wire Line
	2450 6650 2450 6700
Wire Wire Line
	1650 5950 2450 5950
Wire Wire Line
	1650 5950 1650 6650
Connection ~ 2450 5950
Wire Wire Line
	2450 5950 2950 5950
Text HLabel 2850 2450 0    50   BiDi ~ 0
m_sda
Wire Wire Line
	2850 2450 3050 2450
Wire Wire Line
	3050 2550 2850 2550
Wire Notes Line
	3375 2350 2925 2350
Wire Notes Line
	2925 2350 2925 2625
Wire Notes Line
	2925 2625 3375 2625
Wire Notes Line
	3375 2625 3375 2350
Text Label 3700 3150 2    50   ~ 0
xtal2
Text Label 3700 3050 2    50   ~ 0
xtal1
NoConn ~ 4000 2650
NoConn ~ 4000 2750
NoConn ~ 4000 2850
NoConn ~ 4000 3350
NoConn ~ 4000 3450
NoConn ~ 4000 3850
Text HLabel 3700 4050 0    50   BiDi ~ 0
usb_n
Text HLabel 3700 4150 0    50   BiDi ~ 0
usb_p
Text HLabel 3700 4450 0    50   Input ~ 0
swclk
Text HLabel 3700 4550 0    50   BiDi ~ 0
swdio
NoConn ~ 4000 4250
NoConn ~ 4000 4350
Text HLabel 5900 4550 2    50   Input ~ 0
rst_n
Wire Wire Line
	3700 1850 4000 1850
Wire Wire Line
	4000 2050 3700 2050
Wire Wire Line
	3700 2150 4000 2150
Wire Wire Line
	4000 2250 3700 2250
Wire Wire Line
	3700 2350 4000 2350
Wire Wire Line
	4000 2450 3350 2450
Wire Wire Line
	3350 2550 4000 2550
Wire Wire Line
	3700 2950 4000 2950
Wire Wire Line
	4000 3050 3700 3050
Wire Wire Line
	3700 3150 4000 3150
Wire Wire Line
	4000 3250 3700 3250
Wire Wire Line
	3700 3550 4000 3550
Wire Wire Line
	4000 3650 3700 3650
Wire Wire Line
	3700 3750 4000 3750
Wire Wire Line
	4000 3950 3700 3950
Wire Wire Line
	3700 4050 4000 4050
Wire Wire Line
	4000 4150 3700 4150
Wire Wire Line
	3700 4450 4000 4450
Wire Wire Line
	4000 4550 3700 4550
Wire Wire Line
	5600 4550 5750 4550
NoConn ~ 5600 2350
Wire Wire Line
	5600 1650 5900 1650
Wire Wire Line
	5900 1750 5600 1750
Wire Wire Line
	5600 1850 5900 1850
Wire Wire Line
	5900 1950 5600 1950
Wire Wire Line
	5600 2050 5900 2050
Wire Wire Line
	5900 2150 5600 2150
Wire Wire Line
	5600 2250 5900 2250
$Comp
L Resistors_SMD:R0603_0R_JUMPER R10
U 1 1 5DB7DACC
P 3050 2450
F 0 "R10" H 3000 2500 50  0000 C CNN
F 1 "R0603_0R_JUMPER" H 3050 2255 50  0001 L CNN
F 2 "Resistors SMD:RESC1608X55N" H 3050 2180 50  0001 L CNN
F 3 " " H 3050 2105 50  0001 L CNN
F 4 "0" H 3325 2500 50  0000 C CNN "Val"
F 5 "R0603_0R_JUMPER" H 3050 2030 50  0001 L CNN "Part Number"
F 6 "Resistor" H 3050 1955 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Resistors.SchLib" H 3050 1880 50  0001 L CNN "Library Path"
F 8 "0" H 3050 1805 50  0001 L CNN "Comment"
F 9 "Standard" H 3050 1730 50  0001 L CNN "Component Kind"
F 10 "Standard" H 3050 1655 50  0001 L CNN "Component Type"
F 11 " " H 3050 1580 50  0001 L CNN "PackageDescription"
F 12 "2" H 3050 1505 50  0001 L CNN "Pin Count"
F 13 "PcbLib\\Resistors SMD.PcbLib" H 3050 1430 50  0001 L CNN "Footprint Path"
F 14 "RESC1608X55N" H 3050 1355 50  0001 L CNN "Footprint Ref"
F 15 "Preferred" H 3050 1280 50  0001 L CNN "Status"
F 16 " " H 3050 1205 50  0001 L CNN "Power"
F 17 " " H 3050 1130 50  0001 L CNN "TC"
F 18 " " H 3050 1055 50  0001 L CNN "Voltage"
F 19 " " H 3050 980 50  0001 L CNN "Tolerance"
F 20 "1A (0.05R Max DC Resistance) Zero Ohm Jumper" H 3050 905 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 3050 830 50  0001 L CNN "Manufacturer"
F 22 "R0603_0R_JUMPER" H 3050 755 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 3050 680 50  0001 L CNN "Case"
F 24 "No" H 3050 605 50  0001 L CNN "PressFit"
F 25 "Yes" H 3050 530 50  0001 L CNN "Mounted"
F 26 " " H 3050 455 50  0001 L CNN "Sense Comment"
F 27 "No" H 3050 380 50  0001 L CNN "Sense"
F 28 " " H 3050 305 50  0001 L CNN "Status Comment"
F 29 "No" H 3050 230 50  0001 L CNN "Socket"
F 30 "Yes" H 3050 155 50  0001 L CNN "SMD"
F 31 " " H 3050 80  50  0001 L CNN "ComponentHeight"
F 32 "NIC COMPONENT" H 3050 5   50  0001 L CNN "Manufacturer1 Example"
F 33 "NRC06Z0" H 3050 -70 50  0001 L CNN "Manufacturer1 Part Number"
F 34 "0.55mm" H 3050 -145 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 35 "CERN DEM JLC" H 3050 -220 50  0001 L CNN "Author"
F 36 "12/03/07 00:00:00" H 3050 -295 50  0001 L CNN "CreateDate"
F 37 "03/13/08 00:00:00" H 3050 -370 50  0001 L CNN "LatestRevisionDate"
F 38 "Resistors SMD" H 3050 -445 50  0001 L CNN "Database Table Name"
F 39 "Resistors.DbLib" H 3050 -520 50  0001 L CNN "Library Name"
F 40 "Resistors SMD" H 3050 -595 50  0001 L CNN "Footprint Library"
F 41 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 3050 -670 50  0001 L CNN "License"
	1    3050 2450
	1    0    0    -1  
$EndComp
$Comp
L Resistors_SMD:R0603_0R_JUMPER R11
U 1 1 5DB7EAED
P 3050 2550
F 0 "R11" H 3000 2600 50  0000 C CNN
F 1 "R0603_0R_JUMPER" H 3050 2355 50  0001 L CNN
F 2 "Resistors SMD:RESC1608X55N" H 3050 2280 50  0001 L CNN
F 3 " " H 3050 2205 50  0001 L CNN
F 4 "0" H 3325 2600 50  0000 C CNN "Val"
F 5 "R0603_0R_JUMPER" H 3050 2130 50  0001 L CNN "Part Number"
F 6 "Resistor" H 3050 2055 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Resistors.SchLib" H 3050 1980 50  0001 L CNN "Library Path"
F 8 "0" H 3050 1905 50  0001 L CNN "Comment"
F 9 "Standard" H 3050 1830 50  0001 L CNN "Component Kind"
F 10 "Standard" H 3050 1755 50  0001 L CNN "Component Type"
F 11 " " H 3050 1680 50  0001 L CNN "PackageDescription"
F 12 "2" H 3050 1605 50  0001 L CNN "Pin Count"
F 13 "PcbLib\\Resistors SMD.PcbLib" H 3050 1530 50  0001 L CNN "Footprint Path"
F 14 "RESC1608X55N" H 3050 1455 50  0001 L CNN "Footprint Ref"
F 15 "Preferred" H 3050 1380 50  0001 L CNN "Status"
F 16 " " H 3050 1305 50  0001 L CNN "Power"
F 17 " " H 3050 1230 50  0001 L CNN "TC"
F 18 " " H 3050 1155 50  0001 L CNN "Voltage"
F 19 " " H 3050 1080 50  0001 L CNN "Tolerance"
F 20 "1A (0.05R Max DC Resistance) Zero Ohm Jumper" H 3050 1005 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 3050 930 50  0001 L CNN "Manufacturer"
F 22 "R0603_0R_JUMPER" H 3050 855 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 3050 780 50  0001 L CNN "Case"
F 24 "No" H 3050 705 50  0001 L CNN "PressFit"
F 25 "Yes" H 3050 630 50  0001 L CNN "Mounted"
F 26 " " H 3050 555 50  0001 L CNN "Sense Comment"
F 27 "No" H 3050 480 50  0001 L CNN "Sense"
F 28 " " H 3050 405 50  0001 L CNN "Status Comment"
F 29 "No" H 3050 330 50  0001 L CNN "Socket"
F 30 "Yes" H 3050 255 50  0001 L CNN "SMD"
F 31 " " H 3050 180 50  0001 L CNN "ComponentHeight"
F 32 "NIC COMPONENT" H 3050 105 50  0001 L CNN "Manufacturer1 Example"
F 33 "NRC06Z0" H 3050 30  50  0001 L CNN "Manufacturer1 Part Number"
F 34 "0.55mm" H 3050 -45 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 35 "CERN DEM JLC" H 3050 -120 50  0001 L CNN "Author"
F 36 "12/03/07 00:00:00" H 3050 -195 50  0001 L CNN "CreateDate"
F 37 "03/13/08 00:00:00" H 3050 -270 50  0001 L CNN "LatestRevisionDate"
F 38 "Resistors SMD" H 3050 -345 50  0001 L CNN "Database Table Name"
F 39 "Resistors.DbLib" H 3050 -420 50  0001 L CNN "Library Name"
F 40 "Resistors SMD" H 3050 -495 50  0001 L CNN "Footprint Library"
F 41 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 3050 -570 50  0001 L CNN "License"
	1    3050 2550
	1    0    0    -1  
$EndComp
$Comp
L Capacitors_SMD:CC0603_100NF_50V_10%_X7R C19
U 1 1 5DB85868
P 3200 1950
F 0 "C19" V 3275 1800 50  0000 L CNN
F 1 "CC0603_100NF_50V_10%_X7R" H 3200 1705 50  0001 L CNN
F 2 "Capacitors SMD:CAPC1608X87N" H 3200 1630 50  0001 L CNN
F 3 " " H 3200 1555 50  0001 L CNN
F 4 "100nF" V 3425 1700 50  0000 L CNN "Val"
F 5 "CC0603_100NF_50V_10%_X7R" H 3200 1480 50  0001 L CNN "Part Number"
F 6 "Capacitor - non polarized" H 3200 1405 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Capacitors.SchLib" H 3200 1330 50  0001 L CNN "Library Path"
F 8 "100nF" H 3200 1255 50  0001 L CNN "Comment"
F 9 "Standard" H 3200 1180 50  0001 L CNN "Component Kind"
F 10 "Standard" H 3200 1105 50  0001 L CNN "Component Type"
F 11 "2" H 3200 1030 50  0001 L CNN "Pin Count"
F 12 "PcbLib\\Capacitors SMD.PcbLib" H 3200 955 50  0001 L CNN "Footprint Path"
F 13 "CAPC1608X87N" H 3200 880 50  0001 L CNN "Footprint Ref"
F 14 " " H 3200 805 50  0001 L CNN "PackageDescription"
F 15 "Preferred" H 3200 730 50  0001 L CNN "Status"
F 16 " " H 3200 655 50  0001 L CNN "Status Comment"
F 17 "50V" H 3200 580 50  0001 L CNN "Voltage"
F 18 "X7R" H 3200 505 50  0001 L CNN "TC"
F 19 "±10%" H 3200 430 50  0001 L CNN "Tolerance"
F 20 "SMD Multilayer Chip Ceramic Capacitor" H 3200 355 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 3200 280 50  0001 L CNN "Manufacturer"
F 22 "CC0603_100NF_50V_10%_X7R" H 3200 205 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 3200 130 50  0001 L CNN "Case"
F 24 "Yes" H 3200 55  50  0001 L CNN "Mounted"
F 25 "No" H 3200 -20 50  0001 L CNN "Socket"
F 26 "Yes" H 3200 -95 50  0001 L CNN "SMD"
F 27 " " H 3200 -170 50  0001 L CNN "PressFit"
F 28 "No" H 3200 -245 50  0001 L CNN "Sense"
F 29 " " H 3200 -320 50  0001 L CNN "Sense Comment"
F 30 " " H 3200 -395 50  0001 L CNN "ComponentHeight"
F 31 "PHYCOMP" H 3200 -470 50  0001 L CNN "Manufacturer1 Example"
F 32 "223858615649" H 3200 -545 50  0001 L CNN "Manufacturer1 Part Number"
F 33 "0.87mm" H 3200 -620 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 34 "CERN DEM JLC" H 3200 -695 50  0001 L CNN "Author"
F 35 "12/03/07 00:00:00" H 3200 -770 50  0001 L CNN "CreateDate"
F 36 "12/03/07 00:00:00" H 3200 -845 50  0001 L CNN "LatestRevisionDate"
F 37 "Capacitors SMD" H 3200 -920 50  0001 L CNN "Database Table Name"
F 38 "Capacitors.DbLib" H 3200 -995 50  0001 L CNN "Library Name"
F 39 "Capacitors SMD" H 3200 -1070 50  0001 L CNN "Footprint Library"
F 40 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 3200 -1145 50  0001 L CNN "License"
	1    3200 1950
	0    1    1    0   
$EndComp
Wire Wire Line
	3200 1950 4000 1950
$Comp
L Capacitors_SMD:CC0603_100NF_50V_10%_X7R C28
U 1 1 5DB93CE7
P 2000 7000
F 0 "C28" V 2075 6850 50  0000 L CNN
F 1 "CC0603_100NF_50V_10%_X5R" H 2000 6755 50  0001 L CNN
F 2 "Capacitors SMD:CAPC1608X87N" H 2000 6680 50  0001 L CNN
F 3 " " H 2000 6605 50  0001 L CNN
F 4 "100nF" V 2225 6750 50  0000 L CNN "Val"
F 5 "CC0603_100NF_50V_10%_X5R" H 2000 6530 50  0001 L CNN "Part Number"
F 6 "Capacitor - non polarized" H 2000 6455 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Capacitors.SchLib" H 2000 6380 50  0001 L CNN "Library Path"
F 8 "100nF" H 2000 6305 50  0001 L CNN "Comment"
F 9 "Standard" H 2000 6230 50  0001 L CNN "Component Kind"
F 10 "Standard" H 2000 6155 50  0001 L CNN "Component Type"
F 11 "2" H 2000 6080 50  0001 L CNN "Pin Count"
F 12 "PcbLib\\Capacitors SMD.PcbLib" H 2000 6005 50  0001 L CNN "Footprint Path"
F 13 "CAPC1608X87N" H 2000 5930 50  0001 L CNN "Footprint Ref"
F 14 " " H 2000 5855 50  0001 L CNN "PackageDescription"
F 15 "None" H 2000 5780 50  0001 L CNN "Status"
F 16 " " H 2000 5705 50  0001 L CNN "Status Comment"
F 17 "50V" H 2000 5630 50  0001 L CNN "Voltage"
F 18 "X5R" H 2000 5555 50  0001 L CNN "TC"
F 19 "±10%" H 2000 5480 50  0001 L CNN "Tolerance"
F 20 "SMD Multilayer Chip Ceramic Capacitor" H 2000 5405 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 2000 5330 50  0001 L CNN "Manufacturer"
F 22 "CC0603_100NF_50V_10%_X5R" H 2000 5255 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 2000 5180 50  0001 L CNN "Case"
F 24 "Yes" H 2000 5105 50  0001 L CNN "Mounted"
F 25 "No" H 2000 5030 50  0001 L CNN "Socket"
F 26 "Yes" H 2000 4955 50  0001 L CNN "SMD"
F 27 " " H 2000 4880 50  0001 L CNN "PressFit"
F 28 "No" H 2000 4805 50  0001 L CNN "Sense"
F 29 " " H 2000 4730 50  0001 L CNN "Sense Comment"
F 30 " " H 2000 4655 50  0001 L CNN "ComponentHeight"
F 31 "TDK" H 2000 4580 50  0001 L CNN "Manufacturer1 Example"
F 32 "C1608X5R1H104K080AA" H 2000 4505 50  0001 L CNN "Manufacturer1 Part Number"
F 33 "0.9mm" H 2000 4430 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 34 "CERN DEM MR" H 2000 4355 50  0001 L CNN "Author"
F 35 "01/08/16 00:00:00" H 2000 4280 50  0001 L CNN "CreateDate"
F 36 "01/08/16 00:00:00" H 2000 4205 50  0001 L CNN "LatestRevisionDate"
F 37 "Capacitors SMD" H 2000 4130 50  0001 L CNN "Database Table Name"
F 38 "Capacitors.DbLib" H 2000 4055 50  0001 L CNN "Library Name"
F 39 "Capacitors SMD" H 2000 3980 50  0001 L CNN "Footprint Library"
F 40 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 2000 3905 50  0001 L CNN "License"
	1    2000 7000
	0    -1   -1   0   
$EndComp
$Comp
L Capacitors_SMD:CC0603_100NF_50V_10%_X7R C29
U 1 1 5DB9BF7A
P 2450 7000
F 0 "C29" V 2525 6850 50  0000 L CNN
F 1 "CC0603_100NF_50V_10%_X5R" H 2450 6755 50  0001 L CNN
F 2 "Capacitors SMD:CAPC1608X87N" H 2450 6680 50  0001 L CNN
F 3 " " H 2450 6605 50  0001 L CNN
F 4 "100nF" V 2675 6750 50  0000 L CNN "Val"
F 5 "CC0603_100NF_50V_10%_X5R" H 2450 6530 50  0001 L CNN "Part Number"
F 6 "Capacitor - non polarized" H 2450 6455 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Capacitors.SchLib" H 2450 6380 50  0001 L CNN "Library Path"
F 8 "100nF" H 2450 6305 50  0001 L CNN "Comment"
F 9 "Standard" H 2450 6230 50  0001 L CNN "Component Kind"
F 10 "Standard" H 2450 6155 50  0001 L CNN "Component Type"
F 11 "2" H 2450 6080 50  0001 L CNN "Pin Count"
F 12 "PcbLib\\Capacitors SMD.PcbLib" H 2450 6005 50  0001 L CNN "Footprint Path"
F 13 "CAPC1608X87N" H 2450 5930 50  0001 L CNN "Footprint Ref"
F 14 " " H 2450 5855 50  0001 L CNN "PackageDescription"
F 15 "None" H 2450 5780 50  0001 L CNN "Status"
F 16 " " H 2450 5705 50  0001 L CNN "Status Comment"
F 17 "50V" H 2450 5630 50  0001 L CNN "Voltage"
F 18 "X5R" H 2450 5555 50  0001 L CNN "TC"
F 19 "±10%" H 2450 5480 50  0001 L CNN "Tolerance"
F 20 "SMD Multilayer Chip Ceramic Capacitor" H 2450 5405 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 2450 5330 50  0001 L CNN "Manufacturer"
F 22 "CC0603_100NF_50V_10%_X5R" H 2450 5255 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 2450 5180 50  0001 L CNN "Case"
F 24 "Yes" H 2450 5105 50  0001 L CNN "Mounted"
F 25 "No" H 2450 5030 50  0001 L CNN "Socket"
F 26 "Yes" H 2450 4955 50  0001 L CNN "SMD"
F 27 " " H 2450 4880 50  0001 L CNN "PressFit"
F 28 "No" H 2450 4805 50  0001 L CNN "Sense"
F 29 " " H 2450 4730 50  0001 L CNN "Sense Comment"
F 30 " " H 2450 4655 50  0001 L CNN "ComponentHeight"
F 31 "TDK" H 2450 4580 50  0001 L CNN "Manufacturer1 Example"
F 32 "C1608X5R1H104K080AA" H 2450 4505 50  0001 L CNN "Manufacturer1 Part Number"
F 33 "0.9mm" H 2450 4430 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 34 "CERN DEM MR" H 2450 4355 50  0001 L CNN "Author"
F 35 "01/08/16 00:00:00" H 2450 4280 50  0001 L CNN "CreateDate"
F 36 "01/08/16 00:00:00" H 2450 4205 50  0001 L CNN "LatestRevisionDate"
F 37 "Capacitors SMD" H 2450 4130 50  0001 L CNN "Database Table Name"
F 38 "Capacitors.DbLib" H 2450 4055 50  0001 L CNN "Library Name"
F 39 "Capacitors SMD" H 2450 3980 50  0001 L CNN "Footprint Library"
F 40 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 2450 3905 50  0001 L CNN "License"
	1    2450 7000
	0    -1   -1   0   
$EndComp
$Comp
L Power:GND #PWR0101
U 1 1 5DE7EDD1
P 3200 2250
F 0 "#PWR0101" H 3200 2000 50  0001 C CNN
F 1 "GND" H 3100 2250 50  0000 C CNN
F 2 "" H 3200 2250 50  0001 C CNN
F 3 "" H 3200 2250 50  0001 C CNN
	1    3200 2250
	1    0    0    -1  
$EndComp
$Comp
L Power:GND #PWR0102
U 1 1 5DE7EF35
P 1650 7150
F 0 "#PWR0102" H 1650 6900 50  0001 C CNN
F 1 "GND" H 1655 6977 50  0000 C CNN
F 2 "" H 1650 7150 50  0001 C CNN
F 3 "" H 1650 7150 50  0001 C CNN
	1    1650 7150
	1    0    0    -1  
$EndComp
$Comp
L Power:P3V3 #PWR0103
U 1 1 5DE7F3FD
P 2450 5850
F 0 "#PWR0103" H 2450 5700 50  0001 C CNN
F 1 "P3V3" H 2465 6023 50  0000 C CNN
F 2 "" H 2450 5850 50  0001 C CNN
F 3 "" H 2450 5850 50  0001 C CNN
	1    2450 5850
	1    0    0    -1  
$EndComp
$Comp
L Power:P3V3_AUX #PWR0104
U 1 1 5DE7FB1F
P 2450 6550
F 0 "#PWR0104" H 2450 6400 50  0001 C CNN
F 1 "P3V3_AUX" H 2465 6723 50  0000 C CNN
F 2 "" H 2450 6550 50  0001 C CNN
F 3 "" H 2450 6550 50  0001 C CNN
	1    2450 6550
	1    0    0    -1  
$EndComp
$Comp
L Power:GND #PWR0105
U 1 1 5DB92C9E
P 5750 5050
F 0 "#PWR0105" H 5750 4800 50  0001 C CNN
F 1 "GND" H 5755 4877 50  0000 C CNN
F 2 "" H 5750 5050 50  0001 C CNN
F 3 "" H 5750 5050 50  0001 C CNN
	1    5750 5050
	1    0    0    -1  
$EndComp
$Comp
L Capacitors_SMD:CC0603_100NF_50V_10%_X7R C24
U 1 1 5DB94C40
P 5750 4950
F 0 "C24" V 5946 4840 50  0000 R CNN
F 1 "CC0603_100NF_50V_10%_X7R" H 5750 4705 50  0001 L CNN
F 2 "Capacitors SMD:CAPC1608X87N" H 5750 4630 50  0001 L CNN
F 3 " " H 5750 4555 50  0001 L CNN
F 4 "100nF" V 5855 4840 50  0000 R CNN "Val"
F 5 "CC0603_100NF_50V_10%_X7R" H 5750 4480 50  0001 L CNN "Part Number"
F 6 "Capacitor - non polarized" H 5750 4405 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Capacitors.SchLib" H 5750 4330 50  0001 L CNN "Library Path"
F 8 "100nF" H 5750 4255 50  0001 L CNN "Comment"
F 9 "Standard" H 5750 4180 50  0001 L CNN "Component Kind"
F 10 "Standard" H 5750 4105 50  0001 L CNN "Component Type"
F 11 "2" H 5750 4030 50  0001 L CNN "Pin Count"
F 12 "PcbLib\\Capacitors SMD.PcbLib" H 5750 3955 50  0001 L CNN "Footprint Path"
F 13 "CAPC1608X87N" H 5750 3880 50  0001 L CNN "Footprint Ref"
F 14 " " H 5750 3805 50  0001 L CNN "PackageDescription"
F 15 "Preferred" H 5750 3730 50  0001 L CNN "Status"
F 16 " " H 5750 3655 50  0001 L CNN "Status Comment"
F 17 "50V" H 5750 3580 50  0001 L CNN "Voltage"
F 18 "X7R" H 5750 3505 50  0001 L CNN "TC"
F 19 "±10%" H 5750 3430 50  0001 L CNN "Tolerance"
F 20 "SMD Multilayer Chip Ceramic Capacitor" H 5750 3355 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 5750 3280 50  0001 L CNN "Manufacturer"
F 22 "CC0603_100NF_50V_10%_X7R" H 5750 3205 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 5750 3130 50  0001 L CNN "Case"
F 24 "Yes" H 5750 3055 50  0001 L CNN "Mounted"
F 25 "No" H 5750 2980 50  0001 L CNN "Socket"
F 26 "Yes" H 5750 2905 50  0001 L CNN "SMD"
F 27 " " H 5750 2830 50  0001 L CNN "PressFit"
F 28 "No" H 5750 2755 50  0001 L CNN "Sense"
F 29 " " H 5750 2680 50  0001 L CNN "Sense Comment"
F 30 " " H 5750 2605 50  0001 L CNN "ComponentHeight"
F 31 "PHYCOMP" H 5750 2530 50  0001 L CNN "Manufacturer1 Example"
F 32 "223858615649" H 5750 2455 50  0001 L CNN "Manufacturer1 Part Number"
F 33 "0.87mm" H 5750 2380 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 34 "CERN DEM JLC" H 5750 2305 50  0001 L CNN "Author"
F 35 "12/03/07 00:00:00" H 5750 2230 50  0001 L CNN "CreateDate"
F 36 "12/03/07 00:00:00" H 5750 2155 50  0001 L CNN "LatestRevisionDate"
F 37 "Capacitors SMD" H 5750 2080 50  0001 L CNN "Database Table Name"
F 38 "Capacitors.DbLib" H 5750 2005 50  0001 L CNN "Library Name"
F 39 "Capacitors SMD" H 5750 1930 50  0001 L CNN "Footprint Library"
F 40 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 5750 1855 50  0001 L CNN "License"
	1    5750 4950
	0    -1   -1   0   
$EndComp
Wire Wire Line
	5750 5050 5750 4950
Wire Wire Line
	5750 4650 5750 4550
Connection ~ 5750 4550
Wire Wire Line
	5750 4550 5900 4550
$Comp
L Resistors_SMD:R0603_1K_1%_0.1W_100PPM R13
U 1 1 5DB9EDEB
P 5750 4450
F 0 "R13" V 5946 4390 50  0000 R CNN
F 1 "R0603_1K_1%_0.1W_100PPM" H 5750 4255 50  0001 L CNN
F 2 "Resistors SMD:RESC1608X55N" H 5750 4180 50  0001 L CNN
F 3 " " H 5750 4105 50  0001 L CNN
F 4 "1k" V 5855 4390 50  0000 R CNN "Val"
F 5 "R0603_1K_1%_0.1W_100PPM" H 5750 4030 50  0001 L CNN "Part Number"
F 6 "Resistor - 1%" H 5750 3955 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Resistors.SchLib" H 5750 3880 50  0001 L CNN "Library Path"
F 8 "1k" H 5750 3805 50  0001 L CNN "Comment"
F 9 "Standard" H 5750 3730 50  0001 L CNN "Component Kind"
F 10 "Standard" H 5750 3655 50  0001 L CNN "Component Type"
F 11 " " H 5750 3580 50  0001 L CNN "PackageDescription"
F 12 "2" H 5750 3505 50  0001 L CNN "Pin Count"
F 13 "PcbLib\\Resistors SMD.PcbLib" H 5750 3430 50  0001 L CNN "Footprint Path"
F 14 "RESC1608X55N" H 5750 3355 50  0001 L CNN "Footprint Ref"
F 15 "Preferred" H 5750 3280 50  0001 L CNN "Status"
F 16 "0.1W" H 5750 3205 50  0001 L CNN "Power"
F 17 "±100ppm/°C" H 5750 3130 50  0001 L CNN "TC"
F 18 " " H 5750 3055 50  0001 L CNN "Voltage"
F 19 "±1%" H 5750 2980 50  0001 L CNN "Tolerance"
F 20 "General Purpose Thick Film Chip Resistor" H 5750 2905 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 5750 2830 50  0001 L CNN "Manufacturer"
F 22 "R0603_1K_1%_0.1W_100PPM" H 5750 2755 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 5750 2680 50  0001 L CNN "Case"
F 24 "No" H 5750 2605 50  0001 L CNN "PressFit"
F 25 "Yes" H 5750 2530 50  0001 L CNN "Mounted"
F 26 " " H 5750 2455 50  0001 L CNN "Sense Comment"
F 27 "No" H 5750 2380 50  0001 L CNN "Sense"
F 28 " " H 5750 2305 50  0001 L CNN "Status Comment"
F 29 "No" H 5750 2230 50  0001 L CNN "Socket"
F 30 "Yes" H 5750 2155 50  0001 L CNN "SMD"
F 31 " " H 5750 2080 50  0001 L CNN "ComponentHeight"
F 32 "NIC COMPONENT" H 5750 2005 50  0001 L CNN "Manufacturer1 Example"
F 33 "NRC06F1001TRF" H 5750 1930 50  0001 L CNN "Manufacturer1 Part Number"
F 34 "0.55mm" H 5750 1855 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 35 "CERN DEM JLC" H 5750 1780 50  0001 L CNN "Author"
F 36 "12/03/07 00:00:00" H 5750 1705 50  0001 L CNN "CreateDate"
F 37 "03/13/08 00:00:00" H 5750 1630 50  0001 L CNN "LatestRevisionDate"
F 38 "Resistors SMD" H 5750 1555 50  0001 L CNN "Database Table Name"
F 39 "Resistors.DbLib" H 5750 1480 50  0001 L CNN "Library Name"
F 40 "Resistors SMD" H 5750 1405 50  0001 L CNN "Footprint Library"
F 41 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 5750 1330 50  0001 L CNN "License"
	1    5750 4450
	0    -1   -1   0   
$EndComp
Wire Wire Line
	5750 4550 5750 4450
$Comp
L Power:P3V3 #PWR0106
U 1 1 5DBA1B28
P 5750 4050
F 0 "#PWR0106" H 5750 3900 50  0001 C CNN
F 1 "P3V3" H 5765 4223 50  0000 C CNN
F 2 "" H 5750 4050 50  0001 C CNN
F 3 "" H 5750 4050 50  0001 C CNN
	1    5750 4050
	1    0    0    -1  
$EndComp
Wire Wire Line
	5750 4050 5750 4150
Text Notes 6200 4350 0    50   ~ 0
The RC values might\nneed some tuning
Wire Notes Line
	6150 4150 7050 4150
Wire Notes Line
	7050 4150 7050 4400
Wire Notes Line
	7050 4400 6150 4400
Wire Notes Line
	6150 4400 6150 4150
$Comp
L Power:GNDA #PWR0107
U 1 1 5DD27566
P 2950 7150
F 0 "#PWR0107" H 2950 6900 50  0001 C CNN
F 1 "GNDA" H 2955 6977 50  0000 C CNN
F 2 "" H 2950 7150 50  0001 C CNN
F 3 "" H 2950 7150 50  0001 C CNN
	1    2950 7150
	1    0    0    -1  
$EndComp
$Comp
L Power:GND #PWR0108
U 1 1 5DD27718
P 4850 7150
F 0 "#PWR0108" H 4850 6900 50  0001 C CNN
F 1 "GND" H 4855 6977 50  0000 C CNN
F 2 "" H 4850 7150 50  0001 C CNN
F 3 "" H 4850 7150 50  0001 C CNN
	1    4850 7150
	1    0    0    -1  
$EndComp
Wire Wire Line
	7900 4300 7900 4450
Wire Wire Line
	7900 4300 8100 4300
Text HLabel 8350 4300 2    50   Output ~ 0
Vref25
$Comp
L Resistors_SMD:R0603_2K_1%_0.1W_100PPM R?
U 1 1 5E4A60F0
P 7900 4150
AR Path="/5D45F6B0/5E4A60F0" Ref="R?"  Part="1" 
AR Path="/5D45A59D/5E4A60F0" Ref="R28"  Part="1" 
AR Path="/60E38AED/5E4A60F0" Ref="R3"  Part="1" 
AR Path="/61106A8A/5E4A60F0" Ref="R12"  Part="1" 
F 0 "R12" H 8050 4347 50  0000 C CNN
F 1 "R0603_2K_1%_0.1W_100PPM" H 7900 3955 50  0001 L CNN
F 2 "Resistors SMD:RESC1608X55N" H 7900 3880 50  0001 L CNN
F 3 " " H 7900 3805 50  0001 L CNN
F 4 "2k" H 8050 4256 50  0000 C CNN "Val"
F 5 "R0603_2K_1%_0.1W_100PPM" H 7900 3730 50  0001 L CNN "Part Number"
F 6 "Resistor - 1%" H 7900 3655 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Resistors.SchLib" H 7900 3580 50  0001 L CNN "Library Path"
F 8 "2k" H 7900 3505 50  0001 L CNN "Comment"
F 9 "Standard" H 7900 3430 50  0001 L CNN "Component Kind"
F 10 "Standard" H 7900 3355 50  0001 L CNN "Component Type"
F 11 " " H 7900 3280 50  0001 L CNN "PackageDescription"
F 12 "2" H 7900 3205 50  0001 L CNN "Pin Count"
F 13 "PcbLib\\Resistors SMD.PcbLib" H 7900 3130 50  0001 L CNN "Footprint Path"
F 14 "RESC1608X55N" H 7900 3055 50  0001 L CNN "Footprint Ref"
F 15 "Preferred" H 7900 2980 50  0001 L CNN "Status"
F 16 "0.1W" H 7900 2905 50  0001 L CNN "Power"
F 17 "±100ppm/°C" H 7900 2830 50  0001 L CNN "TC"
F 18 " " H 7900 2755 50  0001 L CNN "Voltage"
F 19 "±1%" H 7900 2680 50  0001 L CNN "Tolerance"
F 20 "General Purpose Thick Film Chip Resistor" H 7900 2605 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 7900 2530 50  0001 L CNN "Manufacturer"
F 22 "R0603_2K_1%_0.1W_100PPM" H 7900 2455 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 7900 2380 50  0001 L CNN "Case"
F 24 "No" H 7900 2305 50  0001 L CNN "PressFit"
F 25 "Yes" H 7900 2230 50  0001 L CNN "Mounted"
F 26 " " H 7900 2155 50  0001 L CNN "Sense Comment"
F 27 "No" H 7900 2080 50  0001 L CNN "Sense"
F 28 " " H 7900 2005 50  0001 L CNN "Status Comment"
F 29 "No" H 7900 1930 50  0001 L CNN "Socket"
F 30 "Yes" H 7900 1855 50  0001 L CNN "SMD"
F 31 " " H 7900 1780 50  0001 L CNN "ComponentHeight"
F 32 "NIC COMPONENT" H 7900 1705 50  0001 L CNN "Manufacturer1 Example"
F 33 "NRC06F2001TRF" H 7900 1630 50  0001 L CNN "Manufacturer1 Part Number"
F 34 "0.55mm" H 7900 1555 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 35 "CERN DEM JLC" H 7900 1480 50  0001 L CNN "Author"
F 36 "12/03/07 00:00:00" H 7900 1405 50  0001 L CNN "CreateDate"
F 37 "03/13/08 00:00:00" H 7900 1330 50  0001 L CNN "LatestRevisionDate"
F 38 "Resistors SMD" H 7900 1255 50  0001 L CNN "Database Table Name"
F 39 "Resistors.DbLib" H 7900 1180 50  0001 L CNN "Library Name"
F 40 "Resistors SMD" H 7900 1105 50  0001 L CNN "Footprint Library"
F 41 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 7900 1030 50  0001 L CNN "License"
	1    7900 4150
	0    -1   -1   0   
$EndComp
Wire Wire Line
	7900 5050 7900 5150
Wire Wire Line
	8100 4750 8100 4300
$Comp
L Power:P3V3_AUX #PWR?
U 1 1 5E4A60F8
P 7900 3700
AR Path="/5D45F6B0/5E4A60F8" Ref="#PWR?"  Part="1" 
AR Path="/5D45A59D/5E4A60F8" Ref="#PWR063"  Part="1" 
AR Path="/60E38AED/5E4A60F8" Ref="#PWR0109"  Part="1" 
AR Path="/61106A8A/5E4A60F8" Ref="#PWR0109"  Part="1" 
F 0 "#PWR0109" H 7900 3550 50  0001 C CNN
F 1 "P3V3_AUX" H 7915 3873 50  0000 C CNN
F 2 "" H 7900 3700 50  0001 C CNN
F 3 "" H 7900 3700 50  0001 C CNN
	1    7900 3700
	1    0    0    -1  
$EndComp
$Comp
L Regulators:TL431BQDBZ IC?
U 1 1 5E4A6122
P 7800 4850
AR Path="/5D45F6B0/5E4A6122" Ref="IC?"  Part="1" 
AR Path="/5D45A59D/5E4A6122" Ref="IC7"  Part="1" 
AR Path="/60E38AED/5E4A6122" Ref="IC2"  Part="1" 
AR Path="/61106A8A/5E4A6122" Ref="IC5"  Part="1" 
F 0 "IC5" V 7900 4877 50  0000 L CNN
F 1 "TL431BQDBZ" V 7750 4850 50  0000 L CNN
F 2 "ICs And Semiconductors SMD:SOT95P250X110-3N" H 7800 4330 50  0001 L CNN
F 3 " " H 7800 4255 50  0001 L CNN
F 4 "https://edms.cern.ch/document/1171338/1" V 7800 4850 50  0001 C CNN "Radiation Test Report"
F 5 "TL431BQDBZ" H 7800 4180 50  0001 L CNN "Part Number"
F 6 "VREF 1C-2ADJ-3A" H 7800 4105 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Regulators.SchLib" H 7800 4030 50  0001 L CNN "Library Path"
F 8 "TL431BQDBZ" H 7800 3955 50  0001 L CNN "Comment"
F 9 "Standard" H 7800 3880 50  0001 L CNN "Component Kind"
F 10 "Standard" H 7800 3805 50  0001 L CNN "Component Type"
F 11 "TL431BQDBZ" H 7800 3730 50  0001 L CNN "Device"
F 12 "SOT23, 0.95mm Pitch; 3 Pin, 1.3mm W X 2.9mm L X 1.1mm H Body, IPC Medium Density" H 7800 3655 50  0001 L CNN "PackageDescription"
F 13 " " H 7800 3580 50  0001 L CNN "Status"
F 14 "Vref (2.495V) To 36V 0.5% Precision Programmable Reference" H 7800 3505 50  0001 L CNN "Part Description"
F 15 "NXP SEMICONDUCTORS" H 7800 3430 50  0001 L CNN "Manufacturer"
F 16 "TL431BQDBZ" H 7800 3355 50  0001 L CNN "Manufacturer Part Number"
F 17 "3" H 7800 3280 50  0001 L CNN "Pin Count"
F 18 "SOT23" H 7800 3205 50  0001 L CNN "Case"
F 19 "Yes" H 7800 3130 50  0001 L CNN "Mounted"
F 20 "No" H 7800 3055 50  0001 L CNN "Socket"
F 21 "Yes" H 7800 2980 50  0001 L CNN "SMD"
F 22 "No" H 7800 2905 50  0001 L CNN "PressFit"
F 23 "No" H 7800 2830 50  0001 L CNN "Sense"
F 24 " " H 7800 2755 50  0001 L CNN "Sense Comment"
F 25 "No" H 7800 2680 50  0001 L CNN "Bonding"
F 26 " " H 7800 2605 50  0001 L CNN "Status Comment"
F 27 "1.1mm" H 7800 2530 50  0001 L CNN "ComponentHeight"
F 28 "PcbLib\\ICs And Semiconductors SMD.PcbLib" H 7800 2455 50  0001 L CNN "Footprint Path"
F 29 "SOT95P250X110-3N" H 7800 2380 50  0001 L CNN "Footprint Ref"
F 30 " " H 7800 2305 50  0001 L CNN "ComponentLink1Description"
F 31 " " H 7800 2230 50  0001 L CNN "ComponentLink2Description"
F 32 "CERN DEM MR" H 7800 2155 50  0001 L CNN "Author"
F 33 "04/18/16 00:00:00" H 7800 2080 50  0001 L CNN "CreateDate"
F 34 "04/18/16 00:00:00" H 7800 2005 50  0001 L CNN "LatestRevisionDate"
F 35 " " H 7800 1930 50  0001 L CNN "SCEM"
F 36 "Regulators" H 7800 1855 50  0001 L CNN "Database Table Name"
F 37 "ICs And Semiconductors.DbLib" H 7800 1780 50  0001 L CNN "Library Name"
F 38 "ICs And Semiconductors SMD" H 7800 1705 50  0001 L CNN "Footprint Library"
F 39 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 7800 1630 50  0001 L CNN "License"
	1    7800 4850
	0    -1   -1   0   
$EndComp
Text Label 8100 4300 0    50   ~ 0
Vref25
Wire Wire Line
	7900 3700 7900 3850
Wire Wire Line
	7900 4150 7900 4300
Connection ~ 7900 4300
Wire Wire Line
	8100 4300 8350 4300
Connection ~ 8100 4300
$Comp
L Power:GNDA #PWR?
U 1 1 5E4A612E
P 7900 5150
AR Path="/5D45F6B0/5E4A612E" Ref="#PWR?"  Part="1" 
AR Path="/5D45A59D/5E4A612E" Ref="#PWR064"  Part="1" 
AR Path="/60E38AED/5E4A612E" Ref="#PWR0110"  Part="1" 
AR Path="/61106A8A/5E4A612E" Ref="#PWR0110"  Part="1" 
F 0 "#PWR0110" H 7900 4900 50  0001 C CNN
F 1 "GNDA" H 7905 4977 50  0000 C CNN
F 2 "" H 7900 5150 50  0001 C CNN
F 3 "" H 7900 5150 50  0001 C CNN
	1    7900 5150
	1    0    0    -1  
$EndComp
Text Label 3200 1950 0    50   ~ 0
Vref25
Wire Bus Line
	7700 2550 8200 2550
Text HLabel 7700 2550 0    50   Output ~ 0
V_adc[1..3]
Text Label 8200 2550 0    50   ~ 0
V_adc[1..3]
Wire Bus Line
	7700 2700 8200 2700
Text HLabel 7700 2700 0    50   Output ~ 0
VI_adc[1..3]
Text Label 8200 2700 0    50   ~ 0
VI_adc[1..3]
Wire Bus Line
	7700 2850 8200 2850
Text HLabel 7700 2850 0    50   Output ~ 0
T_adc[1..3]
Text Label 8200 2850 0    50   ~ 0
T_adc[1..3]
Wire Bus Line
	7700 3000 8200 3000
Text HLabel 7700 3000 0    50   Output ~ 0
Fan_tacho[1..3]
Text Label 8200 3000 0    50   ~ 0
Fan_tacho[1..3]
Wire Bus Line
	7700 2400 8200 2400
Text HLabel 7700 2400 0    50   Output ~ 0
Addr[0..2]
Text Label 8200 2400 0    50   ~ 0
Addr[0..2]
Wire Bus Line
	7650 3150 8200 3150
Text HLabel 8200 3150 2    50   Input ~ 0
Fan_ctrl[1..3]
Text Label 7650 3150 2    50   ~ 0
Fan_ctrl[1..3]
Text Label 5900 2150 0    50   ~ 0
Fan_ctrl3
Text Label 5900 2050 0    50   ~ 0
Fan_tacho3
Text Label 5900 2250 0    50   ~ 0
Addr0
Text Label 5900 1950 0    50   ~ 0
V_adc2
Text Label 5900 1850 0    50   ~ 0
VI_adc2
Text Label 5900 1750 0    50   ~ 0
V_adc3
Text Label 5900 1650 0    50   ~ 0
VI_adc3
Text Label 3700 1850 2    50   ~ 0
T_adc1
Text Label 3700 2050 2    50   ~ 0
T_adc2
Text Label 3700 2150 2    50   ~ 0
T_adc3
Text Label 3700 2250 2    50   ~ 0
V_adc1
Text Label 3700 2350 2    50   ~ 0
VI_adc1
Text Label 3700 2950 2    50   ~ 0
Fan_tacho2
Text Label 3700 3250 2    50   ~ 0
Fan_tacho1
Text Label 3700 3550 2    50   ~ 0
Fan_ctrl1
Text Label 3700 3650 2    50   ~ 0
Addr1
Text Label 3700 3750 2    50   ~ 0
Addr2
Text Label 3700 3950 2    50   ~ 0
Fan_ctrl2
$Comp
L Power:GND #PWR0111
U 1 1 5DE7E4E4
P 1100 3950
F 0 "#PWR0111" H 1100 3700 50  0001 C CNN
F 1 "GND" H 1105 3777 50  0000 C CNN
F 2 "" H 1100 3950 50  0001 C CNN
F 3 "" H 1100 3950 50  0001 C CNN
	1    1100 3950
	1    0    0    -1  
$EndComp
$Comp
L Crystals_&_Oscillators:XTAL_8MHZ_TXC_7A-8.000MAAE-T Q1
U 1 1 5DBB23F5
P 950 3200
F 0 "Q1" H 1100 3457 50  0000 C CNN
F 1 "XTAL_8MHZ_TXC_7A-8.000MAAE-T" H -300 3250 50  0001 L CNN
F 2 "ICs And Semiconductors SMD:XTAL_TXC_7A" H 950 2850 50  0001 L CNN
F 3 " " H 950 2775 50  0001 L CNN
F 4 "8MHz" H 1100 3366 50  0000 C CNN "Val"
F 5 "XTAL_8MHZ_TXC_7A-8.000MAAE-T" H 950 2700 50  0001 L CNN "Part Number"
F 6 "Quartz Crystal" H 950 2625 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Crystals & Oscillators.SchLib" H 950 2550 50  0001 L CNN "Library Path"
F 8 "8MHz" H 950 2475 50  0001 L CNN "Comment"
F 9 "Standard" H 950 2400 50  0001 L CNN "Component Kind"
F 10 "Standard" H 950 2325 50  0001 L CNN "Component Type"
F 11 " " H 950 2250 50  0001 L CNN "Device"
F 12 "2 Pins, 3.2x5mm, SMD Glass Seam Sealing Crystal, 7A Serie" H 950 2175 50  0001 L CNN "PackageDescription"
F 13 " " H 950 2100 50  0001 L CNN "Status"
F 14 "Tolerance: ±30ppm, Stability: ±30ppm, -20°C to +70°C, 12pF, SMD Glass Seam Sealing Crystal, 7A Series" H 950 2025 50  0001 L CNN "Part Description"
F 15 "TXC CORPORATION" H 950 1950 50  0001 L CNN "Manufacturer"
F 16 "7A-8.000MAAE-T" H 950 1875 50  0001 L CNN "Manufacturer Part Number"
F 17 "2" H 950 1800 50  0001 L CNN "Pin Count"
F 18 " " H 950 1725 50  0001 L CNN "Case"
F 19 "Yes" H 950 1650 50  0001 L CNN "Mounted"
F 20 "No" H 950 1575 50  0001 L CNN "Socket"
F 21 "Yes" H 950 1500 50  0001 L CNN "SMD"
F 22 "No" H 950 1425 50  0001 L CNN "PressFit"
F 23 "No" H 950 1350 50  0001 L CNN "Sense"
F 24 "No" H 950 1275 50  0001 L CNN "Bonding"
F 25 " " H 950 1200 50  0001 L CNN "Sense Comment"
F 26 " " H 950 1125 50  0001 L CNN "Status Comment"
F 27 "1.2mm" H 950 1050 50  0001 L CNN "ComponentHeight"
F 28 "PcbLib\\ICs And Semiconductors SMD.PcbLib" H 950 975 50  0001 L CNN "Footprint Path"
F 29 "XTAL_TXC_7A" H 950 900 50  0001 L CNN "Footprint Ref"
F 30 " " H 950 825 50  0001 L CNN "ComponentLink1Description"
F 31 " " H 950 750 50  0001 L CNN "ComponentLink2Description"
F 32 "CERN DEM JLC" H 950 675 50  0001 L CNN "Author"
F 33 "10/09/14 00:00:00" H 950 600 50  0001 L CNN "CreateDate"
F 34 "11/12/14 00:00:00" H 950 525 50  0001 L CNN "LatestRevisionDate"
F 35 "Crystals & Oscillators" H 950 450 50  0001 L CNN "Database Table Name"
F 36 "ICs And Semiconductors.DbLib" H 950 375 50  0001 L CNN "Library Name"
F 37 "ICs And Semiconductors SMD" H 950 300 50  0001 L CNN "Footprint Library"
F 38 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 950 225 50  0001 L CNN "License"
	1    950  3200
	1    0    0    -1  
$EndComp
$Comp
L Capacitors_SMD:CC0603_22PF_50V_5%_NP0 C21
U 1 1 5DBAB611
P 1350 3750
F 0 "C21" V 1425 3700 50  0000 R CNN
F 1 "CC0603_22PF_50V_5%_NP0" H 1350 3505 50  0001 L CNN
F 2 "Capacitors SMD:CAPC1608X87N" H 1350 3430 50  0001 L CNN
F 3 " " H 1350 3355 50  0001 L CNN
F 4 "22pF" V 1575 3725 50  0000 R CNN "Val"
F 5 "CC0603_22PF_50V_5%_NP0" H 1350 3280 50  0001 L CNN "Part Number"
F 6 "Capacitor - non polarized" H 1350 3205 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Capacitors.SchLib" H 1350 3130 50  0001 L CNN "Library Path"
F 8 "22pF" H 1350 3055 50  0001 L CNN "Comment"
F 9 "Standard" H 1350 2980 50  0001 L CNN "Component Kind"
F 10 "Standard" H 1350 2905 50  0001 L CNN "Component Type"
F 11 "2" H 1350 2830 50  0001 L CNN "Pin Count"
F 12 "PcbLib\\Capacitors SMD.PcbLib" H 1350 2755 50  0001 L CNN "Footprint Path"
F 13 "CAPC1608X87N" H 1350 2680 50  0001 L CNN "Footprint Ref"
F 14 " " H 1350 2605 50  0001 L CNN "PackageDescription"
F 15 "Preferred" H 1350 2530 50  0001 L CNN "Status"
F 16 " " H 1350 2455 50  0001 L CNN "Status Comment"
F 17 "50V" H 1350 2380 50  0001 L CNN "Voltage"
F 18 "C0G/NP0" H 1350 2305 50  0001 L CNN "TC"
F 19 "±5%" H 1350 2230 50  0001 L CNN "Tolerance"
F 20 "SMD Multilayer Chip Ceramic Capacitor" H 1350 2155 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 1350 2080 50  0001 L CNN "Manufacturer"
F 22 "CC0603_22PF_50V_5%_NP0" H 1350 2005 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 1350 1930 50  0001 L CNN "Case"
F 24 "Yes" H 1350 1855 50  0001 L CNN "Mounted"
F 25 "No" H 1350 1780 50  0001 L CNN "Socket"
F 26 "Yes" H 1350 1705 50  0001 L CNN "SMD"
F 27 " " H 1350 1630 50  0001 L CNN "PressFit"
F 28 "No" H 1350 1555 50  0001 L CNN "Sense"
F 29 " " H 1350 1480 50  0001 L CNN "Sense Comment"
F 30 " " H 1350 1405 50  0001 L CNN "ComponentHeight"
F 31 "PHYCOMP" H 1350 1330 50  0001 L CNN "Manufacturer1 Example"
F 32 "223886715229" H 1350 1255 50  0001 L CNN "Manufacturer1 Part Number"
F 33 "0.87mm" H 1350 1180 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 34 "CERN DEM JLC" H 1350 1105 50  0001 L CNN "Author"
F 35 "12/03/07 00:00:00" H 1350 1030 50  0001 L CNN "CreateDate"
F 36 "12/03/07 00:00:00" H 1350 955 50  0001 L CNN "LatestRevisionDate"
F 37 "Capacitors SMD" H 1350 880 50  0001 L CNN "Database Table Name"
F 38 "Capacitors.DbLib" H 1350 805 50  0001 L CNN "Library Name"
F 39 "Capacitors SMD" H 1350 730 50  0001 L CNN "Footprint Library"
F 40 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 1350 655 50  0001 L CNN "License"
	1    1350 3750
	0    -1   -1   0   
$EndComp
$Comp
L Capacitors_SMD:CC0603_22PF_50V_5%_NP0 C20
U 1 1 5DBA99BF
P 850 3750
F 0 "C20" V 925 3700 50  0000 R CNN
F 1 "CC0603_22PF_50V_5%_NP0" H 850 3505 50  0001 L CNN
F 2 "Capacitors SMD:CAPC1608X87N" H 850 3430 50  0001 L CNN
F 3 " " H 850 3355 50  0001 L CNN
F 4 "22pF" V 1075 3725 50  0000 R CNN "Val"
F 5 "CC0603_22PF_50V_5%_NP0" H 850 3280 50  0001 L CNN "Part Number"
F 6 "Capacitor - non polarized" H 850 3205 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Capacitors.SchLib" H 850 3130 50  0001 L CNN "Library Path"
F 8 "22pF" H 850 3055 50  0001 L CNN "Comment"
F 9 "Standard" H 850 2980 50  0001 L CNN "Component Kind"
F 10 "Standard" H 850 2905 50  0001 L CNN "Component Type"
F 11 "2" H 850 2830 50  0001 L CNN "Pin Count"
F 12 "PcbLib\\Capacitors SMD.PcbLib" H 850 2755 50  0001 L CNN "Footprint Path"
F 13 "CAPC1608X87N" H 850 2680 50  0001 L CNN "Footprint Ref"
F 14 " " H 850 2605 50  0001 L CNN "PackageDescription"
F 15 "Preferred" H 850 2530 50  0001 L CNN "Status"
F 16 " " H 850 2455 50  0001 L CNN "Status Comment"
F 17 "50V" H 850 2380 50  0001 L CNN "Voltage"
F 18 "C0G/NP0" H 850 2305 50  0001 L CNN "TC"
F 19 "±5%" H 850 2230 50  0001 L CNN "Tolerance"
F 20 "SMD Multilayer Chip Ceramic Capacitor" H 850 2155 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 850 2080 50  0001 L CNN "Manufacturer"
F 22 "CC0603_22PF_50V_5%_NP0" H 850 2005 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 850 1930 50  0001 L CNN "Case"
F 24 "Yes" H 850 1855 50  0001 L CNN "Mounted"
F 25 "No" H 850 1780 50  0001 L CNN "Socket"
F 26 "Yes" H 850 1705 50  0001 L CNN "SMD"
F 27 " " H 850 1630 50  0001 L CNN "PressFit"
F 28 "No" H 850 1555 50  0001 L CNN "Sense"
F 29 " " H 850 1480 50  0001 L CNN "Sense Comment"
F 30 " " H 850 1405 50  0001 L CNN "ComponentHeight"
F 31 "PHYCOMP" H 850 1330 50  0001 L CNN "Manufacturer1 Example"
F 32 "223886715229" H 850 1255 50  0001 L CNN "Manufacturer1 Part Number"
F 33 "0.87mm" H 850 1180 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 34 "CERN DEM JLC" H 850 1105 50  0001 L CNN "Author"
F 35 "12/03/07 00:00:00" H 850 1030 50  0001 L CNN "CreateDate"
F 36 "12/03/07 00:00:00" H 850 955 50  0001 L CNN "LatestRevisionDate"
F 37 "Capacitors SMD" H 850 880 50  0001 L CNN "Database Table Name"
F 38 "Capacitors.DbLib" H 850 805 50  0001 L CNN "Library Name"
F 39 "Capacitors SMD" H 850 730 50  0001 L CNN "Footprint Library"
F 40 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 850 655 50  0001 L CNN "License"
	1    850  3750
	0    -1   -1   0   
$EndComp
Text Label 1350 3400 0    50   ~ 0
xtal2
Text Label 850  3400 2    50   ~ 0
xtal1
Wire Wire Line
	1100 3850 1350 3850
Connection ~ 1100 3850
Wire Wire Line
	1100 3950 1100 3850
Wire Wire Line
	850  3850 1100 3850
Wire Wire Line
	1250 3200 1350 3200
Wire Wire Line
	850  3850 850  3750
Wire Wire Line
	1350 3750 1350 3850
Wire Wire Line
	1350 3200 1350 3450
Wire Wire Line
	850  3200 950  3200
Wire Wire Line
	850  3450 850  3200
$Comp
L Logic:ATSAMD21G18A-AF IC4
U 1 1 5DB8422E
P 4200 1550
F 0 "IC4" H 4800 1623 50  0000 C CNN
F 1 "ATSAMD21G18A-AF" H 4200 -1625 50  0000 L CNN
F 2 "ICs And Semiconductors SMD:QFP50P900X900X120-48N" H 4200 -1700 50  0001 L CNN
F 3 " " H 4200 -1775 50  0001 L CNN
F 4 "ATSAMD21G18A-AF" H 4200 -1850 50  0001 L CNN "Part Number"
F 5 "ATSAMD21G18A-AF" H 4200 -1925 50  0001 L CNN "Library Ref"
F 6 "SchLib\\Logic.SchLib" H 4200 -2000 50  0001 L CNN "Library Path"
F 7 "ATSAMD21G18A-AF" H 4200 -2075 50  0001 L CNN "Comment"
F 8 "Standard" H 4200 -2150 50  0001 L CNN "Component Kind"
F 9 "Standard" H 4200 -2225 50  0001 L CNN "Component Type"
F 10 "ATSAMD21G18A-AF" H 4200 -2300 50  0001 L CNN "Device"
F 11 "QFP, 0.50mm Pitch, Square, 12 pin X 12 Pin, 7.00mm X 7.00mm X 1.20mm Body, IPC Medium Density" H 4200 -2375 50  0001 L CNN "PackageDescription"
F 12 " " H 4200 -2450 50  0001 L CNN "Status"
F 13 "32-bit ARM®-based Cortex®-M0+ core Microcontroller, 1.62V to 3.6V, 48MHz, 256KB Flash, 32KB SRAM, 48 QFP, Temperature Range -40°C to 125°C" H 4200 -2525 50  0001 L CNN "Part Description"
F 14 "MICROCHIP" H 4200 -2600 50  0001 L CNN "Manufacturer"
F 15 "ATSAMD21G18A-AF" H 4200 -2675 50  0001 L CNN "Manufacturer Part Number"
F 16 "48" H 4200 -2750 50  0001 L CNN "Pin Count"
F 17 "QFP48" H 4200 -2825 50  0001 L CNN "Case"
F 18 "Yes" H 4200 -2900 50  0001 L CNN "Mounted"
F 19 "No" H 4200 -2975 50  0001 L CNN "Socket"
F 20 "Yes" H 4200 -3050 50  0001 L CNN "SMD"
F 21 "No" H 4200 -3125 50  0001 L CNN "PressFit"
F 22 "No" H 4200 -3200 50  0001 L CNN "Sense"
F 23 "No" H 4200 -3275 50  0001 L CNN "Bonding"
F 24 " " H 4200 -3350 50  0001 L CNN "Sense Comment"
F 25 " " H 4200 -3425 50  0001 L CNN "Status Comment"
F 26 "1.2mm" H 4200 -3500 50  0001 L CNN "ComponentHeight"
F 27 "PcbLib\\ICs And Semiconductors SMD.PcbLib" H 4200 -3575 50  0001 L CNN "Footprint Path"
F 28 "QFP50P900X900X120-48N" H 4200 -3650 50  0001 L CNN "Footprint Ref"
F 29 " " H 4200 -3725 50  0001 L CNN "ComponentLink1Description"
F 30 " " H 4200 -3800 50  0001 L CNN "ComponentLink2Description"
F 31 "CERN DEM JK" H 4200 -3875 50  0001 L CNN "Author"
F 32 "05/03/19 00:00:00" H 4200 -3950 50  0001 L CNN "CreateDate"
F 33 "05/03/19 00:00:00" H 4200 -4025 50  0001 L CNN "LatestRevisionDate"
F 34 " " H 4200 -4100 50  0001 L CNN "SCEM"
F 35 "Logic" H 4200 -4175 50  0001 L CNN "Database Table Name"
F 36 "ICs And Semiconductors.DbLib" H 4200 -4250 50  0001 L CNN "Library Name"
F 37 "ICs And Semiconductors SMD" H 4200 -4325 50  0001 L CNN "Footprint Library"
F 38 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 4200 -4400 50  0001 L CNN "License"
	1    4200 1550
	1    0    0    -1  
$EndComp
Wire Wire Line
	4000 1750 3700 1750
Wire Wire Line
	4000 1650 3700 1650
Text Label 3700 1650 2    50   ~ 0
xtal32_1
Text Label 3700 1750 2    50   ~ 0
xtal32_2
$Comp
L Crystals_&_Oscillators:XTAL_32.768KHZ_ABRACON_ABS06-32.768KHZ-T Q2
U 1 1 5E582E19
P 2200 3200
F 0 "Q2" H 2350 3457 50  0000 C CNN
F 1 "XTAL_32.768KHZ_ABRACON_ABS06-32.768KHZ-T" H 2200 2925 50  0001 L CNN
F 2 "ICs And Semiconductors SMD:XTAL_ABRACON_ABS06" H 2200 2850 50  0001 L CNN
F 3 " " H 2200 2775 50  0001 L CNN
F 4 "32.768kHz" H 2350 3366 50  0000 C CNN "Val"
F 5 "XTAL_32.768KHZ_ABRACON_ABS06-32.768KHZ-T" H 2200 2700 50  0001 L CNN "Part Number"
F 6 "Quartz Crystal" H 2200 2625 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Crystals & Oscillators.SchLib" H 2200 2550 50  0001 L CNN "Library Path"
F 8 "32.768kHz" H 2200 2475 50  0001 L CNN "Comment"
F 9 "Standard" H 2200 2400 50  0001 L CNN "Component Kind"
F 10 "Standard" H 2200 2325 50  0001 L CNN "Component Type"
F 11 " " H 2200 2250 50  0001 L CNN "Device"
F 12 "2 Pins, 2.15x1.3mm, SMD Low Profile Crystal, ABS06 Series" H 2200 2175 50  0001 L CNN "PackageDescription"
F 13 " " H 2200 2100 50  0001 L CNN "Status"
F 14 "Tolerance: ± 20ppm, -40°C to +85°C, 12.5pF, SMD Low Profile Crystal, ABS06 Series" H 2200 2025 50  0001 L CNN "Part Description"
F 15 "ABRACON" H 2200 1950 50  0001 L CNN "Manufacturer"
F 16 "ABS06-32.768kHz-T" H 2200 1875 50  0001 L CNN "Manufacturer Part Number"
F 17 "2" H 2200 1800 50  0001 L CNN "Pin Count"
F 18 " " H 2200 1725 50  0001 L CNN "Case"
F 19 "Yes" H 2200 1650 50  0001 L CNN "Mounted"
F 20 "No" H 2200 1575 50  0001 L CNN "Socket"
F 21 "Yes" H 2200 1500 50  0001 L CNN "SMD"
F 22 "No" H 2200 1425 50  0001 L CNN "PressFit"
F 23 "No" H 2200 1350 50  0001 L CNN "Sense"
F 24 "No" H 2200 1275 50  0001 L CNN "Bonding"
F 25 " " H 2200 1200 50  0001 L CNN "Sense Comment"
F 26 " " H 2200 1125 50  0001 L CNN "Status Comment"
F 27 "0.6mm" H 2200 1050 50  0001 L CNN "ComponentHeight"
F 28 "PcbLib\\ICs And Semiconductors SMD.PcbLib" H 2200 975 50  0001 L CNN "Footprint Path"
F 29 "XTAL_ABRACON_ABS06" H 2200 900 50  0001 L CNN "Footprint Ref"
F 30 " " H 2200 825 50  0001 L CNN "ComponentLink1Description"
F 31 " " H 2200 750 50  0001 L CNN "ComponentLink2Description"
F 32 "CERN DEM JLC" H 2200 675 50  0001 L CNN "Author"
F 33 "10/06/16 00:00:00" H 2200 600 50  0001 L CNN "CreateDate"
F 34 "10/06/16 00:00:00" H 2200 525 50  0001 L CNN "LatestRevisionDate"
F 35 "Crystals & Oscillators" H 2200 450 50  0001 L CNN "Database Table Name"
F 36 "ICs And Semiconductors.DbLib" H 2200 375 50  0001 L CNN "Library Name"
F 37 "ICs And Semiconductors SMD" H 2200 300 50  0001 L CNN "Footprint Library"
F 38 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 2200 225 50  0001 L CNN "License"
	1    2200 3200
	1    0    0    -1  
$EndComp
$Comp
L Power:GND #PWR0112
U 1 1 5E58605D
P 2350 3950
F 0 "#PWR0112" H 2350 3700 50  0001 C CNN
F 1 "GND" H 2355 3777 50  0000 C CNN
F 2 "" H 2350 3950 50  0001 C CNN
F 3 "" H 2350 3950 50  0001 C CNN
	1    2350 3950
	1    0    0    -1  
$EndComp
$Comp
L Capacitors_SMD:CC0603_15PF_50V_5%_NP0 C23
U 1 1 5EBF8D87
P 2600 3750
F 0 "C23" V 2796 3640 50  0000 R CNN
F 1 "CC0603_15PF_50V_5%_NP0" H 2600 3505 50  0001 L CNN
F 2 "Capacitors SMD:CAPC1608X87N" H 2600 3430 50  0001 L CNN
F 3 " " H 2600 3355 50  0001 L CNN
F 4 "15pF" V 2705 3640 50  0000 R CNN "Val"
F 5 "CC0603_15PF_50V_5%_NP0" H 2600 3280 50  0001 L CNN "Part Number"
F 6 "Capacitor - non polarized" H 2600 3205 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Capacitors.SchLib" H 2600 3130 50  0001 L CNN "Library Path"
F 8 "15pF" H 2600 3055 50  0001 L CNN "Comment"
F 9 "Standard" H 2600 2980 50  0001 L CNN "Component Kind"
F 10 "Standard" H 2600 2905 50  0001 L CNN "Component Type"
F 11 "2" H 2600 2830 50  0001 L CNN "Pin Count"
F 12 "PcbLib\\Capacitors SMD.PcbLib" H 2600 2755 50  0001 L CNN "Footprint Path"
F 13 "CAPC1608X87N" H 2600 2680 50  0001 L CNN "Footprint Ref"
F 14 " " H 2600 2605 50  0001 L CNN "PackageDescription"
F 15 "Preferred" H 2600 2530 50  0001 L CNN "Status"
F 16 " " H 2600 2455 50  0001 L CNN "Status Comment"
F 17 "50V" H 2600 2380 50  0001 L CNN "Voltage"
F 18 "C0G/NP0" H 2600 2305 50  0001 L CNN "TC"
F 19 "±5%" H 2600 2230 50  0001 L CNN "Tolerance"
F 20 "SMD Multilayer Chip Ceramic Capacitor" H 2600 2155 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 2600 2080 50  0001 L CNN "Manufacturer"
F 22 "CC0603_15PF_50V_5%_NP0" H 2600 2005 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 2600 1930 50  0001 L CNN "Case"
F 24 "Yes" H 2600 1855 50  0001 L CNN "Mounted"
F 25 "No" H 2600 1780 50  0001 L CNN "Socket"
F 26 "Yes" H 2600 1705 50  0001 L CNN "SMD"
F 27 " " H 2600 1630 50  0001 L CNN "PressFit"
F 28 "No" H 2600 1555 50  0001 L CNN "Sense"
F 29 " " H 2600 1480 50  0001 L CNN "Sense Comment"
F 30 " " H 2600 1405 50  0001 L CNN "ComponentHeight"
F 31 "PHYCOMP" H 2600 1330 50  0001 L CNN "Manufacturer1 Example"
F 32 "223886715159" H 2600 1255 50  0001 L CNN "Manufacturer1 Part Number"
F 33 "0.87mm" H 2600 1180 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 34 "CERN DEM JLC" H 2600 1105 50  0001 L CNN "Author"
F 35 "12/03/07 00:00:00" H 2600 1030 50  0001 L CNN "CreateDate"
F 36 "12/03/07 00:00:00" H 2600 955 50  0001 L CNN "LatestRevisionDate"
F 37 "Capacitors" H 2600 880 50  0001 L CNN "Database Table Name"
F 38 "Capacitors SMD" H 2600 805 50  0001 L CNN "Library Name"
F 39 "Capacitors SMD" H 2600 730 50  0001 L CNN "Footprint Library"
F 40 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 2600 655 50  0001 L CNN "License"
	1    2600 3750
	0    -1   -1   0   
$EndComp
$Comp
L Capacitors_SMD:CC0603_15PF_50V_5%_NP0 C22
U 1 1 5EBE541F
P 2100 3750
F 0 "C22" V 2296 3640 50  0000 R CNN
F 1 "CC0603_15PF_50V_5%_NP0" H 2100 3505 50  0001 L CNN
F 2 "Capacitors SMD:CAPC1608X87N" H 2100 3430 50  0001 L CNN
F 3 " " H 2100 3355 50  0001 L CNN
F 4 "15pF" V 2205 3640 50  0000 R CNN "Val"
F 5 "CC0603_15PF_50V_5%_NP0" H 2100 3280 50  0001 L CNN "Part Number"
F 6 "Capacitor - non polarized" H 2100 3205 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Capacitors.SchLib" H 2100 3130 50  0001 L CNN "Library Path"
F 8 "15pF" H 2100 3055 50  0001 L CNN "Comment"
F 9 "Standard" H 2100 2980 50  0001 L CNN "Component Kind"
F 10 "Standard" H 2100 2905 50  0001 L CNN "Component Type"
F 11 "2" H 2100 2830 50  0001 L CNN "Pin Count"
F 12 "PcbLib\\Capacitors SMD.PcbLib" H 2100 2755 50  0001 L CNN "Footprint Path"
F 13 "CAPC1608X87N" H 2100 2680 50  0001 L CNN "Footprint Ref"
F 14 " " H 2100 2605 50  0001 L CNN "PackageDescription"
F 15 "Preferred" H 2100 2530 50  0001 L CNN "Status"
F 16 " " H 2100 2455 50  0001 L CNN "Status Comment"
F 17 "50V" H 2100 2380 50  0001 L CNN "Voltage"
F 18 "C0G/NP0" H 2100 2305 50  0001 L CNN "TC"
F 19 "±5%" H 2100 2230 50  0001 L CNN "Tolerance"
F 20 "SMD Multilayer Chip Ceramic Capacitor" H 2100 2155 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 2100 2080 50  0001 L CNN "Manufacturer"
F 22 "CC0603_15PF_50V_5%_NP0" H 2100 2005 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 2100 1930 50  0001 L CNN "Case"
F 24 "Yes" H 2100 1855 50  0001 L CNN "Mounted"
F 25 "No" H 2100 1780 50  0001 L CNN "Socket"
F 26 "Yes" H 2100 1705 50  0001 L CNN "SMD"
F 27 " " H 2100 1630 50  0001 L CNN "PressFit"
F 28 "No" H 2100 1555 50  0001 L CNN "Sense"
F 29 " " H 2100 1480 50  0001 L CNN "Sense Comment"
F 30 " " H 2100 1405 50  0001 L CNN "ComponentHeight"
F 31 "PHYCOMP" H 2100 1330 50  0001 L CNN "Manufacturer1 Example"
F 32 "223886715159" H 2100 1255 50  0001 L CNN "Manufacturer1 Part Number"
F 33 "0.87mm" H 2100 1180 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 34 "CERN DEM JLC" H 2100 1105 50  0001 L CNN "Author"
F 35 "12/03/07 00:00:00" H 2100 1030 50  0001 L CNN "CreateDate"
F 36 "12/03/07 00:00:00" H 2100 955 50  0001 L CNN "LatestRevisionDate"
F 37 "Capacitors" H 2100 880 50  0001 L CNN "Database Table Name"
F 38 "Capacitors SMD" H 2100 805 50  0001 L CNN "Library Name"
F 39 "Capacitors SMD" H 2100 730 50  0001 L CNN "Footprint Library"
F 40 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 2100 655 50  0001 L CNN "License"
	1    2100 3750
	0    -1   -1   0   
$EndComp
Wire Wire Line
	2350 3850 2600 3850
Connection ~ 2350 3850
Wire Wire Line
	2350 3950 2350 3850
Wire Wire Line
	2100 3850 2350 3850
Wire Wire Line
	2100 3850 2100 3750
Wire Wire Line
	2600 3750 2600 3850
Wire Wire Line
	2200 3200 2100 3200
Wire Wire Line
	2100 3200 2100 3450
Wire Wire Line
	2500 3200 2600 3200
Wire Wire Line
	2600 3200 2600 3450
Text Label 2100 3400 2    50   ~ 0
xtal32_1
Text Label 2600 3400 0    50   ~ 0
xtal32_2
$Comp
L Capacitors_SMD:CC0603_1UF_16V_10%_X7R C26
U 1 1 5E5B4E95
P 1300 7000
F 0 "C26" V 1375 6950 50  0000 R CNN
F 1 "CC0603_1UF_16V_10%_X7R" H 1300 6755 50  0001 L CNN
F 2 "Capacitors SMD:CAPC1608X87N" H 1300 6680 50  0001 L CNN
F 3 " " H 1300 6605 50  0001 L CNN
F 4 "1uF" V 1525 6975 50  0000 R CNN "Val"
F 5 "CC0603_1UF_16V_10%_X7R" H 1300 6530 50  0001 L CNN "Part Number"
F 6 "Capacitor - non polarized" H 1300 6455 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Capacitors.SchLib" H 1300 6380 50  0001 L CNN "Library Path"
F 8 "1uF" H 1300 6305 50  0001 L CNN "Comment"
F 9 "Standard" H 1300 6230 50  0001 L CNN "Component Kind"
F 10 "Standard" H 1300 6155 50  0001 L CNN "Component Type"
F 11 "2" H 1300 6080 50  0001 L CNN "Pin Count"
F 12 "PcbLib\\Capacitors SMD.PcbLib" H 1300 6005 50  0001 L CNN "Footprint Path"
F 13 "CAPC1608X87N" H 1300 5930 50  0001 L CNN "Footprint Ref"
F 14 " " H 1300 5855 50  0001 L CNN "PackageDescription"
F 15 "None" H 1300 5780 50  0001 L CNN "Status"
F 16 " " H 1300 5705 50  0001 L CNN "Status Comment"
F 17 "16V" H 1300 5630 50  0001 L CNN "Voltage"
F 18 "X7R" H 1300 5555 50  0001 L CNN "TC"
F 19 "±10%" H 1300 5480 50  0001 L CNN "Tolerance"
F 20 "SMD Multilayer Chip Ceramic Capacitor" H 1300 5405 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 1300 5330 50  0001 L CNN "Manufacturer"
F 22 "CC0603_1uF_16V_10%_X7R" H 1300 5255 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 1300 5180 50  0001 L CNN "Case"
F 24 "Yes" H 1300 5105 50  0001 L CNN "Mounted"
F 25 "No" H 1300 5030 50  0001 L CNN "Socket"
F 26 "Yes" H 1300 4955 50  0001 L CNN "SMD"
F 27 " " H 1300 4880 50  0001 L CNN "PressFit"
F 28 "No" H 1300 4805 50  0001 L CNN "Sense"
F 29 " " H 1300 4730 50  0001 L CNN "Sense Comment"
F 30 " " H 1300 4655 50  0001 L CNN "ComponentHeight"
F 31 "YAGEO PHYCOMP" H 1300 4580 50  0001 L CNN "Manufacturer1 Example"
F 32 "223878615663" H 1300 4505 50  0001 L CNN "Manufacturer1 Part Number"
F 33 "0.9mm" H 1300 4430 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 34 "CERN DEM JLC" H 1300 4355 50  0001 L CNN "Author"
F 35 "12/03/07 00:00:00" H 1300 4280 50  0001 L CNN "CreateDate"
F 36 "04/17/15 00:00:00" H 1300 4205 50  0001 L CNN "LatestRevisionDate"
F 37 "Capacitors SMD" H 1300 4130 50  0001 L CNN "Database Table Name"
F 38 "Capacitors.DbLib" H 1300 4055 50  0001 L CNN "Library Name"
F 39 "Capacitors SMD" H 1300 3980 50  0001 L CNN "Footprint Library"
F 40 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 1300 3905 50  0001 L CNN "License"
	1    1300 7000
	0    -1   -1   0   
$EndComp
Wire Wire Line
	1300 6700 1300 6650
Wire Wire Line
	1300 7050 1300 7000
$Comp
L Capacitors_SMD:CC0603_100NF_50V_10%_X7R C27
U 1 1 5E5BD5AD
P 1650 7000
F 0 "C27" V 1725 6850 50  0000 L CNN
F 1 "CC0603_100NF_50V_10%_X5R" H 1650 6755 50  0001 L CNN
F 2 "Capacitors SMD:CAPC1608X87N" H 1650 6680 50  0001 L CNN
F 3 " " H 1650 6605 50  0001 L CNN
F 4 "100nF" V 1875 6750 50  0000 L CNN "Val"
F 5 "CC0603_100NF_50V_10%_X5R" H 1650 6530 50  0001 L CNN "Part Number"
F 6 "Capacitor - non polarized" H 1650 6455 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Capacitors.SchLib" H 1650 6380 50  0001 L CNN "Library Path"
F 8 "100nF" H 1650 6305 50  0001 L CNN "Comment"
F 9 "Standard" H 1650 6230 50  0001 L CNN "Component Kind"
F 10 "Standard" H 1650 6155 50  0001 L CNN "Component Type"
F 11 "2" H 1650 6080 50  0001 L CNN "Pin Count"
F 12 "PcbLib\\Capacitors SMD.PcbLib" H 1650 6005 50  0001 L CNN "Footprint Path"
F 13 "CAPC1608X87N" H 1650 5930 50  0001 L CNN "Footprint Ref"
F 14 " " H 1650 5855 50  0001 L CNN "PackageDescription"
F 15 "None" H 1650 5780 50  0001 L CNN "Status"
F 16 " " H 1650 5705 50  0001 L CNN "Status Comment"
F 17 "50V" H 1650 5630 50  0001 L CNN "Voltage"
F 18 "X5R" H 1650 5555 50  0001 L CNN "TC"
F 19 "±10%" H 1650 5480 50  0001 L CNN "Tolerance"
F 20 "SMD Multilayer Chip Ceramic Capacitor" H 1650 5405 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 1650 5330 50  0001 L CNN "Manufacturer"
F 22 "CC0603_100NF_50V_10%_X5R" H 1650 5255 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 1650 5180 50  0001 L CNN "Case"
F 24 "Yes" H 1650 5105 50  0001 L CNN "Mounted"
F 25 "No" H 1650 5030 50  0001 L CNN "Socket"
F 26 "Yes" H 1650 4955 50  0001 L CNN "SMD"
F 27 " " H 1650 4880 50  0001 L CNN "PressFit"
F 28 "No" H 1650 4805 50  0001 L CNN "Sense"
F 29 " " H 1650 4730 50  0001 L CNN "Sense Comment"
F 30 " " H 1650 4655 50  0001 L CNN "ComponentHeight"
F 31 "TDK" H 1650 4580 50  0001 L CNN "Manufacturer1 Example"
F 32 "C1608X5R1H104K080AA" H 1650 4505 50  0001 L CNN "Manufacturer1 Part Number"
F 33 "0.9mm" H 1650 4430 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 34 "CERN DEM MR" H 1650 4355 50  0001 L CNN "Author"
F 35 "01/08/16 00:00:00" H 1650 4280 50  0001 L CNN "CreateDate"
F 36 "01/08/16 00:00:00" H 1650 4205 50  0001 L CNN "LatestRevisionDate"
F 37 "Capacitors SMD" H 1650 4130 50  0001 L CNN "Database Table Name"
F 38 "Capacitors.DbLib" H 1650 4055 50  0001 L CNN "Library Name"
F 39 "Capacitors SMD" H 1650 3980 50  0001 L CNN "Footprint Library"
F 40 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 1650 3905 50  0001 L CNN "License"
	1    1650 7000
	0    -1   -1   0   
$EndComp
Wire Wire Line
	7900 4300 7700 4300
$Comp
L Pads:SMD_PAD_1.27X1.27MM TP4
U 1 1 5E5D1883
P 7700 4300
F 0 "TP4" H 7550 4300 50  0000 C CNN
F 1 "SMD_PAD_1.27X1.27MM" H 7700 4145 50  0001 L CNN
F 2 "Pads:TPS127" H 7700 4070 50  0001 L CNN
F 3 " " H 7700 3995 50  0001 L CNN
F 4 "Test Point" H 7700 3170 50  0001 L CNN "Family"
F 5 "SMD_PAD_1.27X1.27MM" H 7700 3920 50  0001 L CNN "Part Number"
F 6 "Test Point" H 7700 3845 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Pads.SchLib" H 7700 3770 50  0001 L CNN "Library Path"
F 8 " " H 7700 3695 50  0001 L CNN "Comment"
F 9 "Standard (No BOM)" H 7700 3620 50  0001 L CNN "Component Kind"
F 10 "Standard (No BOM)" H 7700 3545 50  0001 L CNN "Component Type"
F 11 "1" H 7700 3470 50  0001 L CNN "Pin Count"
F 12 " " H 7700 3395 50  0001 L CNN "Case"
F 13 "PcbLib\\Pads.PcbLib" H 7700 3320 50  0001 L CNN "Footprint Path"
F 14 "TPS127" H 7700 3245 50  0001 L CNN "Footprint Ref"
F 15 "No" H 7700 3095 50  0001 L CNN "Mounted"
F 16 "No" H 7700 3020 50  0001 L CNN "Socket"
F 17 "No" H 7700 2945 50  0001 L CNN "SMD"
F 18 "No" H 7700 2870 50  0001 L CNN "Sense"
F 19 " " H 7700 2795 50  0001 L CNN "Sense Comment"
F 20 "None" H 7700 2720 50  0001 L CNN "Status"
F 21 " " H 7700 2645 50  0001 L CNN "Status Comment"
F 22 " " H 7700 2570 50  0001 L CNN "SCEM"
F 23 "1.27mm x 1.27mm PCB Copper Area (SMD Test Point)" H 7700 2495 50  0001 L CNN "Part Description"
F 24 " " H 7700 2420 50  0001 L CNN "Manufacturer"
F 25 " " H 7700 2345 50  0001 L CNN "Manufacturer Part Number"
F 26 "0mm" H 7700 2270 50  0001 L CNN "ComponentHeight"
F 27 " " H 7700 2195 50  0001 L CNN "Manufacturer1 Example"
F 28 " " H 7700 2120 50  0001 L CNN "Manufacturer1 Part Number"
F 29 " " H 7700 2045 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 30 " " H 7700 1970 50  0001 L CNN "ComponentLink1Description"
F 31 " " H 7700 1895 50  0001 L CNN "ComponentLink2Description"
F 32 "CERN DEM JLC" H 7700 1820 50  0001 L CNN "Author"
F 33 "01/12/08 00:00:00" H 7700 1745 50  0001 L CNN "CreateDate"
F 34 "01/12/08 00:00:00" H 7700 1670 50  0001 L CNN "LatestRevisionDate"
F 35 "1.27mm x 1.27mm PCB Copper Area (SMD Test Point)" H 7700 1595 50  0001 L CNN "PackageDescription"
F 36 "Pads" H 7700 1520 50  0001 L CNN "Database Table Name"
F 37 "Eletro-mechanical.DbLib" H 7700 1445 50  0001 L CNN "Library Name"
F 38 "Pads" H 7700 1370 50  0001 L CNN "Footprint Library"
F 39 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 7700 1295 50  0001 L CNN "License"
	1    7700 4300
	1    0    0    -1  
$EndComp
$Comp
L Capacitors_SMD:CC0603_1UF_16V_10%_X7R C25
U 1 1 5E6989F1
P 4850 6400
F 0 "C25" V 4925 6350 50  0000 R CNN
F 1 "CC0603_1UF_16V_10%_X7R" H 4850 6155 50  0001 L CNN
F 2 "Capacitors SMD:CAPC1608X87N" H 4850 6080 50  0001 L CNN
F 3 " " H 4850 6005 50  0001 L CNN
F 4 "1uF" V 5075 6375 50  0000 R CNN "Val"
F 5 "CC0603_1UF_16V_10%_X7R" H 4850 5930 50  0001 L CNN "Part Number"
F 6 "Capacitor - non polarized" H 4850 5855 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Capacitors.SchLib" H 4850 5780 50  0001 L CNN "Library Path"
F 8 "1uF" H 4850 5705 50  0001 L CNN "Comment"
F 9 "Standard" H 4850 5630 50  0001 L CNN "Component Kind"
F 10 "Standard" H 4850 5555 50  0001 L CNN "Component Type"
F 11 "2" H 4850 5480 50  0001 L CNN "Pin Count"
F 12 "PcbLib\\Capacitors SMD.PcbLib" H 4850 5405 50  0001 L CNN "Footprint Path"
F 13 "CAPC1608X87N" H 4850 5330 50  0001 L CNN "Footprint Ref"
F 14 " " H 4850 5255 50  0001 L CNN "PackageDescription"
F 15 "None" H 4850 5180 50  0001 L CNN "Status"
F 16 " " H 4850 5105 50  0001 L CNN "Status Comment"
F 17 "16V" H 4850 5030 50  0001 L CNN "Voltage"
F 18 "X7R" H 4850 4955 50  0001 L CNN "TC"
F 19 "±10%" H 4850 4880 50  0001 L CNN "Tolerance"
F 20 "SMD Multilayer Chip Ceramic Capacitor" H 4850 4805 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 4850 4730 50  0001 L CNN "Manufacturer"
F 22 "CC0603_1uF_16V_10%_X7R" H 4850 4655 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 4850 4580 50  0001 L CNN "Case"
F 24 "Yes" H 4850 4505 50  0001 L CNN "Mounted"
F 25 "No" H 4850 4430 50  0001 L CNN "Socket"
F 26 "Yes" H 4850 4355 50  0001 L CNN "SMD"
F 27 " " H 4850 4280 50  0001 L CNN "PressFit"
F 28 "No" H 4850 4205 50  0001 L CNN "Sense"
F 29 " " H 4850 4130 50  0001 L CNN "Sense Comment"
F 30 " " H 4850 4055 50  0001 L CNN "ComponentHeight"
F 31 "YAGEO PHYCOMP" H 4850 3980 50  0001 L CNN "Manufacturer1 Example"
F 32 "223878615663" H 4850 3905 50  0001 L CNN "Manufacturer1 Part Number"
F 33 "0.9mm" H 4850 3830 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 34 "CERN DEM JLC" H 4850 3755 50  0001 L CNN "Author"
F 35 "12/03/07 00:00:00" H 4850 3680 50  0001 L CNN "CreateDate"
F 36 "04/17/15 00:00:00" H 4850 3605 50  0001 L CNN "LatestRevisionDate"
F 37 "Capacitors SMD" H 4850 3530 50  0001 L CNN "Database Table Name"
F 38 "Capacitors.DbLib" H 4850 3455 50  0001 L CNN "Library Name"
F 39 "Capacitors SMD" H 4850 3380 50  0001 L CNN "Footprint Library"
F 40 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 4850 3305 50  0001 L CNN "License"
	1    4850 6400
	0    -1   -1   0   
$EndComp
Wire Wire Line
	4850 6400 4850 6650
Connection ~ 4850 6650
Wire Wire Line
	4700 5950 4850 5950
Wire Wire Line
	4850 5950 4850 6100
Wire Wire Line
	1300 6650 1650 6650
Wire Wire Line
	1300 7050 1650 7050
$EndSCHEMATC
