EESchema Schematic File Version 4
EELAYER 30 0
EELAYER END
$Descr A4 11693 8268
encoding utf-8
Sheet 4 5
Title "Analog frontend"
Date "2021-07-07"
Rev "0.3p-rat"
Comp "CERN, European Organization for Nuclear Research, CH-1211 Genève 23 - Switzerland"
Comment1 ""
Comment2 "Last modification: C. Gentsos (07.07.2021)"
Comment3 "Reviewed by:"
Comment4 "Designer: C. Gentsos"
$EndDescr
Text HLabel 5600 2650 0    50   Input ~ 0
12V_Isense
Text HLabel 5600 4200 0    50   Input ~ 0
5V_Isense
Text HLabel 7350 3000 2    50   Output ~ 0
12V_Isense_ADC
Text HLabel 7350 4550 2    50   Output ~ 0
5V_Isense_ADC
$Comp
L Operational_Amplifiers:OPA2192IDGK IC4
U 1 1 60F373D9
P 3100 2800
F 0 "IC4" H 3350 2750 50  0000 L CNN
F 1 "OPA2192IDGK" H 3100 2055 50  0001 L CNN
F 2 "ICs And Semiconductors SMD:SOP65P490X110-8N" H 3100 1980 50  0001 L CNN
F 3 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\OPA2192IDGK.pdf" H 3100 1905 50  0001 L CNN
F 4 "OPA2192IDGK" H 3100 1830 50  0001 L CNN "Part Number"
F 5 "Operational Amplifier x2 Type1" H 3100 1755 50  0001 L CNN "Library Ref"
F 6 "SchLib\\Operational Amplifiers.SchLib" H 3100 1680 50  0001 L CNN "Library Path"
F 7 "OPA2192IDGK" H 3100 1605 50  0001 L CNN "Comment"
F 8 "Standard" H 3100 1530 50  0001 L CNN "Component Kind"
F 9 "Standard" H 3100 1455 50  0001 L CNN "Component Type"
F 10 "OPA2192IDGK" H 3100 1380 50  0001 L CNN "Device"
F 11 "SOP, 0.65mm Pitch; 8 Pin, 3.00mm W X 3.00mm L X 1.10mm H body, IPC Medium Density" H 3100 1305 50  0001 L CNN "PackageDescription"
F 12 " " H 3100 1230 50  0001 L CNN "Status"
F 13 "Dual 36V, Precision, Rail-to-Rail Input/Output, Low Offset Voltage, Low Input Bias Current Operational Amplifier With e-trim™" H 3100 1155 50  0001 L CNN "Part Description"
F 14 "TEXAS INSTRUMENTS" H 3100 1080 50  0001 L CNN "Manufacturer"
F 15 "OPA2192IDGK" H 3100 1005 50  0001 L CNN "Manufacturer Part Number"
F 16 "8" H 3100 930 50  0001 L CNN "Pin Count"
F 17 "MSOP8" H 3100 855 50  0001 L CNN "Case"
F 18 "Yes" H 3100 780 50  0001 L CNN "Mounted"
F 19 "No" H 3100 705 50  0001 L CNN "Socket"
F 20 "Yes" H 3100 630 50  0001 L CNN "SMD"
F 21 "No" H 3100 555 50  0001 L CNN "PressFit"
F 22 "No" H 3100 480 50  0001 L CNN "Sense"
F 23 " " H 3100 405 50  0001 L CNN "Sense Comment"
F 24 "No" H 3100 330 50  0001 L CNN "Bonding"
F 25 " " H 3100 255 50  0001 L CNN "Status Comment"
F 26 "1.1mm" H 3100 180 50  0001 L CNN "ComponentHeight"
F 27 "PcbLib\\ICs And Semiconductors SMD.PcbLib" H 3100 105 50  0001 L CNN "Footprint Path"
F 28 "SOP65P490X110-8N" H 3100 30  50  0001 L CNN "Footprint Ref"
F 29 "CERN DEM BC" H 3100 -45 50  0001 L CNN "Author"
F 30 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\OPA2192IDGK.pdf" H 3100 -120 50  0001 L CNN "HelpURL"
F 31 " " H 3100 -195 50  0001 L CNN "ComponentLink1URL"
F 32 " " H 3100 -270 50  0001 L CNN "ComponentLink2URL"
F 33 " " H 3100 -345 50  0001 L CNN "ComponentLink2Description"
F 34 " " H 3100 -420 50  0001 L CNN "ComponentLink1Description"
F 35 "02/26/20 00:00:00" H 3100 -495 50  0001 L CNN "CreateDate"
F 36 "02/26/20 00:00:00" H 3100 -570 50  0001 L CNN "LatestRevisionDate"
F 37 " " H 3100 -645 50  0001 L CNN "SCEM"
F 38 "ICs And Semiconductors" H 3100 -720 50  0001 L CNN "Database Table Name"
F 39 "Operational Amplifiers" H 3100 -795 50  0001 L CNN "Library Name"
F 40 "ICs And Semiconductors SMD" H 3100 -870 50  0001 L CNN "Footprint Library"
F 41 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 3100 -945 50  0001 L CNN "License"
	1    3100 2800
	1    0    0    -1  
$EndComp
$Comp
L Operational_Amplifiers:OPA2192IDGK IC4
U 2 1 60F3954D
P 6300 2800
F 0 "IC4" H 6550 2750 50  0000 L CNN
F 1 "OPA2192IDGK" H 6300 2055 50  0001 L CNN
F 2 "ICs And Semiconductors SMD:SOP65P490X110-8N" H 6300 1980 50  0001 L CNN
F 3 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\OPA2192IDGK.pdf" H 6300 1905 50  0001 L CNN
F 4 "OPA2192IDGK" H 6300 1830 50  0001 L CNN "Part Number"
F 5 "Operational Amplifier x2 Type1" H 6300 1755 50  0001 L CNN "Library Ref"
F 6 "SchLib\\Operational Amplifiers.SchLib" H 6300 1680 50  0001 L CNN "Library Path"
F 7 "OPA2192IDGK" H 6300 1605 50  0001 L CNN "Comment"
F 8 "Standard" H 6300 1530 50  0001 L CNN "Component Kind"
F 9 "Standard" H 6300 1455 50  0001 L CNN "Component Type"
F 10 "OPA2192IDGK" H 6300 1380 50  0001 L CNN "Device"
F 11 "SOP, 0.65mm Pitch; 8 Pin, 3.00mm W X 3.00mm L X 1.10mm H body, IPC Medium Density" H 6300 1305 50  0001 L CNN "PackageDescription"
F 12 " " H 6300 1230 50  0001 L CNN "Status"
F 13 "Dual 36V, Precision, Rail-to-Rail Input/Output, Low Offset Voltage, Low Input Bias Current Operational Amplifier With e-trim™" H 6300 1155 50  0001 L CNN "Part Description"
F 14 "TEXAS INSTRUMENTS" H 6300 1080 50  0001 L CNN "Manufacturer"
F 15 "OPA2192IDGK" H 6300 1005 50  0001 L CNN "Manufacturer Part Number"
F 16 "8" H 6300 930 50  0001 L CNN "Pin Count"
F 17 "MSOP8" H 6300 855 50  0001 L CNN "Case"
F 18 "Yes" H 6300 780 50  0001 L CNN "Mounted"
F 19 "No" H 6300 705 50  0001 L CNN "Socket"
F 20 "Yes" H 6300 630 50  0001 L CNN "SMD"
F 21 "No" H 6300 555 50  0001 L CNN "PressFit"
F 22 "No" H 6300 480 50  0001 L CNN "Sense"
F 23 " " H 6300 405 50  0001 L CNN "Sense Comment"
F 24 "No" H 6300 330 50  0001 L CNN "Bonding"
F 25 " " H 6300 255 50  0001 L CNN "Status Comment"
F 26 "1.1mm" H 6300 180 50  0001 L CNN "ComponentHeight"
F 27 "PcbLib\\ICs And Semiconductors SMD.PcbLib" H 6300 105 50  0001 L CNN "Footprint Path"
F 28 "SOP65P490X110-8N" H 6300 30  50  0001 L CNN "Footprint Ref"
F 29 "CERN DEM BC" H 6300 -45 50  0001 L CNN "Author"
F 30 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\OPA2192IDGK.pdf" H 6300 -120 50  0001 L CNN "HelpURL"
F 31 " " H 6300 -195 50  0001 L CNN "ComponentLink1URL"
F 32 " " H 6300 -270 50  0001 L CNN "ComponentLink2URL"
F 33 " " H 6300 -345 50  0001 L CNN "ComponentLink2Description"
F 34 " " H 6300 -420 50  0001 L CNN "ComponentLink1Description"
F 35 "02/26/20 00:00:00" H 6300 -495 50  0001 L CNN "CreateDate"
F 36 "02/26/20 00:00:00" H 6300 -570 50  0001 L CNN "LatestRevisionDate"
F 37 " " H 6300 -645 50  0001 L CNN "SCEM"
F 38 "ICs And Semiconductors" H 6300 -720 50  0001 L CNN "Database Table Name"
F 39 "Operational Amplifiers" H 6300 -795 50  0001 L CNN "Library Name"
F 40 "ICs And Semiconductors SMD" H 6300 -870 50  0001 L CNN "Footprint Library"
F 41 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 6300 -945 50  0001 L CNN "License"
	2    6300 2800
	1    0    0    -1  
$EndComp
$Comp
L Power:P12V #PWR030
U 1 1 60F55807
P 2500 2700
F 0 "#PWR030" H 2500 2550 50  0001 C CNN
F 1 "P12V" H 2515 2873 50  0000 C CNN
F 2 "" H 2500 2700 50  0001 C CNN
F 3 "" H 2500 2700 50  0001 C CNN
	1    2500 2700
	1    0    0    -1  
$EndComp
Text HLabel 4150 3000 2    50   Output ~ 0
12V_Vsense_ADC
Text HLabel 4150 4500 2    50   Output ~ 0
5V_Vsense_ADC
$Comp
L Resistors_SMD:R0603_2K_1%_0.1W_100PPM R8
U 1 1 60F60B7D
P 2500 3150
F 0 "R8" V 2604 3210 50  0000 L CNN
F 1 "R0603_2K_1%_0.1W_100PPM" H 2500 2955 50  0001 L CNN
F 2 "Resistors SMD:RESC1608X55N" H 2500 2880 50  0001 L CNN
F 3 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 2500 2805 50  0001 L CNN
F 4 "2k" V 2695 3210 50  0000 L CNN "Val"
F 5 "R0603_2K_1%_0.1W_100PPM" H 2500 2730 50  0001 L CNN "Part Number"
F 6 "Resistor - 1%" H 2500 2655 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Resistors.SchLib" H 2500 2580 50  0001 L CNN "Library Path"
F 8 "2k" H 2500 2505 50  0001 L CNN "Comment"
F 9 "Standard" H 2500 2430 50  0001 L CNN "Component Kind"
F 10 "Standard" H 2500 2355 50  0001 L CNN "Component Type"
F 11 " " H 2500 2280 50  0001 L CNN "PackageDescription"
F 12 "2" H 2500 2205 50  0001 L CNN "Pin Count"
F 13 "PcbLib\\Resistors SMD.PcbLib" H 2500 2130 50  0001 L CNN "Footprint Path"
F 14 "RESC1608X55N" H 2500 2055 50  0001 L CNN "Footprint Ref"
F 15 "Preferred" H 2500 1980 50  0001 L CNN "Status"
F 16 "0.1W" H 2500 1905 50  0001 L CNN "Power"
F 17 "±100ppm/°C" H 2500 1830 50  0001 L CNN "TC"
F 18 " " H 2500 1755 50  0001 L CNN "Voltage"
F 19 "±1%" H 2500 1680 50  0001 L CNN "Tolerance"
F 20 "General Purpose Thick Film Chip Resistor" H 2500 1605 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 2500 1530 50  0001 L CNN "Manufacturer"
F 22 "R0603_2K_1%_0.1W_100PPM" H 2500 1455 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 2500 1380 50  0001 L CNN "Case"
F 24 "No" H 2500 1305 50  0001 L CNN "PressFit"
F 25 "Yes" H 2500 1230 50  0001 L CNN "Mounted"
F 26 " " H 2500 1155 50  0001 L CNN "Sense Comment"
F 27 "No" H 2500 1080 50  0001 L CNN "Sense"
F 28 " " H 2500 1005 50  0001 L CNN "Status Comment"
F 29 "No" H 2500 930 50  0001 L CNN "Socket"
F 30 "Yes" H 2500 855 50  0001 L CNN "SMD"
F 31 " " H 2500 780 50  0001 L CNN "ComponentHeight"
F 32 "NIC COMPONENT" H 2500 705 50  0001 L CNN "Manufacturer1 Example"
F 33 "NRC06F2001TRF" H 2500 630 50  0001 L CNN "Manufacturer1 Part Number"
F 34 "0.55mm" H 2500 555 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 35 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 2500 480 50  0001 L CNN "HelpURL"
F 36 "CERN DEM JLC" H 2500 405 50  0001 L CNN "Author"
F 37 "12/03/07 00:00:00" H 2500 330 50  0001 L CNN "CreateDate"
F 38 "03/13/08 00:00:00" H 2500 255 50  0001 L CNN "LatestRevisionDate"
F 39 "Resistors" H 2500 180 50  0001 L CNN "Database Table Name"
F 40 "Resistors SMD" H 2500 105 50  0001 L CNN "Library Name"
F 41 "Resistors SMD" H 2500 30  50  0001 L CNN "Footprint Library"
F 42 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 2500 -45 50  0001 L CNN "License"
	1    2500 3150
	0    1    1    0   
$EndComp
$Comp
L Resistors_SMD:R0603_10K_1%_0.1W_100PPM R6
U 1 1 60F62D1B
P 2500 2750
F 0 "R6" V 2604 2810 50  0000 L CNN
F 1 "R0603_10K_1%_0.1W_100PPM" H 2500 2555 50  0001 L CNN
F 2 "Resistors SMD:RESC1608X55N" H 2500 2480 50  0001 L CNN
F 3 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 2500 2405 50  0001 L CNN
F 4 "10k" V 2695 2810 50  0000 L CNN "Val"
F 5 "R0603_10K_1%_0.1W_100PPM" H 2500 2330 50  0001 L CNN "Part Number"
F 6 "Resistor - 1%" H 2500 2255 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Resistors.SchLib" H 2500 2180 50  0001 L CNN "Library Path"
F 8 "10k" H 2500 2105 50  0001 L CNN "Comment"
F 9 "Standard" H 2500 2030 50  0001 L CNN "Component Kind"
F 10 "Standard" H 2500 1955 50  0001 L CNN "Component Type"
F 11 " " H 2500 1880 50  0001 L CNN "PackageDescription"
F 12 "2" H 2500 1805 50  0001 L CNN "Pin Count"
F 13 "PcbLib\\Resistors SMD.PcbLib" H 2500 1730 50  0001 L CNN "Footprint Path"
F 14 "RESC1608X55N" H 2500 1655 50  0001 L CNN "Footprint Ref"
F 15 "Preferred" H 2500 1580 50  0001 L CNN "Status"
F 16 "0.1W" H 2500 1505 50  0001 L CNN "Power"
F 17 "±100ppm/°C" H 2500 1430 50  0001 L CNN "TC"
F 18 " " H 2500 1355 50  0001 L CNN "Voltage"
F 19 "±1%" H 2500 1280 50  0001 L CNN "Tolerance"
F 20 "General Purpose Thick Film Chip Resistor" H 2500 1205 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 2500 1130 50  0001 L CNN "Manufacturer"
F 22 "R0603_10K_1%_0.1W_100PPM" H 2500 1055 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 2500 980 50  0001 L CNN "Case"
F 24 "No" H 2500 905 50  0001 L CNN "PressFit"
F 25 "Yes" H 2500 830 50  0001 L CNN "Mounted"
F 26 " " H 2500 755 50  0001 L CNN "Sense Comment"
F 27 "No" H 2500 680 50  0001 L CNN "Sense"
F 28 " " H 2500 605 50  0001 L CNN "Status Comment"
F 29 "No" H 2500 530 50  0001 L CNN "Socket"
F 30 "Yes" H 2500 455 50  0001 L CNN "SMD"
F 31 " " H 2500 380 50  0001 L CNN "ComponentHeight"
F 32 "NIC COMPONENT" H 2500 305 50  0001 L CNN "Manufacturer1 Example"
F 33 "NRC06F1002TRF" H 2500 230 50  0001 L CNN "Manufacturer1 Part Number"
F 34 "0.55mm" H 2500 155 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 35 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 2500 80  50  0001 L CNN "HelpURL"
F 36 "CERN DEM JLC" H 2500 5   50  0001 L CNN "Author"
F 37 "12/03/07 00:00:00" H 2500 -70 50  0001 L CNN "CreateDate"
F 38 "03/13/08 00:00:00" H 2500 -145 50  0001 L CNN "LatestRevisionDate"
F 39 "Resistors" H 2500 -220 50  0001 L CNN "Database Table Name"
F 40 "Resistors SMD" H 2500 -295 50  0001 L CNN "Library Name"
F 41 "Resistors SMD" H 2500 -370 50  0001 L CNN "Footprint Library"
F 42 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 2500 -445 50  0001 L CNN "License"
	1    2500 2750
	0    1    1    0   
$EndComp
Wire Wire Line
	2900 2900 2800 2900
Wire Wire Line
	2800 2900 2800 2550
Wire Wire Line
	2800 2550 3950 2550
Wire Wire Line
	3950 2550 3950 3000
Wire Wire Line
	3950 3000 3700 3000
Wire Wire Line
	2500 3050 2500 3100
Wire Wire Line
	2500 3100 2900 3100
Connection ~ 2500 3100
Wire Wire Line
	2500 3100 2500 3150
Wire Wire Line
	2500 3450 2500 3500
$Comp
L Power:GND #PWR033
U 1 1 60F6BB9E
P 2500 3500
F 0 "#PWR033" H 2500 3250 50  0001 C CNN
F 1 "GND" H 2505 3327 50  0000 C CNN
F 2 "" H 2500 3500 50  0001 C CNN
F 3 "" H 2500 3500 50  0001 C CNN
	1    2500 3500
	1    0    0    -1  
$EndComp
$Comp
L Power:GND #PWR034
U 1 1 60F6C60E
P 3300 3500
F 0 "#PWR034" H 3300 3250 50  0001 C CNN
F 1 "GND" H 3305 3327 50  0000 C CNN
F 2 "" H 3300 3500 50  0001 C CNN
F 3 "" H 3300 3500 50  0001 C CNN
	1    3300 3500
	1    0    0    -1  
$EndComp
Wire Wire Line
	3300 3500 3300 3400
Wire Wire Line
	3300 2600 3300 2500
Wire Wire Line
	3950 3000 4150 3000
Connection ~ 3950 3000
$Comp
L Power:GND #PWR036
U 1 1 60F70DF3
P 6500 3500
F 0 "#PWR036" H 6500 3250 50  0001 C CNN
F 1 "GND" H 6505 3327 50  0000 C CNN
F 2 "" H 6500 3500 50  0001 C CNN
F 3 "" H 6500 3500 50  0001 C CNN
	1    6500 3500
	1    0    0    -1  
$EndComp
Wire Wire Line
	6500 3500 6500 3400
Wire Wire Line
	6500 2600 6500 2500
$Comp
L Resistors_SMD:R0603_10K_1%_0.1W_100PPM R9
U 1 1 60F7EA85
P 5700 3150
F 0 "R9" V 5804 3210 50  0000 L CNN
F 1 "R0603_10K_1%_0.1W_100PPM" H 5700 2955 50  0001 L CNN
F 2 "Resistors SMD:RESC1608X55N" H 5700 2880 50  0001 L CNN
F 3 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 5700 2805 50  0001 L CNN
F 4 "10k" V 5895 3210 50  0000 L CNN "Val"
F 5 "R0603_10K_1%_0.1W_100PPM" H 5700 2730 50  0001 L CNN "Part Number"
F 6 "Resistor - 1%" H 5700 2655 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Resistors.SchLib" H 5700 2580 50  0001 L CNN "Library Path"
F 8 "10k" H 5700 2505 50  0001 L CNN "Comment"
F 9 "Standard" H 5700 2430 50  0001 L CNN "Component Kind"
F 10 "Standard" H 5700 2355 50  0001 L CNN "Component Type"
F 11 " " H 5700 2280 50  0001 L CNN "PackageDescription"
F 12 "2" H 5700 2205 50  0001 L CNN "Pin Count"
F 13 "PcbLib\\Resistors SMD.PcbLib" H 5700 2130 50  0001 L CNN "Footprint Path"
F 14 "RESC1608X55N" H 5700 2055 50  0001 L CNN "Footprint Ref"
F 15 "Preferred" H 5700 1980 50  0001 L CNN "Status"
F 16 "0.1W" H 5700 1905 50  0001 L CNN "Power"
F 17 "±100ppm/°C" H 5700 1830 50  0001 L CNN "TC"
F 18 " " H 5700 1755 50  0001 L CNN "Voltage"
F 19 "±1%" H 5700 1680 50  0001 L CNN "Tolerance"
F 20 "General Purpose Thick Film Chip Resistor" H 5700 1605 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 5700 1530 50  0001 L CNN "Manufacturer"
F 22 "R0603_10K_1%_0.1W_100PPM" H 5700 1455 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 5700 1380 50  0001 L CNN "Case"
F 24 "No" H 5700 1305 50  0001 L CNN "PressFit"
F 25 "Yes" H 5700 1230 50  0001 L CNN "Mounted"
F 26 " " H 5700 1155 50  0001 L CNN "Sense Comment"
F 27 "No" H 5700 1080 50  0001 L CNN "Sense"
F 28 " " H 5700 1005 50  0001 L CNN "Status Comment"
F 29 "No" H 5700 930 50  0001 L CNN "Socket"
F 30 "Yes" H 5700 855 50  0001 L CNN "SMD"
F 31 " " H 5700 780 50  0001 L CNN "ComponentHeight"
F 32 "NIC COMPONENT" H 5700 705 50  0001 L CNN "Manufacturer1 Example"
F 33 "NRC06F1002TRF" H 5700 630 50  0001 L CNN "Manufacturer1 Part Number"
F 34 "0.55mm" H 5700 555 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 35 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 5700 480 50  0001 L CNN "HelpURL"
F 36 "CERN DEM JLC" H 5700 405 50  0001 L CNN "Author"
F 37 "12/03/07 00:00:00" H 5700 330 50  0001 L CNN "CreateDate"
F 38 "03/13/08 00:00:00" H 5700 255 50  0001 L CNN "LatestRevisionDate"
F 39 "Resistors" H 5700 180 50  0001 L CNN "Database Table Name"
F 40 "Resistors SMD" H 5700 105 50  0001 L CNN "Library Name"
F 41 "Resistors SMD" H 5700 30  50  0001 L CNN "Footprint Library"
F 42 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 5700 -45 50  0001 L CNN "License"
	1    5700 3150
	0    1    1    0   
$EndComp
Wire Wire Line
	5700 3050 5700 3100
Wire Wire Line
	5700 3100 6100 3100
Connection ~ 5700 3100
Wire Wire Line
	5700 3100 5700 3150
Wire Wire Line
	5700 3450 5700 3500
$Comp
L Power:GND #PWR035
U 1 1 60F7EA90
P 5700 3500
F 0 "#PWR035" H 5700 3250 50  0001 C CNN
F 1 "GND" H 5705 3327 50  0000 C CNN
F 2 "" H 5700 3500 50  0001 C CNN
F 3 "" H 5700 3500 50  0001 C CNN
	1    5700 3500
	1    0    0    -1  
$EndComp
Wire Wire Line
	6000 2550 7150 2550
Wire Wire Line
	7150 2550 7150 3000
Wire Wire Line
	6000 2550 6000 2900
Wire Wire Line
	6000 2900 6100 2900
Wire Wire Line
	6900 3000 7150 3000
Wire Wire Line
	7150 3000 7350 3000
Connection ~ 7150 3000
$Comp
L Resistors_SMD:R0603_16K_1%_0.1W_100PPM R7
U 1 1 60F8E7A0
P 5700 2750
F 0 "R7" V 5804 2810 50  0000 L CNN
F 1 "R0603_16K_1%_0.1W_100PPM" H 5700 2555 50  0001 L CNN
F 2 "Resistors SMD:RESC1608X55N" H 5700 2480 50  0001 L CNN
F 3 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 5700 2405 50  0001 L CNN
F 4 "16k" V 5895 2810 50  0000 L CNN "Val"
F 5 "R0603_16K_1%_0.1W_100PPM" H 5700 2330 50  0001 L CNN "Part Number"
F 6 "Resistor - 1%" H 5700 2255 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Resistors.SchLib" H 5700 2180 50  0001 L CNN "Library Path"
F 8 "16k" H 5700 2105 50  0001 L CNN "Comment"
F 9 "Standard" H 5700 2030 50  0001 L CNN "Component Kind"
F 10 "Standard" H 5700 1955 50  0001 L CNN "Component Type"
F 11 " " H 5700 1880 50  0001 L CNN "PackageDescription"
F 12 "2" H 5700 1805 50  0001 L CNN "Pin Count"
F 13 "PcbLib\\Resistors SMD.PcbLib" H 5700 1730 50  0001 L CNN "Footprint Path"
F 14 "RESC1608X55N" H 5700 1655 50  0001 L CNN "Footprint Ref"
F 15 "Preferred" H 5700 1580 50  0001 L CNN "Status"
F 16 "0.1W" H 5700 1505 50  0001 L CNN "Power"
F 17 "±100ppm/°C" H 5700 1430 50  0001 L CNN "TC"
F 18 " " H 5700 1355 50  0001 L CNN "Voltage"
F 19 "±1%" H 5700 1280 50  0001 L CNN "Tolerance"
F 20 "General Purpose Thick Film Chip Resistor" H 5700 1205 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 5700 1130 50  0001 L CNN "Manufacturer"
F 22 "R0603_16K_1%_0.1W_100PPM" H 5700 1055 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 5700 980 50  0001 L CNN "Case"
F 24 "No" H 5700 905 50  0001 L CNN "PressFit"
F 25 "Yes" H 5700 830 50  0001 L CNN "Mounted"
F 26 " " H 5700 755 50  0001 L CNN "Sense Comment"
F 27 "No" H 5700 680 50  0001 L CNN "Sense"
F 28 " " H 5700 605 50  0001 L CNN "Status Comment"
F 29 "No" H 5700 530 50  0001 L CNN "Socket"
F 30 "Yes" H 5700 455 50  0001 L CNN "SMD"
F 31 " " H 5700 380 50  0001 L CNN "ComponentHeight"
F 32 "NIC COMPONENT" H 5700 305 50  0001 L CNN "Manufacturer1 Example"
F 33 "NRC06F1602TRF" H 5700 230 50  0001 L CNN "Manufacturer1 Part Number"
F 34 "0.55mm" H 5700 155 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 35 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 5700 80  50  0001 L CNN "HelpURL"
F 36 "CERN DEM JLC" H 5700 5   50  0001 L CNN "Author"
F 37 "12/03/07 00:00:00" H 5700 -70 50  0001 L CNN "CreateDate"
F 38 "03/13/08 00:00:00" H 5700 -145 50  0001 L CNN "LatestRevisionDate"
F 39 "Resistors" H 5700 -220 50  0001 L CNN "Database Table Name"
F 40 "Resistors SMD" H 5700 -295 50  0001 L CNN "Library Name"
F 41 "Resistors SMD" H 5700 -370 50  0001 L CNN "Footprint Library"
F 42 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 5700 -445 50  0001 L CNN "License"
	1    5700 2750
	0    1    1    0   
$EndComp
$Comp
L Operational_Amplifiers:OPA2192IDGK IC5
U 1 1 60FB29B9
P 3100 4300
F 0 "IC5" H 3350 4250 50  0000 L CNN
F 1 "OPA2192IDGK" H 3100 3555 50  0001 L CNN
F 2 "ICs And Semiconductors SMD:SOP65P490X110-8N" H 3100 3480 50  0001 L CNN
F 3 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\OPA2192IDGK.pdf" H 3100 3405 50  0001 L CNN
F 4 "OPA2192IDGK" H 3100 3330 50  0001 L CNN "Part Number"
F 5 "Operational Amplifier x2 Type1" H 3100 3255 50  0001 L CNN "Library Ref"
F 6 "SchLib\\Operational Amplifiers.SchLib" H 3100 3180 50  0001 L CNN "Library Path"
F 7 "OPA2192IDGK" H 3100 3105 50  0001 L CNN "Comment"
F 8 "Standard" H 3100 3030 50  0001 L CNN "Component Kind"
F 9 "Standard" H 3100 2955 50  0001 L CNN "Component Type"
F 10 "OPA2192IDGK" H 3100 2880 50  0001 L CNN "Device"
F 11 "SOP, 0.65mm Pitch; 8 Pin, 3.00mm W X 3.00mm L X 1.10mm H body, IPC Medium Density" H 3100 2805 50  0001 L CNN "PackageDescription"
F 12 " " H 3100 2730 50  0001 L CNN "Status"
F 13 "Dual 36V, Precision, Rail-to-Rail Input/Output, Low Offset Voltage, Low Input Bias Current Operational Amplifier With e-trim™" H 3100 2655 50  0001 L CNN "Part Description"
F 14 "TEXAS INSTRUMENTS" H 3100 2580 50  0001 L CNN "Manufacturer"
F 15 "OPA2192IDGK" H 3100 2505 50  0001 L CNN "Manufacturer Part Number"
F 16 "8" H 3100 2430 50  0001 L CNN "Pin Count"
F 17 "MSOP8" H 3100 2355 50  0001 L CNN "Case"
F 18 "Yes" H 3100 2280 50  0001 L CNN "Mounted"
F 19 "No" H 3100 2205 50  0001 L CNN "Socket"
F 20 "Yes" H 3100 2130 50  0001 L CNN "SMD"
F 21 "No" H 3100 2055 50  0001 L CNN "PressFit"
F 22 "No" H 3100 1980 50  0001 L CNN "Sense"
F 23 " " H 3100 1905 50  0001 L CNN "Sense Comment"
F 24 "No" H 3100 1830 50  0001 L CNN "Bonding"
F 25 " " H 3100 1755 50  0001 L CNN "Status Comment"
F 26 "1.1mm" H 3100 1680 50  0001 L CNN "ComponentHeight"
F 27 "PcbLib\\ICs And Semiconductors SMD.PcbLib" H 3100 1605 50  0001 L CNN "Footprint Path"
F 28 "SOP65P490X110-8N" H 3100 1530 50  0001 L CNN "Footprint Ref"
F 29 "CERN DEM BC" H 3100 1455 50  0001 L CNN "Author"
F 30 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\OPA2192IDGK.pdf" H 3100 1380 50  0001 L CNN "HelpURL"
F 31 " " H 3100 1305 50  0001 L CNN "ComponentLink1URL"
F 32 " " H 3100 1230 50  0001 L CNN "ComponentLink2URL"
F 33 " " H 3100 1155 50  0001 L CNN "ComponentLink2Description"
F 34 " " H 3100 1080 50  0001 L CNN "ComponentLink1Description"
F 35 "02/26/20 00:00:00" H 3100 1005 50  0001 L CNN "CreateDate"
F 36 "02/26/20 00:00:00" H 3100 930 50  0001 L CNN "LatestRevisionDate"
F 37 " " H 3100 855 50  0001 L CNN "SCEM"
F 38 "ICs And Semiconductors" H 3100 780 50  0001 L CNN "Database Table Name"
F 39 "Operational Amplifiers" H 3100 705 50  0001 L CNN "Library Name"
F 40 "ICs And Semiconductors SMD" H 3100 630 50  0001 L CNN "Footprint Library"
F 41 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 3100 555 50  0001 L CNN "License"
	1    3100 4300
	1    0    0    -1  
$EndComp
$Comp
L Operational_Amplifiers:OPA2192IDGK IC5
U 2 1 60FB29E5
P 6300 4350
F 0 "IC5" H 6550 4300 50  0000 L CNN
F 1 "OPA2192IDGK" H 6300 3605 50  0001 L CNN
F 2 "ICs And Semiconductors SMD:SOP65P490X110-8N" H 6300 3530 50  0001 L CNN
F 3 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\OPA2192IDGK.pdf" H 6300 3455 50  0001 L CNN
F 4 "OPA2192IDGK" H 6300 3380 50  0001 L CNN "Part Number"
F 5 "Operational Amplifier x2 Type1" H 6300 3305 50  0001 L CNN "Library Ref"
F 6 "SchLib\\Operational Amplifiers.SchLib" H 6300 3230 50  0001 L CNN "Library Path"
F 7 "OPA2192IDGK" H 6300 3155 50  0001 L CNN "Comment"
F 8 "Standard" H 6300 3080 50  0001 L CNN "Component Kind"
F 9 "Standard" H 6300 3005 50  0001 L CNN "Component Type"
F 10 "OPA2192IDGK" H 6300 2930 50  0001 L CNN "Device"
F 11 "SOP, 0.65mm Pitch; 8 Pin, 3.00mm W X 3.00mm L X 1.10mm H body, IPC Medium Density" H 6300 2855 50  0001 L CNN "PackageDescription"
F 12 " " H 6300 2780 50  0001 L CNN "Status"
F 13 "Dual 36V, Precision, Rail-to-Rail Input/Output, Low Offset Voltage, Low Input Bias Current Operational Amplifier With e-trim™" H 6300 2705 50  0001 L CNN "Part Description"
F 14 "TEXAS INSTRUMENTS" H 6300 2630 50  0001 L CNN "Manufacturer"
F 15 "OPA2192IDGK" H 6300 2555 50  0001 L CNN "Manufacturer Part Number"
F 16 "8" H 6300 2480 50  0001 L CNN "Pin Count"
F 17 "MSOP8" H 6300 2405 50  0001 L CNN "Case"
F 18 "Yes" H 6300 2330 50  0001 L CNN "Mounted"
F 19 "No" H 6300 2255 50  0001 L CNN "Socket"
F 20 "Yes" H 6300 2180 50  0001 L CNN "SMD"
F 21 "No" H 6300 2105 50  0001 L CNN "PressFit"
F 22 "No" H 6300 2030 50  0001 L CNN "Sense"
F 23 " " H 6300 1955 50  0001 L CNN "Sense Comment"
F 24 "No" H 6300 1880 50  0001 L CNN "Bonding"
F 25 " " H 6300 1805 50  0001 L CNN "Status Comment"
F 26 "1.1mm" H 6300 1730 50  0001 L CNN "ComponentHeight"
F 27 "PcbLib\\ICs And Semiconductors SMD.PcbLib" H 6300 1655 50  0001 L CNN "Footprint Path"
F 28 "SOP65P490X110-8N" H 6300 1580 50  0001 L CNN "Footprint Ref"
F 29 "CERN DEM BC" H 6300 1505 50  0001 L CNN "Author"
F 30 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\OPA2192IDGK.pdf" H 6300 1430 50  0001 L CNN "HelpURL"
F 31 " " H 6300 1355 50  0001 L CNN "ComponentLink1URL"
F 32 " " H 6300 1280 50  0001 L CNN "ComponentLink2URL"
F 33 " " H 6300 1205 50  0001 L CNN "ComponentLink2Description"
F 34 " " H 6300 1130 50  0001 L CNN "ComponentLink1Description"
F 35 "02/26/20 00:00:00" H 6300 1055 50  0001 L CNN "CreateDate"
F 36 "02/26/20 00:00:00" H 6300 980 50  0001 L CNN "LatestRevisionDate"
F 37 " " H 6300 905 50  0001 L CNN "SCEM"
F 38 "ICs And Semiconductors" H 6300 830 50  0001 L CNN "Database Table Name"
F 39 "Operational Amplifiers" H 6300 755 50  0001 L CNN "Library Name"
F 40 "ICs And Semiconductors SMD" H 6300 680 50  0001 L CNN "Footprint Library"
F 41 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 6300 605 50  0001 L CNN "License"
	2    6300 4350
	1    0    0    -1  
$EndComp
Wire Wire Line
	2900 4400 2800 4400
Wire Wire Line
	2800 4400 2800 4050
Wire Wire Line
	2800 4050 3950 4050
Wire Wire Line
	3950 4050 3950 4500
Wire Wire Line
	3950 4500 3700 4500
$Comp
L Power:GND #PWR043
U 1 1 60FB2A63
P 3300 5000
F 0 "#PWR043" H 3300 4750 50  0001 C CNN
F 1 "GND" H 3305 4827 50  0000 C CNN
F 2 "" H 3300 5000 50  0001 C CNN
F 3 "" H 3300 5000 50  0001 C CNN
	1    3300 5000
	1    0    0    -1  
$EndComp
Wire Wire Line
	3300 5000 3300 4900
Wire Wire Line
	3300 4100 3300 4000
Wire Wire Line
	3950 4500 4150 4500
Connection ~ 3950 4500
$Comp
L Power:GND #PWR045
U 1 1 60FB2A73
P 6500 5050
F 0 "#PWR045" H 6500 4800 50  0001 C CNN
F 1 "GND" H 6505 4877 50  0000 C CNN
F 2 "" H 6500 5050 50  0001 C CNN
F 3 "" H 6500 5050 50  0001 C CNN
	1    6500 5050
	1    0    0    -1  
$EndComp
Wire Wire Line
	6500 5050 6500 4950
Wire Wire Line
	6500 4150 6500 4050
$Comp
L Resistors_SMD:R0603_10K_1%_0.1W_100PPM R13
U 1 1 60FB2AA8
P 5700 4700
F 0 "R13" V 5804 4760 50  0000 L CNN
F 1 "R0603_10K_1%_0.1W_100PPM" H 5700 4505 50  0001 L CNN
F 2 "Resistors SMD:RESC1608X55N" H 5700 4430 50  0001 L CNN
F 3 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 5700 4355 50  0001 L CNN
F 4 "10k" V 5895 4760 50  0000 L CNN "Val"
F 5 "R0603_10K_1%_0.1W_100PPM" H 5700 4280 50  0001 L CNN "Part Number"
F 6 "Resistor - 1%" H 5700 4205 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Resistors.SchLib" H 5700 4130 50  0001 L CNN "Library Path"
F 8 "10k" H 5700 4055 50  0001 L CNN "Comment"
F 9 "Standard" H 5700 3980 50  0001 L CNN "Component Kind"
F 10 "Standard" H 5700 3905 50  0001 L CNN "Component Type"
F 11 " " H 5700 3830 50  0001 L CNN "PackageDescription"
F 12 "2" H 5700 3755 50  0001 L CNN "Pin Count"
F 13 "PcbLib\\Resistors SMD.PcbLib" H 5700 3680 50  0001 L CNN "Footprint Path"
F 14 "RESC1608X55N" H 5700 3605 50  0001 L CNN "Footprint Ref"
F 15 "Preferred" H 5700 3530 50  0001 L CNN "Status"
F 16 "0.1W" H 5700 3455 50  0001 L CNN "Power"
F 17 "±100ppm/°C" H 5700 3380 50  0001 L CNN "TC"
F 18 " " H 5700 3305 50  0001 L CNN "Voltage"
F 19 "±1%" H 5700 3230 50  0001 L CNN "Tolerance"
F 20 "General Purpose Thick Film Chip Resistor" H 5700 3155 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 5700 3080 50  0001 L CNN "Manufacturer"
F 22 "R0603_10K_1%_0.1W_100PPM" H 5700 3005 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 5700 2930 50  0001 L CNN "Case"
F 24 "No" H 5700 2855 50  0001 L CNN "PressFit"
F 25 "Yes" H 5700 2780 50  0001 L CNN "Mounted"
F 26 " " H 5700 2705 50  0001 L CNN "Sense Comment"
F 27 "No" H 5700 2630 50  0001 L CNN "Sense"
F 28 " " H 5700 2555 50  0001 L CNN "Status Comment"
F 29 "No" H 5700 2480 50  0001 L CNN "Socket"
F 30 "Yes" H 5700 2405 50  0001 L CNN "SMD"
F 31 " " H 5700 2330 50  0001 L CNN "ComponentHeight"
F 32 "NIC COMPONENT" H 5700 2255 50  0001 L CNN "Manufacturer1 Example"
F 33 "NRC06F1002TRF" H 5700 2180 50  0001 L CNN "Manufacturer1 Part Number"
F 34 "0.55mm" H 5700 2105 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 35 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 5700 2030 50  0001 L CNN "HelpURL"
F 36 "CERN DEM JLC" H 5700 1955 50  0001 L CNN "Author"
F 37 "12/03/07 00:00:00" H 5700 1880 50  0001 L CNN "CreateDate"
F 38 "03/13/08 00:00:00" H 5700 1805 50  0001 L CNN "LatestRevisionDate"
F 39 "Resistors" H 5700 1730 50  0001 L CNN "Database Table Name"
F 40 "Resistors SMD" H 5700 1655 50  0001 L CNN "Library Name"
F 41 "Resistors SMD" H 5700 1580 50  0001 L CNN "Footprint Library"
F 42 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 5700 1505 50  0001 L CNN "License"
	1    5700 4700
	0    1    1    0   
$EndComp
Wire Wire Line
	5700 4600 5700 4650
Wire Wire Line
	5700 4650 6100 4650
Connection ~ 5700 4650
Wire Wire Line
	5700 4650 5700 4700
Wire Wire Line
	5700 5000 5700 5050
$Comp
L Power:GND #PWR044
U 1 1 60FB2AB3
P 5700 5050
F 0 "#PWR044" H 5700 4800 50  0001 C CNN
F 1 "GND" H 5705 4877 50  0000 C CNN
F 2 "" H 5700 5050 50  0001 C CNN
F 3 "" H 5700 5050 50  0001 C CNN
	1    5700 5050
	1    0    0    -1  
$EndComp
Wire Wire Line
	6000 4100 7150 4100
Wire Wire Line
	7150 4100 7150 4550
Wire Wire Line
	6000 4100 6000 4450
Wire Wire Line
	6000 4450 6100 4450
Wire Wire Line
	6900 4550 7150 4550
Wire Wire Line
	7150 4550 7350 4550
Connection ~ 7150 4550
$Comp
L Resistors_SMD:R0603_16K_1%_0.1W_100PPM R11
U 1 1 60FB2AE7
P 5700 4300
F 0 "R11" V 5804 4360 50  0000 L CNN
F 1 "R0603_16K_1%_0.1W_100PPM" H 5700 4105 50  0001 L CNN
F 2 "Resistors SMD:RESC1608X55N" H 5700 4030 50  0001 L CNN
F 3 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 5700 3955 50  0001 L CNN
F 4 "16k" V 5895 4360 50  0000 L CNN "Val"
F 5 "R0603_16K_1%_0.1W_100PPM" H 5700 3880 50  0001 L CNN "Part Number"
F 6 "Resistor - 1%" H 5700 3805 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Resistors.SchLib" H 5700 3730 50  0001 L CNN "Library Path"
F 8 "16k" H 5700 3655 50  0001 L CNN "Comment"
F 9 "Standard" H 5700 3580 50  0001 L CNN "Component Kind"
F 10 "Standard" H 5700 3505 50  0001 L CNN "Component Type"
F 11 " " H 5700 3430 50  0001 L CNN "PackageDescription"
F 12 "2" H 5700 3355 50  0001 L CNN "Pin Count"
F 13 "PcbLib\\Resistors SMD.PcbLib" H 5700 3280 50  0001 L CNN "Footprint Path"
F 14 "RESC1608X55N" H 5700 3205 50  0001 L CNN "Footprint Ref"
F 15 "Preferred" H 5700 3130 50  0001 L CNN "Status"
F 16 "0.1W" H 5700 3055 50  0001 L CNN "Power"
F 17 "±100ppm/°C" H 5700 2980 50  0001 L CNN "TC"
F 18 " " H 5700 2905 50  0001 L CNN "Voltage"
F 19 "±1%" H 5700 2830 50  0001 L CNN "Tolerance"
F 20 "General Purpose Thick Film Chip Resistor" H 5700 2755 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 5700 2680 50  0001 L CNN "Manufacturer"
F 22 "R0603_16K_1%_0.1W_100PPM" H 5700 2605 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 5700 2530 50  0001 L CNN "Case"
F 24 "No" H 5700 2455 50  0001 L CNN "PressFit"
F 25 "Yes" H 5700 2380 50  0001 L CNN "Mounted"
F 26 " " H 5700 2305 50  0001 L CNN "Sense Comment"
F 27 "No" H 5700 2230 50  0001 L CNN "Sense"
F 28 " " H 5700 2155 50  0001 L CNN "Status Comment"
F 29 "No" H 5700 2080 50  0001 L CNN "Socket"
F 30 "Yes" H 5700 2005 50  0001 L CNN "SMD"
F 31 " " H 5700 1930 50  0001 L CNN "ComponentHeight"
F 32 "NIC COMPONENT" H 5700 1855 50  0001 L CNN "Manufacturer1 Example"
F 33 "NRC06F1602TRF" H 5700 1780 50  0001 L CNN "Manufacturer1 Part Number"
F 34 "0.55mm" H 5700 1705 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 35 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 5700 1630 50  0001 L CNN "HelpURL"
F 36 "CERN DEM JLC" H 5700 1555 50  0001 L CNN "Author"
F 37 "12/03/07 00:00:00" H 5700 1480 50  0001 L CNN "CreateDate"
F 38 "03/13/08 00:00:00" H 5700 1405 50  0001 L CNN "LatestRevisionDate"
F 39 "Resistors" H 5700 1330 50  0001 L CNN "Database Table Name"
F 40 "Resistors SMD" H 5700 1255 50  0001 L CNN "Library Name"
F 41 "Resistors SMD" H 5700 1180 50  0001 L CNN "Footprint Library"
F 42 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 5700 1105 50  0001 L CNN "License"
	1    5700 4300
	0    1    1    0   
$EndComp
$Comp
L Resistors_SMD:R0603_10K_1%_0.1W_100PPM R12
U 1 1 60FBCAC7
P 2500 4650
F 0 "R12" V 2604 4710 50  0000 L CNN
F 1 "R0603_10K_1%_0.1W_100PPM" H 2500 4455 50  0001 L CNN
F 2 "Resistors SMD:RESC1608X55N" H 2500 4380 50  0001 L CNN
F 3 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 2500 4305 50  0001 L CNN
F 4 "10k" V 2695 4710 50  0000 L CNN "Val"
F 5 "R0603_10K_1%_0.1W_100PPM" H 2500 4230 50  0001 L CNN "Part Number"
F 6 "Resistor - 1%" H 2500 4155 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Resistors.SchLib" H 2500 4080 50  0001 L CNN "Library Path"
F 8 "10k" H 2500 4005 50  0001 L CNN "Comment"
F 9 "Standard" H 2500 3930 50  0001 L CNN "Component Kind"
F 10 "Standard" H 2500 3855 50  0001 L CNN "Component Type"
F 11 " " H 2500 3780 50  0001 L CNN "PackageDescription"
F 12 "2" H 2500 3705 50  0001 L CNN "Pin Count"
F 13 "PcbLib\\Resistors SMD.PcbLib" H 2500 3630 50  0001 L CNN "Footprint Path"
F 14 "RESC1608X55N" H 2500 3555 50  0001 L CNN "Footprint Ref"
F 15 "Preferred" H 2500 3480 50  0001 L CNN "Status"
F 16 "0.1W" H 2500 3405 50  0001 L CNN "Power"
F 17 "±100ppm/°C" H 2500 3330 50  0001 L CNN "TC"
F 18 " " H 2500 3255 50  0001 L CNN "Voltage"
F 19 "±1%" H 2500 3180 50  0001 L CNN "Tolerance"
F 20 "General Purpose Thick Film Chip Resistor" H 2500 3105 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 2500 3030 50  0001 L CNN "Manufacturer"
F 22 "R0603_10K_1%_0.1W_100PPM" H 2500 2955 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 2500 2880 50  0001 L CNN "Case"
F 24 "No" H 2500 2805 50  0001 L CNN "PressFit"
F 25 "Yes" H 2500 2730 50  0001 L CNN "Mounted"
F 26 " " H 2500 2655 50  0001 L CNN "Sense Comment"
F 27 "No" H 2500 2580 50  0001 L CNN "Sense"
F 28 " " H 2500 2505 50  0001 L CNN "Status Comment"
F 29 "No" H 2500 2430 50  0001 L CNN "Socket"
F 30 "Yes" H 2500 2355 50  0001 L CNN "SMD"
F 31 " " H 2500 2280 50  0001 L CNN "ComponentHeight"
F 32 "NIC COMPONENT" H 2500 2205 50  0001 L CNN "Manufacturer1 Example"
F 33 "NRC06F1002TRF" H 2500 2130 50  0001 L CNN "Manufacturer1 Part Number"
F 34 "0.55mm" H 2500 2055 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 35 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 2500 1980 50  0001 L CNN "HelpURL"
F 36 "CERN DEM JLC" H 2500 1905 50  0001 L CNN "Author"
F 37 "12/03/07 00:00:00" H 2500 1830 50  0001 L CNN "CreateDate"
F 38 "03/13/08 00:00:00" H 2500 1755 50  0001 L CNN "LatestRevisionDate"
F 39 "Resistors" H 2500 1680 50  0001 L CNN "Database Table Name"
F 40 "Resistors SMD" H 2500 1605 50  0001 L CNN "Library Name"
F 41 "Resistors SMD" H 2500 1530 50  0001 L CNN "Footprint Library"
F 42 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 2500 1455 50  0001 L CNN "License"
	1    2500 4650
	0    1    1    0   
$EndComp
Wire Wire Line
	2500 4550 2500 4600
Wire Wire Line
	2500 4600 2900 4600
Connection ~ 2500 4600
Wire Wire Line
	2500 4600 2500 4650
Wire Wire Line
	2500 4950 2500 5000
$Comp
L Power:GND #PWR042
U 1 1 60FBCAD2
P 2500 5000
F 0 "#PWR042" H 2500 4750 50  0001 C CNN
F 1 "GND" H 2505 4827 50  0000 C CNN
F 2 "" H 2500 5000 50  0001 C CNN
F 3 "" H 2500 5000 50  0001 C CNN
	1    2500 5000
	1    0    0    -1  
$EndComp
$Comp
L Resistors_SMD:R0603_16K_1%_0.1W_100PPM R10
U 1 1 60FBCAFF
P 2500 4250
F 0 "R10" V 2604 4310 50  0000 L CNN
F 1 "R0603_16K_1%_0.1W_100PPM" H 2500 4055 50  0001 L CNN
F 2 "Resistors SMD:RESC1608X55N" H 2500 3980 50  0001 L CNN
F 3 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 2500 3905 50  0001 L CNN
F 4 "16k" V 2695 4310 50  0000 L CNN "Val"
F 5 "R0603_16K_1%_0.1W_100PPM" H 2500 3830 50  0001 L CNN "Part Number"
F 6 "Resistor - 1%" H 2500 3755 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Resistors.SchLib" H 2500 3680 50  0001 L CNN "Library Path"
F 8 "16k" H 2500 3605 50  0001 L CNN "Comment"
F 9 "Standard" H 2500 3530 50  0001 L CNN "Component Kind"
F 10 "Standard" H 2500 3455 50  0001 L CNN "Component Type"
F 11 " " H 2500 3380 50  0001 L CNN "PackageDescription"
F 12 "2" H 2500 3305 50  0001 L CNN "Pin Count"
F 13 "PcbLib\\Resistors SMD.PcbLib" H 2500 3230 50  0001 L CNN "Footprint Path"
F 14 "RESC1608X55N" H 2500 3155 50  0001 L CNN "Footprint Ref"
F 15 "Preferred" H 2500 3080 50  0001 L CNN "Status"
F 16 "0.1W" H 2500 3005 50  0001 L CNN "Power"
F 17 "±100ppm/°C" H 2500 2930 50  0001 L CNN "TC"
F 18 " " H 2500 2855 50  0001 L CNN "Voltage"
F 19 "±1%" H 2500 2780 50  0001 L CNN "Tolerance"
F 20 "General Purpose Thick Film Chip Resistor" H 2500 2705 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 2500 2630 50  0001 L CNN "Manufacturer"
F 22 "R0603_16K_1%_0.1W_100PPM" H 2500 2555 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 2500 2480 50  0001 L CNN "Case"
F 24 "No" H 2500 2405 50  0001 L CNN "PressFit"
F 25 "Yes" H 2500 2330 50  0001 L CNN "Mounted"
F 26 " " H 2500 2255 50  0001 L CNN "Sense Comment"
F 27 "No" H 2500 2180 50  0001 L CNN "Sense"
F 28 " " H 2500 2105 50  0001 L CNN "Status Comment"
F 29 "No" H 2500 2030 50  0001 L CNN "Socket"
F 30 "Yes" H 2500 1955 50  0001 L CNN "SMD"
F 31 " " H 2500 1880 50  0001 L CNN "ComponentHeight"
F 32 "NIC COMPONENT" H 2500 1805 50  0001 L CNN "Manufacturer1 Example"
F 33 "NRC06F1602TRF" H 2500 1730 50  0001 L CNN "Manufacturer1 Part Number"
F 34 "0.55mm" H 2500 1655 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 35 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 2500 1580 50  0001 L CNN "HelpURL"
F 36 "CERN DEM JLC" H 2500 1505 50  0001 L CNN "Author"
F 37 "12/03/07 00:00:00" H 2500 1430 50  0001 L CNN "CreateDate"
F 38 "03/13/08 00:00:00" H 2500 1355 50  0001 L CNN "LatestRevisionDate"
F 39 "Resistors" H 2500 1280 50  0001 L CNN "Database Table Name"
F 40 "Resistors SMD" H 2500 1205 50  0001 L CNN "Library Name"
F 41 "Resistors SMD" H 2500 1130 50  0001 L CNN "Footprint Library"
F 42 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 2500 1055 50  0001 L CNN "License"
	1    2500 4250
	0    1    1    0   
$EndComp
Wire Wire Line
	2500 4200 2500 4250
Wire Wire Line
	5600 4200 5700 4200
Wire Wire Line
	5700 4200 5700 4300
Wire Wire Line
	3950 6100 3700 6100
Wire Wire Line
	3950 5650 3950 6100
Wire Wire Line
	2700 5650 3950 5650
Wire Wire Line
	2700 6600 2700 6550
$Comp
L Power:GND #PWR053
U 1 1 610335E7
P 2700 6600
F 0 "#PWR053" H 2700 6350 50  0001 C CNN
F 1 "GND" H 2705 6427 50  0000 C CNN
F 2 "" H 2700 6600 50  0001 C CNN
F 3 "" H 2700 6600 50  0001 C CNN
	1    2700 6600
	1    0    0    -1  
$EndComp
Wire Wire Line
	2700 6000 2700 6250
Wire Wire Line
	2700 6000 2900 6000
Connection ~ 2700 6000
Wire Wire Line
	2700 5950 2700 6000
$Comp
L Resistors_SMD:R0603_10K_1%_0.1W_100PPM R15
U 1 1 60FE79EF
P 5700 5850
F 0 "R15" V 5804 5910 50  0000 L CNN
F 1 "R0603_10K_1%_0.1W_100PPM" H 5700 5655 50  0001 L CNN
F 2 "Resistors SMD:RESC1608X55N" H 5700 5580 50  0001 L CNN
F 3 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 5700 5505 50  0001 L CNN
F 4 "10k" V 5895 5910 50  0000 L CNN "Val"
F 5 "R0603_10K_1%_0.1W_100PPM" H 5700 5430 50  0001 L CNN "Part Number"
F 6 "Resistor - 1%" H 5700 5355 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Resistors.SchLib" H 5700 5280 50  0001 L CNN "Library Path"
F 8 "10k" H 5700 5205 50  0001 L CNN "Comment"
F 9 "Standard" H 5700 5130 50  0001 L CNN "Component Kind"
F 10 "Standard" H 5700 5055 50  0001 L CNN "Component Type"
F 11 " " H 5700 4980 50  0001 L CNN "PackageDescription"
F 12 "2" H 5700 4905 50  0001 L CNN "Pin Count"
F 13 "PcbLib\\Resistors SMD.PcbLib" H 5700 4830 50  0001 L CNN "Footprint Path"
F 14 "RESC1608X55N" H 5700 4755 50  0001 L CNN "Footprint Ref"
F 15 "Preferred" H 5700 4680 50  0001 L CNN "Status"
F 16 "0.1W" H 5700 4605 50  0001 L CNN "Power"
F 17 "±100ppm/°C" H 5700 4530 50  0001 L CNN "TC"
F 18 " " H 5700 4455 50  0001 L CNN "Voltage"
F 19 "±1%" H 5700 4380 50  0001 L CNN "Tolerance"
F 20 "General Purpose Thick Film Chip Resistor" H 5700 4305 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 5700 4230 50  0001 L CNN "Manufacturer"
F 22 "R0603_10K_1%_0.1W_100PPM" H 5700 4155 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 5700 4080 50  0001 L CNN "Case"
F 24 "No" H 5700 4005 50  0001 L CNN "PressFit"
F 25 "Yes" H 5700 3930 50  0001 L CNN "Mounted"
F 26 " " H 5700 3855 50  0001 L CNN "Sense Comment"
F 27 "No" H 5700 3780 50  0001 L CNN "Sense"
F 28 " " H 5700 3705 50  0001 L CNN "Status Comment"
F 29 "No" H 5700 3630 50  0001 L CNN "Socket"
F 30 "Yes" H 5700 3555 50  0001 L CNN "SMD"
F 31 " " H 5700 3480 50  0001 L CNN "ComponentHeight"
F 32 "NIC COMPONENT" H 5700 3405 50  0001 L CNN "Manufacturer1 Example"
F 33 "NRC06F1002TRF" H 5700 3330 50  0001 L CNN "Manufacturer1 Part Number"
F 34 "0.55mm" H 5700 3255 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 35 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 5700 3180 50  0001 L CNN "HelpURL"
F 36 "CERN DEM JLC" H 5700 3105 50  0001 L CNN "Author"
F 37 "12/03/07 00:00:00" H 5700 3030 50  0001 L CNN "CreateDate"
F 38 "03/13/08 00:00:00" H 5700 2955 50  0001 L CNN "LatestRevisionDate"
F 39 "Resistors" H 5700 2880 50  0001 L CNN "Database Table Name"
F 40 "Resistors SMD" H 5700 2805 50  0001 L CNN "Library Name"
F 41 "Resistors SMD" H 5700 2730 50  0001 L CNN "Footprint Library"
F 42 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 5700 2655 50  0001 L CNN "License"
	1    5700 5850
	0    1    1    0   
$EndComp
$Comp
L Power:GND #PWR055
U 1 1 60FE66F3
P 5700 6600
F 0 "#PWR055" H 5700 6350 50  0001 C CNN
F 1 "GND" H 5705 6427 50  0000 C CNN
F 2 "" H 5700 6600 50  0001 C CNN
F 3 "" H 5700 6600 50  0001 C CNN
	1    5700 6600
	1    0    0    -1  
$EndComp
Wire Wire Line
	5700 6550 5700 6600
Wire Wire Line
	5700 6200 5700 6250
Wire Wire Line
	5700 6200 6100 6200
Connection ~ 5700 6200
Wire Wire Line
	5700 6150 5700 6200
$Comp
L Resistors_SMD:R0603_10K_1%_0.1W_100PPM R17
U 1 1 60FE66E8
P 5700 6250
F 0 "R17" V 5804 6310 50  0000 L CNN
F 1 "R0603_10K_1%_0.1W_100PPM" H 5700 6055 50  0001 L CNN
F 2 "Resistors SMD:RESC1608X55N" H 5700 5980 50  0001 L CNN
F 3 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 5700 5905 50  0001 L CNN
F 4 "10k" V 5895 6310 50  0000 L CNN "Val"
F 5 "R0603_10K_1%_0.1W_100PPM" H 5700 5830 50  0001 L CNN "Part Number"
F 6 "Resistor - 1%" H 5700 5755 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Resistors.SchLib" H 5700 5680 50  0001 L CNN "Library Path"
F 8 "10k" H 5700 5605 50  0001 L CNN "Comment"
F 9 "Standard" H 5700 5530 50  0001 L CNN "Component Kind"
F 10 "Standard" H 5700 5455 50  0001 L CNN "Component Type"
F 11 " " H 5700 5380 50  0001 L CNN "PackageDescription"
F 12 "2" H 5700 5305 50  0001 L CNN "Pin Count"
F 13 "PcbLib\\Resistors SMD.PcbLib" H 5700 5230 50  0001 L CNN "Footprint Path"
F 14 "RESC1608X55N" H 5700 5155 50  0001 L CNN "Footprint Ref"
F 15 "Preferred" H 5700 5080 50  0001 L CNN "Status"
F 16 "0.1W" H 5700 5005 50  0001 L CNN "Power"
F 17 "±100ppm/°C" H 5700 4930 50  0001 L CNN "TC"
F 18 " " H 5700 4855 50  0001 L CNN "Voltage"
F 19 "±1%" H 5700 4780 50  0001 L CNN "Tolerance"
F 20 "General Purpose Thick Film Chip Resistor" H 5700 4705 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 5700 4630 50  0001 L CNN "Manufacturer"
F 22 "R0603_10K_1%_0.1W_100PPM" H 5700 4555 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 5700 4480 50  0001 L CNN "Case"
F 24 "No" H 5700 4405 50  0001 L CNN "PressFit"
F 25 "Yes" H 5700 4330 50  0001 L CNN "Mounted"
F 26 " " H 5700 4255 50  0001 L CNN "Sense Comment"
F 27 "No" H 5700 4180 50  0001 L CNN "Sense"
F 28 " " H 5700 4105 50  0001 L CNN "Status Comment"
F 29 "No" H 5700 4030 50  0001 L CNN "Socket"
F 30 "Yes" H 5700 3955 50  0001 L CNN "SMD"
F 31 " " H 5700 3880 50  0001 L CNN "ComponentHeight"
F 32 "NIC COMPONENT" H 5700 3805 50  0001 L CNN "Manufacturer1 Example"
F 33 "NRC06F1002TRF" H 5700 3730 50  0001 L CNN "Manufacturer1 Part Number"
F 34 "0.55mm" H 5700 3655 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 35 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 5700 3580 50  0001 L CNN "HelpURL"
F 36 "CERN DEM JLC" H 5700 3505 50  0001 L CNN "Author"
F 37 "12/03/07 00:00:00" H 5700 3430 50  0001 L CNN "CreateDate"
F 38 "03/13/08 00:00:00" H 5700 3355 50  0001 L CNN "LatestRevisionDate"
F 39 "Resistors" H 5700 3280 50  0001 L CNN "Database Table Name"
F 40 "Resistors SMD" H 5700 3205 50  0001 L CNN "Library Name"
F 41 "Resistors SMD" H 5700 3130 50  0001 L CNN "Footprint Library"
F 42 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 5700 3055 50  0001 L CNN "License"
	1    5700 6250
	0    1    1    0   
$EndComp
Wire Wire Line
	6950 6100 6900 6100
Wire Wire Line
	6950 5650 6950 6100
Wire Wire Line
	6000 5650 6950 5650
Wire Wire Line
	6000 6000 6000 5650
Wire Wire Line
	6100 6000 6000 6000
Wire Wire Line
	6500 5700 6500 5600
Wire Wire Line
	3300 5700 3300 5600
Wire Wire Line
	6500 6600 6500 6500
$Comp
L Power:GND #PWR056
U 1 1 60FCD0FC
P 6500 6600
F 0 "#PWR056" H 6500 6350 50  0001 C CNN
F 1 "GND" H 6505 6427 50  0000 C CNN
F 2 "" H 6500 6600 50  0001 C CNN
F 3 "" H 6500 6600 50  0001 C CNN
	1    6500 6600
	1    0    0    -1  
$EndComp
Wire Wire Line
	3300 6600 3300 6500
$Comp
L Power:GND #PWR054
U 1 1 60FCC450
P 3300 6600
F 0 "#PWR054" H 3300 6350 50  0001 C CNN
F 1 "GND" H 3305 6427 50  0000 C CNN
F 2 "" H 3300 6600 50  0001 C CNN
F 3 "" H 3300 6600 50  0001 C CNN
	1    3300 6600
	1    0    0    -1  
$EndComp
$Comp
L Operational_Amplifiers:OPA2192IDGK IC6
U 2 1 60F550D4
P 6300 5900
F 0 "IC6" H 6550 5850 50  0000 L CNN
F 1 "OPA2192IDGK" H 6300 5155 50  0001 L CNN
F 2 "ICs And Semiconductors SMD:SOP65P490X110-8N" H 6300 5080 50  0001 L CNN
F 3 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\OPA2192IDGK.pdf" H 6300 5005 50  0001 L CNN
F 4 "OPA2192IDGK" H 6300 4930 50  0001 L CNN "Part Number"
F 5 "Operational Amplifier x2 Type1" H 6300 4855 50  0001 L CNN "Library Ref"
F 6 "SchLib\\Operational Amplifiers.SchLib" H 6300 4780 50  0001 L CNN "Library Path"
F 7 "OPA2192IDGK" H 6300 4705 50  0001 L CNN "Comment"
F 8 "Standard" H 6300 4630 50  0001 L CNN "Component Kind"
F 9 "Standard" H 6300 4555 50  0001 L CNN "Component Type"
F 10 "OPA2192IDGK" H 6300 4480 50  0001 L CNN "Device"
F 11 "SOP, 0.65mm Pitch; 8 Pin, 3.00mm W X 3.00mm L X 1.10mm H body, IPC Medium Density" H 6300 4405 50  0001 L CNN "PackageDescription"
F 12 " " H 6300 4330 50  0001 L CNN "Status"
F 13 "Dual 36V, Precision, Rail-to-Rail Input/Output, Low Offset Voltage, Low Input Bias Current Operational Amplifier With e-trim™" H 6300 4255 50  0001 L CNN "Part Description"
F 14 "TEXAS INSTRUMENTS" H 6300 4180 50  0001 L CNN "Manufacturer"
F 15 "OPA2192IDGK" H 6300 4105 50  0001 L CNN "Manufacturer Part Number"
F 16 "8" H 6300 4030 50  0001 L CNN "Pin Count"
F 17 "MSOP8" H 6300 3955 50  0001 L CNN "Case"
F 18 "Yes" H 6300 3880 50  0001 L CNN "Mounted"
F 19 "No" H 6300 3805 50  0001 L CNN "Socket"
F 20 "Yes" H 6300 3730 50  0001 L CNN "SMD"
F 21 "No" H 6300 3655 50  0001 L CNN "PressFit"
F 22 "No" H 6300 3580 50  0001 L CNN "Sense"
F 23 " " H 6300 3505 50  0001 L CNN "Sense Comment"
F 24 "No" H 6300 3430 50  0001 L CNN "Bonding"
F 25 " " H 6300 3355 50  0001 L CNN "Status Comment"
F 26 "1.1mm" H 6300 3280 50  0001 L CNN "ComponentHeight"
F 27 "PcbLib\\ICs And Semiconductors SMD.PcbLib" H 6300 3205 50  0001 L CNN "Footprint Path"
F 28 "SOP65P490X110-8N" H 6300 3130 50  0001 L CNN "Footprint Ref"
F 29 "CERN DEM BC" H 6300 3055 50  0001 L CNN "Author"
F 30 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\OPA2192IDGK.pdf" H 6300 2980 50  0001 L CNN "HelpURL"
F 31 " " H 6300 2905 50  0001 L CNN "ComponentLink1URL"
F 32 " " H 6300 2830 50  0001 L CNN "ComponentLink2URL"
F 33 " " H 6300 2755 50  0001 L CNN "ComponentLink2Description"
F 34 " " H 6300 2680 50  0001 L CNN "ComponentLink1Description"
F 35 "02/26/20 00:00:00" H 6300 2605 50  0001 L CNN "CreateDate"
F 36 "02/26/20 00:00:00" H 6300 2530 50  0001 L CNN "LatestRevisionDate"
F 37 " " H 6300 2455 50  0001 L CNN "SCEM"
F 38 "ICs And Semiconductors" H 6300 2380 50  0001 L CNN "Database Table Name"
F 39 "Operational Amplifiers" H 6300 2305 50  0001 L CNN "Library Name"
F 40 "ICs And Semiconductors SMD" H 6300 2230 50  0001 L CNN "Footprint Library"
F 41 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 6300 2155 50  0001 L CNN "License"
	2    6300 5900
	1    0    0    -1  
$EndComp
$Comp
L Operational_Amplifiers:OPA2192IDGK IC6
U 1 1 60F550A8
P 3100 5900
F 0 "IC6" H 3350 5850 50  0000 L CNN
F 1 "OPA2192IDGK" H 3100 5155 50  0001 L CNN
F 2 "ICs And Semiconductors SMD:SOP65P490X110-8N" H 3100 5080 50  0001 L CNN
F 3 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\OPA2192IDGK.pdf" H 3100 5005 50  0001 L CNN
F 4 "OPA2192IDGK" H 3100 4930 50  0001 L CNN "Part Number"
F 5 "Operational Amplifier x2 Type1" H 3100 4855 50  0001 L CNN "Library Ref"
F 6 "SchLib\\Operational Amplifiers.SchLib" H 3100 4780 50  0001 L CNN "Library Path"
F 7 "OPA2192IDGK" H 3100 4705 50  0001 L CNN "Comment"
F 8 "Standard" H 3100 4630 50  0001 L CNN "Component Kind"
F 9 "Standard" H 3100 4555 50  0001 L CNN "Component Type"
F 10 "OPA2192IDGK" H 3100 4480 50  0001 L CNN "Device"
F 11 "SOP, 0.65mm Pitch; 8 Pin, 3.00mm W X 3.00mm L X 1.10mm H body, IPC Medium Density" H 3100 4405 50  0001 L CNN "PackageDescription"
F 12 " " H 3100 4330 50  0001 L CNN "Status"
F 13 "Dual 36V, Precision, Rail-to-Rail Input/Output, Low Offset Voltage, Low Input Bias Current Operational Amplifier With e-trim™" H 3100 4255 50  0001 L CNN "Part Description"
F 14 "TEXAS INSTRUMENTS" H 3100 4180 50  0001 L CNN "Manufacturer"
F 15 "OPA2192IDGK" H 3100 4105 50  0001 L CNN "Manufacturer Part Number"
F 16 "8" H 3100 4030 50  0001 L CNN "Pin Count"
F 17 "MSOP8" H 3100 3955 50  0001 L CNN "Case"
F 18 "Yes" H 3100 3880 50  0001 L CNN "Mounted"
F 19 "No" H 3100 3805 50  0001 L CNN "Socket"
F 20 "Yes" H 3100 3730 50  0001 L CNN "SMD"
F 21 "No" H 3100 3655 50  0001 L CNN "PressFit"
F 22 "No" H 3100 3580 50  0001 L CNN "Sense"
F 23 " " H 3100 3505 50  0001 L CNN "Sense Comment"
F 24 "No" H 3100 3430 50  0001 L CNN "Bonding"
F 25 " " H 3100 3355 50  0001 L CNN "Status Comment"
F 26 "1.1mm" H 3100 3280 50  0001 L CNN "ComponentHeight"
F 27 "PcbLib\\ICs And Semiconductors SMD.PcbLib" H 3100 3205 50  0001 L CNN "Footprint Path"
F 28 "SOP65P490X110-8N" H 3100 3130 50  0001 L CNN "Footprint Ref"
F 29 "CERN DEM BC" H 3100 3055 50  0001 L CNN "Author"
F 30 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\OPA2192IDGK.pdf" H 3100 2980 50  0001 L CNN "HelpURL"
F 31 " " H 3100 2905 50  0001 L CNN "ComponentLink1URL"
F 32 " " H 3100 2830 50  0001 L CNN "ComponentLink2URL"
F 33 " " H 3100 2755 50  0001 L CNN "ComponentLink2Description"
F 34 " " H 3100 2680 50  0001 L CNN "ComponentLink1Description"
F 35 "02/26/20 00:00:00" H 3100 2605 50  0001 L CNN "CreateDate"
F 36 "02/26/20 00:00:00" H 3100 2530 50  0001 L CNN "LatestRevisionDate"
F 37 " " H 3100 2455 50  0001 L CNN "SCEM"
F 38 "ICs And Semiconductors" H 3100 2380 50  0001 L CNN "Database Table Name"
F 39 "Operational Amplifiers" H 3100 2305 50  0001 L CNN "Library Name"
F 40 "ICs And Semiconductors SMD" H 3100 2230 50  0001 L CNN "Footprint Library"
F 41 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 3100 2155 50  0001 L CNN "License"
	1    3100 5900
	1    0    0    -1  
$EndComp
$Comp
L Resistors_SMD:R0603_10K_1%_0.1W_100PPM R14
U 1 1 6104CA94
P 2700 5650
F 0 "R14" V 2804 5710 50  0000 L CNN
F 1 "R0603_10K_1%_0.1W_100PPM" H 2700 5455 50  0001 L CNN
F 2 "Resistors SMD:RESC1608X55N" H 2700 5380 50  0001 L CNN
F 3 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 2700 5305 50  0001 L CNN
F 4 "10k" V 2895 5710 50  0000 L CNN "Val"
F 5 "R0603_10K_1%_0.1W_100PPM" H 2700 5230 50  0001 L CNN "Part Number"
F 6 "Resistor - 1%" H 2700 5155 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Resistors.SchLib" H 2700 5080 50  0001 L CNN "Library Path"
F 8 "10k" H 2700 5005 50  0001 L CNN "Comment"
F 9 "Standard" H 2700 4930 50  0001 L CNN "Component Kind"
F 10 "Standard" H 2700 4855 50  0001 L CNN "Component Type"
F 11 " " H 2700 4780 50  0001 L CNN "PackageDescription"
F 12 "2" H 2700 4705 50  0001 L CNN "Pin Count"
F 13 "PcbLib\\Resistors SMD.PcbLib" H 2700 4630 50  0001 L CNN "Footprint Path"
F 14 "RESC1608X55N" H 2700 4555 50  0001 L CNN "Footprint Ref"
F 15 "Preferred" H 2700 4480 50  0001 L CNN "Status"
F 16 "0.1W" H 2700 4405 50  0001 L CNN "Power"
F 17 "±100ppm/°C" H 2700 4330 50  0001 L CNN "TC"
F 18 " " H 2700 4255 50  0001 L CNN "Voltage"
F 19 "±1%" H 2700 4180 50  0001 L CNN "Tolerance"
F 20 "General Purpose Thick Film Chip Resistor" H 2700 4105 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 2700 4030 50  0001 L CNN "Manufacturer"
F 22 "R0603_10K_1%_0.1W_100PPM" H 2700 3955 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 2700 3880 50  0001 L CNN "Case"
F 24 "No" H 2700 3805 50  0001 L CNN "PressFit"
F 25 "Yes" H 2700 3730 50  0001 L CNN "Mounted"
F 26 " " H 2700 3655 50  0001 L CNN "Sense Comment"
F 27 "No" H 2700 3580 50  0001 L CNN "Sense"
F 28 " " H 2700 3505 50  0001 L CNN "Status Comment"
F 29 "No" H 2700 3430 50  0001 L CNN "Socket"
F 30 "Yes" H 2700 3355 50  0001 L CNN "SMD"
F 31 " " H 2700 3280 50  0001 L CNN "ComponentHeight"
F 32 "NIC COMPONENT" H 2700 3205 50  0001 L CNN "Manufacturer1 Example"
F 33 "NRC06F1002TRF" H 2700 3130 50  0001 L CNN "Manufacturer1 Part Number"
F 34 "0.55mm" H 2700 3055 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 35 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 2700 2980 50  0001 L CNN "HelpURL"
F 36 "CERN DEM JLC" H 2700 2905 50  0001 L CNN "Author"
F 37 "12/03/07 00:00:00" H 2700 2830 50  0001 L CNN "CreateDate"
F 38 "03/13/08 00:00:00" H 2700 2755 50  0001 L CNN "LatestRevisionDate"
F 39 "Resistors" H 2700 2680 50  0001 L CNN "Database Table Name"
F 40 "Resistors SMD" H 2700 2605 50  0001 L CNN "Library Name"
F 41 "Resistors SMD" H 2700 2530 50  0001 L CNN "Footprint Library"
F 42 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 2700 2455 50  0001 L CNN "License"
	1    2700 5650
	0    1    1    0   
$EndComp
$Comp
L Resistors_SMD:R0603_10K_1%_0.1W_100PPM R16
U 1 1 6104DF05
P 2700 6250
F 0 "R16" V 2804 6310 50  0000 L CNN
F 1 "R0603_10K_1%_0.1W_100PPM" H 2700 6055 50  0001 L CNN
F 2 "Resistors SMD:RESC1608X55N" H 2700 5980 50  0001 L CNN
F 3 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 2700 5905 50  0001 L CNN
F 4 "10k" V 2895 6310 50  0000 L CNN "Val"
F 5 "R0603_10K_1%_0.1W_100PPM" H 2700 5830 50  0001 L CNN "Part Number"
F 6 "Resistor - 1%" H 2700 5755 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Resistors.SchLib" H 2700 5680 50  0001 L CNN "Library Path"
F 8 "10k" H 2700 5605 50  0001 L CNN "Comment"
F 9 "Standard" H 2700 5530 50  0001 L CNN "Component Kind"
F 10 "Standard" H 2700 5455 50  0001 L CNN "Component Type"
F 11 " " H 2700 5380 50  0001 L CNN "PackageDescription"
F 12 "2" H 2700 5305 50  0001 L CNN "Pin Count"
F 13 "PcbLib\\Resistors SMD.PcbLib" H 2700 5230 50  0001 L CNN "Footprint Path"
F 14 "RESC1608X55N" H 2700 5155 50  0001 L CNN "Footprint Ref"
F 15 "Preferred" H 2700 5080 50  0001 L CNN "Status"
F 16 "0.1W" H 2700 5005 50  0001 L CNN "Power"
F 17 "±100ppm/°C" H 2700 4930 50  0001 L CNN "TC"
F 18 " " H 2700 4855 50  0001 L CNN "Voltage"
F 19 "±1%" H 2700 4780 50  0001 L CNN "Tolerance"
F 20 "General Purpose Thick Film Chip Resistor" H 2700 4705 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 2700 4630 50  0001 L CNN "Manufacturer"
F 22 "R0603_10K_1%_0.1W_100PPM" H 2700 4555 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 2700 4480 50  0001 L CNN "Case"
F 24 "No" H 2700 4405 50  0001 L CNN "PressFit"
F 25 "Yes" H 2700 4330 50  0001 L CNN "Mounted"
F 26 " " H 2700 4255 50  0001 L CNN "Sense Comment"
F 27 "No" H 2700 4180 50  0001 L CNN "Sense"
F 28 " " H 2700 4105 50  0001 L CNN "Status Comment"
F 29 "No" H 2700 4030 50  0001 L CNN "Socket"
F 30 "Yes" H 2700 3955 50  0001 L CNN "SMD"
F 31 " " H 2700 3880 50  0001 L CNN "ComponentHeight"
F 32 "NIC COMPONENT" H 2700 3805 50  0001 L CNN "Manufacturer1 Example"
F 33 "NRC06F1002TRF" H 2700 3730 50  0001 L CNN "Manufacturer1 Part Number"
F 34 "0.55mm" H 2700 3655 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 35 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\R0603_NIC_NRC.pdf" H 2700 3580 50  0001 L CNN "HelpURL"
F 36 "CERN DEM JLC" H 2700 3505 50  0001 L CNN "Author"
F 37 "12/03/07 00:00:00" H 2700 3430 50  0001 L CNN "CreateDate"
F 38 "03/13/08 00:00:00" H 2700 3355 50  0001 L CNN "LatestRevisionDate"
F 39 "Resistors" H 2700 3280 50  0001 L CNN "Database Table Name"
F 40 "Resistors SMD" H 2700 3205 50  0001 L CNN "Library Name"
F 41 "Resistors SMD" H 2700 3130 50  0001 L CNN "Footprint Library"
F 42 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 2700 3055 50  0001 L CNN "License"
	1    2700 6250
	0    1    1    0   
$EndComp
$Comp
L Sensors:LM45CIM3_NOPB IC7
U 1 1 610505C7
P 1700 6300
F 0 "IC7" H 2328 6100 50  0000 L CNN
F 1 "LM45CIM3_NOPB" H 1700 5725 50  0001 L CNN
F 2 "ICs And Semiconductors SMD:SOT95P251X112-3N" H 1700 5650 50  0001 L CNN
F 3 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\LM45CIM3-NOPB.pdf" H 1700 5575 50  0001 L CNN
F 4 "LM45CIM3_NOPB" H 1700 5500 50  0001 L CNN "Part Number"
F 5 "LM45" H 1700 5425 50  0001 L CNN "Library Ref"
F 6 "SchLib\\Sensors.SchLib" H 1700 5350 50  0001 L CNN "Library Path"
F 7 "LM45CIM3/NOPB" H 1700 5275 50  0001 L CNN "Comment"
F 8 "Standard" H 1700 5200 50  0001 L CNN "Component Kind"
F 9 "Standard" H 1700 5125 50  0001 L CNN "Component Type"
F 10 "LM45CIM3/NOPB" H 1700 5050 50  0001 L CNN "Device"
F 11 "SOT, 0.95mm Pitch; 3 Pin, 1.30mm W X 2.92mm L X 1.12mm H body, IPC Medium Density" H 1700 4975 50  0001 L CNN "PackageDescription"
F 12 " " H 1700 4900 50  0001 L CNN "Status"
F 13 "-20° to +100°C ±3°C Precision Centigrade Temperature Sensors" H 1700 4825 50  0001 L CNN "Part Description"
F 14 "TEXAS INSTRUMENTS" H 1700 4750 50  0001 L CNN "Manufacturer"
F 15 "LM45CIM3/NOPB" H 1700 4675 50  0001 L CNN "Manufacturer Part Number"
F 16 "3" H 1700 4600 50  0001 L CNN "Pin Count"
F 17 "SOT23" H 1700 4525 50  0001 L CNN "Case"
F 18 "Yes" H 1700 4450 50  0001 L CNN "Mounted"
F 19 "No" H 1700 4375 50  0001 L CNN "Socket"
F 20 "Yes" H 1700 4300 50  0001 L CNN "SMD"
F 21 "No" H 1700 4225 50  0001 L CNN "PressFit"
F 22 "No" H 1700 4150 50  0001 L CNN "Sense"
F 23 " " H 1700 4075 50  0001 L CNN "Sense Comment"
F 24 "No" H 1700 4000 50  0001 L CNN "Bonding"
F 25 " " H 1700 3925 50  0001 L CNN "Status Comment"
F 26 "1.12mm" H 1700 3850 50  0001 L CNN "ComponentHeight"
F 27 "PcbLib\\ICs And Semiconductors SMD.PcbLib" H 1700 3775 50  0001 L CNN "Footprint Path"
F 28 "SOT95P251X112-3N" H 1700 3700 50  0001 L CNN "Footprint Ref"
F 29 "\\\\cern.ch\\dfs\\Applications\\Altium\\Datasheets\\LM45CIM3-NOPB.pdf" H 1700 3625 50  0001 L CNN "HelpURL"
F 30 " " H 1700 3550 50  0001 L CNN "ComponentLink1URL"
F 31 " " H 1700 3475 50  0001 L CNN "ComponentLink1Description"
F 32 " " H 1700 3400 50  0001 L CNN "ComponentLink2URL"
F 33 " " H 1700 3325 50  0001 L CNN "ComponentLink2Description"
F 34 "CERN DEM JLC" H 1700 3250 50  0001 L CNN "Author"
F 35 "01/19/11 00:00:00" H 1700 3175 50  0001 L CNN "CreateDate"
F 36 "01/19/11 00:00:00" H 1700 3100 50  0001 L CNN "LatestRevisionDate"
F 37 "ICs And Semiconductors" H 1700 3025 50  0001 L CNN "Database Table Name"
F 38 "Sensors" H 1700 2950 50  0001 L CNN "Library Name"
F 39 "ICs And Semiconductors SMD" H 1700 2875 50  0001 L CNN "Footprint Library"
F 40 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 1700 2800 50  0001 L CNN "License"
	1    1700 6300
	1    0    0    -1  
$EndComp
Wire Wire Line
	1500 6600 1350 6600
Wire Wire Line
	1350 6600 1350 6700
$Comp
L Power:GND #PWR058
U 1 1 61057225
P 1350 6700
F 0 "#PWR058" H 1350 6450 50  0001 C CNN
F 1 "GND" H 1355 6527 50  0000 C CNN
F 2 "" H 1350 6700 50  0001 C CNN
F 3 "" H 1350 6700 50  0001 C CNN
	1    1350 6700
	1    0    0    -1  
$EndComp
Wire Wire Line
	1500 6500 1350 6500
Wire Wire Line
	1350 6500 1350 6400
Wire Wire Line
	1500 6400 1500 6200
Wire Wire Line
	1500 6200 2900 6200
$Comp
L Power:GND #PWR?
U 1 1 6106A72D
P 1000 6700
AR Path="/60E83C29/6106A72D" Ref="#PWR?"  Part="1" 
AR Path="/60F30480/6106A72D" Ref="#PWR057"  Part="1" 
F 0 "#PWR057" H 1000 6450 50  0001 C CNN
F 1 "GND" H 1005 6527 50  0000 C CNN
F 2 "" H 1000 6700 50  0001 C CNN
F 3 "" H 1000 6700 50  0001 C CNN
	1    1000 6700
	1    0    0    -1  
$EndComp
$Comp
L Capacitors_SMD:CC0603_100NF_50V_10%_X7R C?
U 1 1 6106A758
P 1000 6650
AR Path="/60E83C29/6106A758" Ref="C?"  Part="1" 
AR Path="/60F30480/6106A758" Ref="C19"  Part="1" 
F 0 "C19" V 1196 6540 50  0000 R CNN
F 1 "CC0603_100NF_50V_10%_X7R" H 1000 6405 50  0001 L CNN
F 2 "Capacitors SMD:CAPC1608X87N" H 1000 6330 50  0001 L CNN
F 3 " " H 1000 6255 50  0001 L CNN
F 4 "100nF" V 1105 6540 50  0000 R CNN "Val"
F 5 "CC0603_100NF_50V_10%_X7R" H 1000 6180 50  0001 L CNN "Part Number"
F 6 "Capacitor - non polarized" H 1000 6105 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Capacitors.SchLib" H 1000 6030 50  0001 L CNN "Library Path"
F 8 "100nF" H 1000 5955 50  0001 L CNN "Comment"
F 9 "Standard" H 1000 5880 50  0001 L CNN "Component Kind"
F 10 "Standard" H 1000 5805 50  0001 L CNN "Component Type"
F 11 "2" H 1000 5730 50  0001 L CNN "Pin Count"
F 12 "PcbLib\\Capacitors SMD.PcbLib" H 1000 5655 50  0001 L CNN "Footprint Path"
F 13 "CAPC1608X87N" H 1000 5580 50  0001 L CNN "Footprint Ref"
F 14 " " H 1000 5505 50  0001 L CNN "PackageDescription"
F 15 "Preferred" H 1000 5430 50  0001 L CNN "Status"
F 16 " " H 1000 5355 50  0001 L CNN "Status Comment"
F 17 "50V" H 1000 5280 50  0001 L CNN "Voltage"
F 18 "X7R" H 1000 5205 50  0001 L CNN "TC"
F 19 "±10%" H 1000 5130 50  0001 L CNN "Tolerance"
F 20 "SMD Multilayer Chip Ceramic Capacitor" H 1000 5055 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 1000 4980 50  0001 L CNN "Manufacturer"
F 22 "CC0603_100NF_50V_10%_X7R" H 1000 4905 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 1000 4830 50  0001 L CNN "Case"
F 24 "Yes" H 1000 4755 50  0001 L CNN "Mounted"
F 25 "No" H 1000 4680 50  0001 L CNN "Socket"
F 26 "Yes" H 1000 4605 50  0001 L CNN "SMD"
F 27 " " H 1000 4530 50  0001 L CNN "PressFit"
F 28 "No" H 1000 4455 50  0001 L CNN "Sense"
F 29 " " H 1000 4380 50  0001 L CNN "Sense Comment"
F 30 " " H 1000 4305 50  0001 L CNN "ComponentHeight"
F 31 "PHYCOMP" H 1000 4230 50  0001 L CNN "Manufacturer1 Example"
F 32 "223858615649" H 1000 4155 50  0001 L CNN "Manufacturer1 Part Number"
F 33 "0.87mm" H 1000 4080 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 34 "CERN DEM JLC" H 1000 4005 50  0001 L CNN "Author"
F 35 "12/03/07 00:00:00" H 1000 3930 50  0001 L CNN "CreateDate"
F 36 "12/03/07 00:00:00" H 1000 3855 50  0001 L CNN "LatestRevisionDate"
F 37 "Capacitors SMD" H 1000 3780 50  0001 L CNN "Database Table Name"
F 38 "Capacitors.DbLib" H 1000 3705 50  0001 L CNN "Library Name"
F 39 "Capacitors SMD" H 1000 3630 50  0001 L CNN "Footprint Library"
F 40 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 1000 3555 50  0001 L CNN "License"
	1    1000 6650
	0    -1   -1   0   
$EndComp
Wire Wire Line
	1000 6700 1000 6650
Wire Wire Line
	1000 6300 1000 6350
$Comp
L Power:GND #PWR?
U 1 1 61077852
P 1900 5900
AR Path="/60E83C29/61077852" Ref="#PWR?"  Part="1" 
AR Path="/60F30480/61077852" Ref="#PWR050"  Part="1" 
F 0 "#PWR050" H 1900 5650 50  0001 C CNN
F 1 "GND" H 1905 5727 50  0000 C CNN
F 2 "" H 1900 5900 50  0001 C CNN
F 3 "" H 1900 5900 50  0001 C CNN
	1    1900 5900
	1    0    0    -1  
$EndComp
$Comp
L Capacitors_SMD:CC0603_100NF_50V_10%_X7R C?
U 1 1 6107787D
P 1900 5850
AR Path="/60E83C29/6107787D" Ref="C?"  Part="1" 
AR Path="/60F30480/6107787D" Ref="C18"  Part="1" 
F 0 "C18" V 2096 5740 50  0000 R CNN
F 1 "CC0603_100NF_50V_10%_X7R" H 1900 5605 50  0001 L CNN
F 2 "Capacitors SMD:CAPC1608X87N" H 1900 5530 50  0001 L CNN
F 3 " " H 1900 5455 50  0001 L CNN
F 4 "100nF" V 2005 5740 50  0000 R CNN "Val"
F 5 "CC0603_100NF_50V_10%_X7R" H 1900 5380 50  0001 L CNN "Part Number"
F 6 "Capacitor - non polarized" H 1900 5305 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Capacitors.SchLib" H 1900 5230 50  0001 L CNN "Library Path"
F 8 "100nF" H 1900 5155 50  0001 L CNN "Comment"
F 9 "Standard" H 1900 5080 50  0001 L CNN "Component Kind"
F 10 "Standard" H 1900 5005 50  0001 L CNN "Component Type"
F 11 "2" H 1900 4930 50  0001 L CNN "Pin Count"
F 12 "PcbLib\\Capacitors SMD.PcbLib" H 1900 4855 50  0001 L CNN "Footprint Path"
F 13 "CAPC1608X87N" H 1900 4780 50  0001 L CNN "Footprint Ref"
F 14 " " H 1900 4705 50  0001 L CNN "PackageDescription"
F 15 "Preferred" H 1900 4630 50  0001 L CNN "Status"
F 16 " " H 1900 4555 50  0001 L CNN "Status Comment"
F 17 "50V" H 1900 4480 50  0001 L CNN "Voltage"
F 18 "X7R" H 1900 4405 50  0001 L CNN "TC"
F 19 "±10%" H 1900 4330 50  0001 L CNN "Tolerance"
F 20 "SMD Multilayer Chip Ceramic Capacitor" H 1900 4255 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 1900 4180 50  0001 L CNN "Manufacturer"
F 22 "CC0603_100NF_50V_10%_X7R" H 1900 4105 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 1900 4030 50  0001 L CNN "Case"
F 24 "Yes" H 1900 3955 50  0001 L CNN "Mounted"
F 25 "No" H 1900 3880 50  0001 L CNN "Socket"
F 26 "Yes" H 1900 3805 50  0001 L CNN "SMD"
F 27 " " H 1900 3730 50  0001 L CNN "PressFit"
F 28 "No" H 1900 3655 50  0001 L CNN "Sense"
F 29 " " H 1900 3580 50  0001 L CNN "Sense Comment"
F 30 " " H 1900 3505 50  0001 L CNN "ComponentHeight"
F 31 "PHYCOMP" H 1900 3430 50  0001 L CNN "Manufacturer1 Example"
F 32 "223858615649" H 1900 3355 50  0001 L CNN "Manufacturer1 Part Number"
F 33 "0.87mm" H 1900 3280 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 34 "CERN DEM JLC" H 1900 3205 50  0001 L CNN "Author"
F 35 "12/03/07 00:00:00" H 1900 3130 50  0001 L CNN "CreateDate"
F 36 "12/03/07 00:00:00" H 1900 3055 50  0001 L CNN "LatestRevisionDate"
F 37 "Capacitors SMD" H 1900 2980 50  0001 L CNN "Database Table Name"
F 38 "Capacitors.DbLib" H 1900 2905 50  0001 L CNN "Library Name"
F 39 "Capacitors SMD" H 1900 2830 50  0001 L CNN "Footprint Library"
F 40 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 1900 2755 50  0001 L CNN "License"
	1    1900 5850
	0    -1   -1   0   
$EndComp
Wire Wire Line
	1900 5900 1900 5850
Wire Wire Line
	1900 5500 1900 5550
$Comp
L Power:GND #PWR?
U 1 1 6107BC77
P 1900 4850
AR Path="/60E83C29/6107BC77" Ref="#PWR?"  Part="1" 
AR Path="/60F30480/6107BC77" Ref="#PWR041"  Part="1" 
F 0 "#PWR041" H 1900 4600 50  0001 C CNN
F 1 "GND" H 1905 4677 50  0000 C CNN
F 2 "" H 1900 4850 50  0001 C CNN
F 3 "" H 1900 4850 50  0001 C CNN
	1    1900 4850
	1    0    0    -1  
$EndComp
$Comp
L Capacitors_SMD:CC0603_100NF_50V_10%_X7R C?
U 1 1 6107BCA2
P 1900 4800
AR Path="/60E83C29/6107BCA2" Ref="C?"  Part="1" 
AR Path="/60F30480/6107BCA2" Ref="C11"  Part="1" 
F 0 "C11" V 2096 4690 50  0000 R CNN
F 1 "CC0603_100NF_50V_10%_X7R" H 1900 4555 50  0001 L CNN
F 2 "Capacitors SMD:CAPC1608X87N" H 1900 4480 50  0001 L CNN
F 3 " " H 1900 4405 50  0001 L CNN
F 4 "100nF" V 2005 4690 50  0000 R CNN "Val"
F 5 "CC0603_100NF_50V_10%_X7R" H 1900 4330 50  0001 L CNN "Part Number"
F 6 "Capacitor - non polarized" H 1900 4255 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Capacitors.SchLib" H 1900 4180 50  0001 L CNN "Library Path"
F 8 "100nF" H 1900 4105 50  0001 L CNN "Comment"
F 9 "Standard" H 1900 4030 50  0001 L CNN "Component Kind"
F 10 "Standard" H 1900 3955 50  0001 L CNN "Component Type"
F 11 "2" H 1900 3880 50  0001 L CNN "Pin Count"
F 12 "PcbLib\\Capacitors SMD.PcbLib" H 1900 3805 50  0001 L CNN "Footprint Path"
F 13 "CAPC1608X87N" H 1900 3730 50  0001 L CNN "Footprint Ref"
F 14 " " H 1900 3655 50  0001 L CNN "PackageDescription"
F 15 "Preferred" H 1900 3580 50  0001 L CNN "Status"
F 16 " " H 1900 3505 50  0001 L CNN "Status Comment"
F 17 "50V" H 1900 3430 50  0001 L CNN "Voltage"
F 18 "X7R" H 1900 3355 50  0001 L CNN "TC"
F 19 "±10%" H 1900 3280 50  0001 L CNN "Tolerance"
F 20 "SMD Multilayer Chip Ceramic Capacitor" H 1900 3205 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 1900 3130 50  0001 L CNN "Manufacturer"
F 22 "CC0603_100NF_50V_10%_X7R" H 1900 3055 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 1900 2980 50  0001 L CNN "Case"
F 24 "Yes" H 1900 2905 50  0001 L CNN "Mounted"
F 25 "No" H 1900 2830 50  0001 L CNN "Socket"
F 26 "Yes" H 1900 2755 50  0001 L CNN "SMD"
F 27 " " H 1900 2680 50  0001 L CNN "PressFit"
F 28 "No" H 1900 2605 50  0001 L CNN "Sense"
F 29 " " H 1900 2530 50  0001 L CNN "Sense Comment"
F 30 " " H 1900 2455 50  0001 L CNN "ComponentHeight"
F 31 "PHYCOMP" H 1900 2380 50  0001 L CNN "Manufacturer1 Example"
F 32 "223858615649" H 1900 2305 50  0001 L CNN "Manufacturer1 Part Number"
F 33 "0.87mm" H 1900 2230 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 34 "CERN DEM JLC" H 1900 2155 50  0001 L CNN "Author"
F 35 "12/03/07 00:00:00" H 1900 2080 50  0001 L CNN "CreateDate"
F 36 "12/03/07 00:00:00" H 1900 2005 50  0001 L CNN "LatestRevisionDate"
F 37 "Capacitors SMD" H 1900 1930 50  0001 L CNN "Database Table Name"
F 38 "Capacitors.DbLib" H 1900 1855 50  0001 L CNN "Library Name"
F 39 "Capacitors SMD" H 1900 1780 50  0001 L CNN "Footprint Library"
F 40 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 1900 1705 50  0001 L CNN "License"
	1    1900 4800
	0    -1   -1   0   
$EndComp
Wire Wire Line
	1900 4850 1900 4800
Wire Wire Line
	1900 4450 1900 4500
$Comp
L Power:GND #PWR?
U 1 1 6107F19F
P 1900 3300
AR Path="/60E83C29/6107F19F" Ref="#PWR?"  Part="1" 
AR Path="/60F30480/6107F19F" Ref="#PWR032"  Part="1" 
F 0 "#PWR032" H 1900 3050 50  0001 C CNN
F 1 "GND" H 1905 3127 50  0000 C CNN
F 2 "" H 1900 3300 50  0001 C CNN
F 3 "" H 1900 3300 50  0001 C CNN
	1    1900 3300
	1    0    0    -1  
$EndComp
$Comp
L Capacitors_SMD:CC0603_100NF_50V_10%_X7R C?
U 1 1 6107F1CA
P 1900 3250
AR Path="/60E83C29/6107F1CA" Ref="C?"  Part="1" 
AR Path="/60F30480/6107F1CA" Ref="C10"  Part="1" 
F 0 "C10" V 2096 3140 50  0000 R CNN
F 1 "CC0603_100NF_50V_10%_X7R" H 1900 3005 50  0001 L CNN
F 2 "Capacitors SMD:CAPC1608X87N" H 1900 2930 50  0001 L CNN
F 3 " " H 1900 2855 50  0001 L CNN
F 4 "100nF" V 2005 3140 50  0000 R CNN "Val"
F 5 "CC0603_100NF_50V_10%_X7R" H 1900 2780 50  0001 L CNN "Part Number"
F 6 "Capacitor - non polarized" H 1900 2705 50  0001 L CNN "Library Ref"
F 7 "SchLib\\Capacitors.SchLib" H 1900 2630 50  0001 L CNN "Library Path"
F 8 "100nF" H 1900 2555 50  0001 L CNN "Comment"
F 9 "Standard" H 1900 2480 50  0001 L CNN "Component Kind"
F 10 "Standard" H 1900 2405 50  0001 L CNN "Component Type"
F 11 "2" H 1900 2330 50  0001 L CNN "Pin Count"
F 12 "PcbLib\\Capacitors SMD.PcbLib" H 1900 2255 50  0001 L CNN "Footprint Path"
F 13 "CAPC1608X87N" H 1900 2180 50  0001 L CNN "Footprint Ref"
F 14 " " H 1900 2105 50  0001 L CNN "PackageDescription"
F 15 "Preferred" H 1900 2030 50  0001 L CNN "Status"
F 16 " " H 1900 1955 50  0001 L CNN "Status Comment"
F 17 "50V" H 1900 1880 50  0001 L CNN "Voltage"
F 18 "X7R" H 1900 1805 50  0001 L CNN "TC"
F 19 "±10%" H 1900 1730 50  0001 L CNN "Tolerance"
F 20 "SMD Multilayer Chip Ceramic Capacitor" H 1900 1655 50  0001 L CNN "Part Description"
F 21 "GENERIC" H 1900 1580 50  0001 L CNN "Manufacturer"
F 22 "CC0603_100NF_50V_10%_X7R" H 1900 1505 50  0001 L CNN "Manufacturer Part Number"
F 23 "0603" H 1900 1430 50  0001 L CNN "Case"
F 24 "Yes" H 1900 1355 50  0001 L CNN "Mounted"
F 25 "No" H 1900 1280 50  0001 L CNN "Socket"
F 26 "Yes" H 1900 1205 50  0001 L CNN "SMD"
F 27 " " H 1900 1130 50  0001 L CNN "PressFit"
F 28 "No" H 1900 1055 50  0001 L CNN "Sense"
F 29 " " H 1900 980 50  0001 L CNN "Sense Comment"
F 30 " " H 1900 905 50  0001 L CNN "ComponentHeight"
F 31 "PHYCOMP" H 1900 830 50  0001 L CNN "Manufacturer1 Example"
F 32 "223858615649" H 1900 755 50  0001 L CNN "Manufacturer1 Part Number"
F 33 "0.87mm" H 1900 680 50  0001 L CNN "Manufacturer1 ComponentHeight"
F 34 "CERN DEM JLC" H 1900 605 50  0001 L CNN "Author"
F 35 "12/03/07 00:00:00" H 1900 530 50  0001 L CNN "CreateDate"
F 36 "12/03/07 00:00:00" H 1900 455 50  0001 L CNN "LatestRevisionDate"
F 37 "Capacitors SMD" H 1900 380 50  0001 L CNN "Database Table Name"
F 38 "Capacitors.DbLib" H 1900 305 50  0001 L CNN "Library Name"
F 39 "Capacitors SMD" H 1900 230 50  0001 L CNN "Footprint Library"
F 40 "This work is licensed under the Creative Commons CC-BY-SA 4.0 License. To the extent that circuit schematics that use Licensed Material can be considered to be ‘Adapted Material’, then the copyright holder waives article 3.b of the license with respect to these schematics." H 1900 155 50  0001 L CNN "License"
	1    1900 3250
	0    -1   -1   0   
$EndComp
Wire Wire Line
	1900 3300 1900 3250
Wire Wire Line
	1900 2900 1900 2950
Wire Wire Line
	5700 2750 5700 2650
Wire Wire Line
	5700 2650 5600 2650
Wire Wire Line
	2500 2700 2500 2750
Wire Wire Line
	3950 6100 4150 6100
Connection ~ 3950 6100
Text HLabel 4150 6100 2    50   Output ~ 0
T_ADC
$Comp
L Power:+5VA #PWR022
U 1 1 611D0A00
P 3300 2500
F 0 "#PWR022" H 3300 2350 50  0001 C CNN
F 1 "+5VA" H 3315 2673 50  0000 C CNN
F 2 "" H 3300 2500 50  0001 C CNN
F 3 "" H 3300 2500 50  0001 C CNN
	1    3300 2500
	1    0    0    -1  
$EndComp
$Comp
L Power:+5VA #PWR028
U 1 1 611D1247
P 1900 2900
F 0 "#PWR028" H 1900 2750 50  0001 C CNN
F 1 "+5VA" H 1915 3073 50  0000 C CNN
F 2 "" H 1900 2900 50  0001 C CNN
F 3 "" H 1900 2900 50  0001 C CNN
	1    1900 2900
	1    0    0    -1  
$EndComp
$Comp
L Power:+5VA #PWR026
U 1 1 611D179B
P 6500 2500
F 0 "#PWR026" H 6500 2350 50  0001 C CNN
F 1 "+5VA" H 6515 2673 50  0000 C CNN
F 2 "" H 6500 2500 50  0001 C CNN
F 3 "" H 6500 2500 50  0001 C CNN
	1    6500 2500
	1    0    0    -1  
$EndComp
$Comp
L Power:+5VA #PWR031
U 1 1 611D1CE0
P 6500 4050
F 0 "#PWR031" H 6500 3900 50  0001 C CNN
F 1 "+5VA" H 6515 4223 50  0000 C CNN
F 2 "" H 6500 4050 50  0001 C CNN
F 3 "" H 6500 4050 50  0001 C CNN
	1    6500 4050
	1    0    0    -1  
$EndComp
$Comp
L Power:+5VA #PWR046
U 1 1 611D216D
P 6500 5600
F 0 "#PWR046" H 6500 5450 50  0001 C CNN
F 1 "+5VA" H 6515 5773 50  0000 C CNN
F 2 "" H 6500 5600 50  0001 C CNN
F 3 "" H 6500 5600 50  0001 C CNN
	1    6500 5600
	1    0    0    -1  
$EndComp
$Comp
L Power:+5VA #PWR040
U 1 1 611D2731
P 3300 5600
F 0 "#PWR040" H 3300 5450 50  0001 C CNN
F 1 "+5VA" H 3315 5773 50  0000 C CNN
F 2 "" H 3300 5600 50  0001 C CNN
F 3 "" H 3300 5600 50  0001 C CNN
	1    3300 5600
	1    0    0    -1  
$EndComp
$Comp
L Power:+5VA #PWR029
U 1 1 611D2BA9
P 3300 4000
F 0 "#PWR029" H 3300 3850 50  0001 C CNN
F 1 "+5VA" H 3315 4173 50  0000 C CNN
F 2 "" H 3300 4000 50  0001 C CNN
F 3 "" H 3300 4000 50  0001 C CNN
	1    3300 4000
	1    0    0    -1  
$EndComp
$Comp
L Power:+5VA #PWR038
U 1 1 611D304C
P 1900 4450
F 0 "#PWR038" H 1900 4300 50  0001 C CNN
F 1 "+5VA" H 1915 4623 50  0000 C CNN
F 2 "" H 1900 4450 50  0001 C CNN
F 3 "" H 1900 4450 50  0001 C CNN
	1    1900 4450
	1    0    0    -1  
$EndComp
$Comp
L Power:+5VA #PWR037
U 1 1 611D34DB
P 2500 4200
F 0 "#PWR037" H 2500 4050 50  0001 C CNN
F 1 "+5VA" H 2515 4373 50  0000 C CNN
F 2 "" H 2500 4200 50  0001 C CNN
F 3 "" H 2500 4200 50  0001 C CNN
	1    2500 4200
	1    0    0    -1  
$EndComp
$Comp
L Power:+5VA #PWR039
U 1 1 611D38EE
P 1900 5500
F 0 "#PWR039" H 1900 5350 50  0001 C CNN
F 1 "+5VA" H 1915 5673 50  0000 C CNN
F 2 "" H 1900 5500 50  0001 C CNN
F 3 "" H 1900 5500 50  0001 C CNN
	1    1900 5500
	1    0    0    -1  
$EndComp
$Comp
L Power:+5VA #PWR048
U 1 1 611D3F14
P 1000 6300
F 0 "#PWR048" H 1000 6150 50  0001 C CNN
F 1 "+5VA" H 1015 6473 50  0000 C CNN
F 2 "" H 1000 6300 50  0001 C CNN
F 3 "" H 1000 6300 50  0001 C CNN
	1    1000 6300
	1    0    0    -1  
$EndComp
$Comp
L Power:+5VA #PWR049
U 1 1 611D43F1
P 1350 6400
F 0 "#PWR049" H 1350 6250 50  0001 C CNN
F 1 "+5VA" H 1365 6573 50  0000 C CNN
F 2 "" H 1350 6400 50  0001 C CNN
F 3 "" H 1350 6400 50  0001 C CNN
	1    1350 6400
	1    0    0    -1  
$EndComp
$Comp
L Power:+5VA #PWR047
U 1 1 611DBE0F
P 5700 5850
F 0 "#PWR047" H 5700 5700 50  0001 C CNN
F 1 "+5VA" H 5715 6023 50  0000 C CNN
F 2 "" H 5700 5850 50  0001 C CNN
F 3 "" H 5700 5850 50  0001 C CNN
	1    5700 5850
	1    0    0    -1  
$EndComp
Text Notes 600  1050 0    50   ~ 0
Copyright CERN 2017-2021.\nThis documentation describes Open Hardware and is licensed under the CERN OHL-W v2.0+.\nYou may redistribute and modify this under the terms of the CERN OHL-W v2.0+ (http://ohwr.org/CERNOHL).\nThis documentation is distributed ANY EXPRESS OR IMPLIED WARRANTY,\nINCLUDING OF MERCHANTABILITY, SATISFACTORY AND FITNESS FOR A PARTICULAR PURPOSE.\nPlease see the CERN OHL v2.0 for applicable conditions.
Wire Notes Line
	4900 550  550  550 
Wire Notes Line
	550  550  550  1100
Wire Notes Line
	550  1100 4900 1100
Wire Notes Line
	4900 550  4900 1100
$EndSCHEMATC
